<%@ Control Language="c#" CodeBehind="AddMatrixColumn.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.AddMatrixColumn" %>
<%@ Register TagPrefix="uc1" TagName="AnswerOptionControl" Src="../UserControls/AnswerOptionControl.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function cancelUpdate()
	{
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}

</script>

<asp:UpdatePanel runat="server" ID="PageUpdatePanel">
	<ContentTemplate>
		<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>	
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<table>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="ColumnTextLabel" EnableViewState="False" runat="server" Text="Column header text :"></asp:Literal>
								</td>
								<td width="99%">
									<asp:TextBox ID="ColumnTextTextBox"  Columns="40" runat="server"></asp:TextBox><img id="PipeImage"
										onclick="" src="../images/pipetags.gif" runat="server">
								</td>
							</tr>
							<tr id="MatrixColumnWidthRow" runat="server">
								<td nowrap class="labelStyle">
									
										<asp:Literal ID="MatrixColumnWidthLabel" EnableViewState="False" runat="server" Text="Column width :"></asp:Literal>
								</td>
								<td>
									<asp:TextBox ID="MatrixColumnWidthTextbox"  Columns="6" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="AnswerTypeLabel" EnableViewState="False" runat="server" Text="Type :"></asp:Literal>
								</td>
								<td width="99%">
									<asp:DropDownList ID="AnswerTypeDropDownList" runat="server" AutoPostBack="True"
										OnSelectedIndexChanged="AnswerTypeDropDownList_SelectedIndexChanged">
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="ColumnMandatoryLabel" runat="server" Text="Mandatory :"></asp:Literal>
								</td>
								<td>
									<asp:CheckBox ID="ColumnMandatoryCheckbox" runat="server"></asp:CheckBox>
								</td>
							</tr>
				                <tr id="DefaultValueRow" runat="server" Visible="false" >
					                <td nowrap class="labelStyle"><asp:Literal ID="DefaultTextLabel" runat="server" EnableViewState="False" Text=""></asp:Literal></td>
					                <td><asp:TextBox ID="DefaultValueTextBox" runat="server" Columns="20"></asp:TextBox></td>
				                </tr>
											<tr id="RegExRow" runat="server" visible="false">
										<td nowrap class="labelStyle">
											
												<asp:Literal ID="RegExValidationLabel" runat="server" EnableViewState="False"
													Text="RegEx validation :"></asp:Literal></td>
										<td>
											<asp:DropDownList ID="RegExDropDownList" runat="server">
											</asp:DropDownList></td>
									</tr>
							<tr>
								<td nowrap class="labelStyle">
									
										<asp:Literal ID="ColumnReportingAliasLabel" EnableViewState="False" runat="server"
											Text="Reporting alias :"></asp:Literal>
								</td>
								<td>
									<asp:TextBox ID="ColumnReportingAliasTextbox" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr id="RatingRow" runat="server">
								<td nowrap class="labelStyle">
									
										<asp:Literal ID="ColumnRatingLabel" runat="server" Text="Rating part :"></asp:Literal>
								</td>
								<td>
									<asp:TextBox Columns="4" ID="ColumnRatingPart" runat="server"></asp:TextBox>
								</td>
							</tr>
				                <tr id="ScoreRow" runat="server" Visible="False" >
					                <td nowrap class="labelStyle"><asp:Literal ID="ScoreLabel" runat="server" EnableViewState="False" Text=""></asp:Literal></td>
					                <td><asp:TextBox ID="ScoreTextBox" runat="server" Columns="20"></asp:TextBox></td>
				                </tr>

							<tr>
								<td nowrap class="labelStyle">
										<asp:Literal ID="ColumnPositionLabel" EnableViewState="true" runat="server" Text="Column position :"></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="PositionChoiceDropdownlist" runat="server">
									</asp:DropDownList>
								</td>
							</tr>
						</table>
						<asp:Button ID="AddNewColumnButton" runat="server" Text="Add column"
							OnClick="AddNewColumnButton_Click"></asp:Button>
			            <asp:Button ID="CancelButton" OnClick="CancelButton_Click" runat="server"></asp:Button>
					</td>
				</tr>
			</table>
<br /><br />

		<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Question_types/Matrix_question.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="QuickColumnAddTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
		</td>
	</tr>
		</table>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<table>
						<tr>
							<td>
								<table border="0">
									<tr>
										<td valign="top" nowrap class="labelStyle" colspan="2">
											<asp:Literal ID="ColumnsListLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
										</td>
										<tr>
											<td colspan="2" valign="top">
												<asp:TextBox ID="QuickColumnsTextBox" runat="server" Columns="80" Rows="15" TextMode="MultiLine"></asp:TextBox><br />
												<br />
											</td>
										</tr>
										<tr>
											<td nowrap class="labelStyle">
												<asp:Literal ID="QuickAnswerTypeLabel" runat="server" EnableViewState="False" Text="Type :"></asp:Literal>
											</td>
											<td width="99%">
												<asp:DropDownList ID="QuickAddAnswerTypeDropDownList" runat="server">
												</asp:DropDownList>
											</td>
										</tr>
										<tr>
											<td nowrap class="labelStyle">
												<asp:Literal ID="QuickColumnPositionLabel" EnableViewState="true" runat="server" Text=""></asp:Literal>
											</td>
											<td>
												<asp:DropDownList ID="QuickPositionChoiceDropdownlist" runat="server">
												</asp:DropDownList>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<br />
												<asp:Button ID="QuickAddColumnsButton" runat="server" Text="" OnClick="QuickAddColumnsButton_Click" />
											</td>
										</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
