<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="../UserControls/ConditionRulesDisplay.ascx" %>
<%@ Control language="c#" Codebehind="DynamicContentConditions.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.DynamicContentConditions" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 


<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Dynamic_content/Dynamic_content.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="DynamicContentConditionTitle" runat="server" Text="" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
<ContentTemplate>
<asp:label id=MessageLabel runat="server" ForeColor="Green" Visible="False"></asp:label>
<table width="100%">
								<tr>
									<td>&nbsp;&nbsp;</td>
									<td width="99%">
										<table>
											<tr>
												<td><asp:linkbutton id="AddDynamicContentConditionLinkButton" CssClass="smallText" runat="server" onclick="AddDynamicContentConditionLinkButton_Click">Click here to add a new dynamic content condition</asp:linkbutton>
												<asp:repeater id="ConditionRepeater" runat="server">
														<ItemTemplate>
															<table class="conditionBuilder">
																<tr>
																	<td>
																		<table width="100%">
																			<tr>
																				<td>
																					<table class="dynamicConditionList" cellpadding="2" width="100%">
																						<tr>
																							<td colspan="2">
																								<table width="100%" class="dynamicConditionOptions">
																									<tr>
																										<td>
																											<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																												ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "DynamicContentConditionId")%>'
																												CommandName="MoveUp" runat="server"></asp:ImageButton>
																											<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != DynamicContentConditionsCount%>'
																												ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "DynamicContentConditionId")%>'
																												CommandName="MoveDown" runat="server"></asp:ImageButton>
																										</td>
																										<td valign="top">
																											
																												<%#GetPageResource("IfThanksMessageConditionsMetLabel")%>
																												<td align="right">
																													<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																														<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																															runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																														</asp:LinkButton>&nbsp;|&nbsp;
																														<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "DynamicContentConditionId")%>'
																															runat="server">
																											<%#GetPageResource("DeleteConditionsHyperLink")%>
																														</asp:LinkButton>&nbsp;|&nbsp;
																														<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																															runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																														</asp:LinkButton>
																													</asp:PlaceHolder>
																													<asp:PlaceHolder ID="EditRulesPlaceholder" runat="server" Visible="false">
																														<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																															runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																														</asp:LinkButton>
																													</asp:PlaceHolder>
																												</td>
																									</tr>
																								</table>
																							</td>
																						</tr>
																						<tr>
																							<td>
																								&nbsp;&nbsp;
																							</td>
																							<td>
																								<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																								<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server"
																									Visible="false"></uc1:ConditionRulesEditor>
																								<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
																								<br>
																								<span class="labelStyle">
																								    <asp:Label ID="ContentTextLabel" runat="server" Text='<%#GetPageResource("CustomContentTextLabel")%>'></asp:Label>
																									</span><br/>
																								<uc1:RichTextBox ID="ContentTextFTB" runat="server" Height="250" Text='<%#DataBinder.Eval(Container.DataItem, "ContentText")%>'
																									Width="550"></uc1:RichTextBox>
																								<br/>
																								<asp:Button runat="server" ID="UpdateButton" CommandName="UpdateMessage" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "DynamicContentConditionId").ToString()%>'
																									Text='<%#GetPageResource("UpdateDynamicContentTextButton")%>'></asp:Button>
																							</td>
																						</tr>
																					</table>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
															<br/>
														</ItemTemplate>
													</asp:repeater></td>
											</tr>
										</table>
						</td>
					</tr>
				</table></ContentTemplate>
</asp:UpdatePanel>

<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" TargetControlID="PageUpdatePanel" runat="server">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender>
														