<%@ Control Language="c#" Codebehind="EditAttributes.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditAttributes" %>
<%@ Register TagPrefix="uc1" TagName="AnswerOptionControl" Src="../UserControls/AnswerOptionControl.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>


<table class="adminTitle">
	<tr>
		<td>
			<a href="help/Panels/Panel_attributes.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="AttributesEditorTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
				<tr>
					<td nowrap class="labelStyle">
							<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal></td>
					<td width="99%">
						<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" onselectedindexchanged="LanguagesDropdownlist_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<br/>
<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Panels/Panel_attributes.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="AttributesOverviewTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
		</tr>
	</table>
<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%"><asp:DataGrid ID="AnswersDataGrid" runat="server" CellPadding="6" AutoGenerateColumns="False"
					CssClass="TableGrid">
					<AlternatingItemStyle CssClass="TableAlternatingListRow" ></AlternatingItemStyle>
					<ItemStyle CssClass="TableListRow"></ItemStyle>
					<HeaderStyle  CssClass="TableGridHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn HeaderText="" ItemStyle-Wrap="false">
							<ItemTemplate>
	<asp:imagebutton id="UpImageButton" ImageUrl="../images/questionupbutton.png" CommandName="up" runat="server"></asp:imagebutton>
	<asp:imagebutton id="DownImageButton" ImageUrl="../images/questiondownbutton.png" CommandName="down" runat="server"></asp:imagebutton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="AnswerText" ItemStyle-Width="99%" HeaderText="Text">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:TemplateColumn ItemStyle-Wrap="false" HeaderText="Type">
							<ItemTemplate>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:EditCommandColumn ButtonType="LinkButton" UpdateText="Update" CancelText="Cancel"
							EditText="Edit"></asp:EditCommandColumn>
						<asp:ButtonColumn Text="Delete" CommandName="Delete"></asp:ButtonColumn>
					</Columns>
				</asp:DataGrid><br>
				<asp:Button ID="AddNewAnswerButton" runat="server" Text="Add new answer" onclick="AddNewButton_Click"></asp:Button></td>
		</tr>
	</table>
</ContentTemplate></asp:UpdatePanel>	

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 