<%@ Register TagPrefix="uc1" TagName="AnswersSelector" Src="../UserControls/AnswersSelector.ascx" %>
<%@ Register TagPrefix="uc1" TagName="QuestionsSelector" Src="../UserControls/QuestionsSelector.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ReportGroupSelector" Src="../UserControls/ReportGroupSelector.ascx" %>
<%@ Register TagPrefix="uc1" TagName="PublishersSubscribersSelector" Src="../UserControls/PublishersSubscribersSelector.ascx" %>
<%@ Register Src="../UserControls/PanelAttributesSelector.ascx" TagName="PanelAttributesSelector" TagPrefix="uc2" %>
<%@ Control Language="c#" CodeBehind="EditReportItem.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.EditReportItem" %>
<%@ Register TagPrefix="uc1" TagName="ReportFiltering" Src="../UserControls/ReportFiltering.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ReportSeries" Src="../UserControls/ReportSeries.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">
	function initTab(sender, args) {
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args) {
		if (!sender)
			return;

		var panelBody = $get('<%=QuestionTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250) {
			panelBody.style.height = "250px";
		}
		else {
			panelBody.style.height = scrollHeight + "px";
		}
	}
	
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Report_items.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="EditReportItemTitle" runat="server" Text="" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>
<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="QuestionTabs" ActiveTabIndex="0" Height="280px" Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" On HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
							<ContentTemplate>
								<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
								<table class="settingsTable">
									<tr>
										<td>
											<table>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="ReportItemTitleLabel" runat="server" Text="Report item title :"
															EnableViewState="False"></asp:Literal>
													</td>
													<td>
														<asp:TextBox Columns="40" ID="ReportItemTitleTextBox" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="ReportItemAliasLabel" runat="server" Text=""></asp:Literal>
													</td>
													<td width="480">
														<asp:CheckBox ID="ReportUseAliasCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="ReportItemsLayoutLabel" runat="server" Text="Items layout :"></asp:Literal>
													</td>
													<td width="99%">
														<asp:DropDownList ID="ItemsLayoutDropdownlist" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="ColumnsNumberLabel" runat="server" Text="Columns number :"></asp:Literal>
													</td>
													<td width="99%">
														<asp:DropDownList ID="ColumnsDropdownlist" runat="server">
															<asp:ListItem Value="2">2</asp:ListItem>
															<asp:ListItem Value="3">3</asp:ListItem>
															<asp:ListItem Value="4">4</asp:ListItem>
															<asp:ListItem Value="5">5</asp:ListItem>
															<asp:ListItem Value="6">6</asp:ListItem>
															<asp:ListItem Value="7">7</asp:ListItem>
															<asp:ListItem Value="8">8</asp:ListItem>
															<asp:ListItem Value="9">9</asp:ListItem>
															<asp:ListItem Value="10">10</asp:ListItem>
														</asp:DropDownList>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table><br />
								<table id="TabStripTable" width="100%" border="0" cellpadding="0" cellspacing="0" runat="server">
									<tr>
										<td class="adminTitleNoWidthGrey" valign="top" nowrap="true">
											<table cellpadding="0" cellspacing="0">
												<tr>
													<td>
														<table id="QuestionsTable" class="mediumText" runat="server" cellpadding="0" cellspacing="0">
															<tr>
																<td>
																	&nbsp;
																</td>
																<td>
																	<img src="images/tabstripleft.gif" />
																</td>
																<td class="tabStripContent">
																	&nbsp;<asp:LinkButton CssClass="tabStripLinkOn" OnCommand="SwitchTab" CommandArgument="0"
																		ID="ReportQuestionsLinkButton" runat="server"></asp:LinkButton>&nbsp;
																</td>
																<td>
																	<img src="images/tabstripright.gif" />
																</td>
															</tr>
														</table>
													</td>
													<td>
														<table id="AnswersTable" class="mediumText" cellpadding="0" cellspacing="0" runat="server">
															<tr>
																<td>
																	&nbsp;
																</td>
																<td>
																	<img src="images/tabstripleft.gif" />
																</td>
																<td class="tabStripContent">
																	&nbsp;<asp:LinkButton CssClass="tabStripLinkOff" OnCommand="SwitchTab" CommandArgument="1"
																		ID="ReportAnswersLinkButton" runat="server"></asp:LinkButton>&nbsp;
																</td>
																<td>
																	<img src="images/tabstripright.gif" />
																</td>
															</tr>
														</table>
													</td>
													<td>
														<table id="PanelsTable" class="mediumText" runat="server" cellpadding="0" cellspacing="0">
															<tr>
																<td>
																	&nbsp;
																</td>
																<td>
																	<img src="images/tabstripleft.gif" />
																</td>
																<td class="tabStripContent">
																	&nbsp;<asp:LinkButton CssClass="tabStripLinkOff" OnCommand="SwitchTab" CommandArgument="2"
																		ID="PanelsAttributesLinkButton" runat="server"></asp:LinkButton>&nbsp;
																</td>
																<td>
																	<img src="images/tabstripright.gif" />
																</td>
															</tr>
														</table>
													</td>
													<td>
														<table id="ReportGroupTable" class="mediumText" runat="server" cellpadding="0" cellspacing="0">
															<tr>
																<td>
																	&nbsp;
																</td>
																<td>
																	<img src="images/tabstripleft.gif" />
																</td>
																<td class="tabStripContent">
																	&nbsp;<asp:LinkButton CssClass="tabStripLinkOff" OnCommand="SwitchTab" CommandArgument="3"
																		ID="ReportGroupLinkButton" runat="server"></asp:LinkButton>&nbsp;
																</td>
																<td>
																	<img src="images/tabstripright.gif" />
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<asp:MultiView ID="SelectorMultiView" runat="server" ActiveViewIndex="0">
									<asp:View ID="QuestionSelectorView" runat="server">
										<table class="settingsTable">
											<tr>
												<td width="10">
													&nbsp;&nbsp;
												</td>
												<td>
													<uc1:QuestionsSelector ID="QuestionsSelectorControl" runat="server"></uc1:QuestionsSelector>
												</td>
											</tr>
										</table>
									</asp:View>
									<asp:View ID="AnswerSelectorView" runat="server">
										<table class="settingsTable">
											<tr>
												<td width="10">
													&nbsp;&nbsp;
												</td>
												<td>
													<uc1:PublishersSubscribersSelector ID="PublishersSubscribersSelectorControl" runat="server">
													</uc1:PublishersSubscribersSelector>
													<uc1:AnswersSelector ID="AnswersSelectorControl" runat="server"></uc1:AnswersSelector>
												</td>
											</tr>
										</table>
									</asp:View>
									<asp:View ID="PanelAttributesView" runat="server">
										<table class="settingsTable">
											<tr>
												<td width="10">
													&nbsp;&nbsp;
												</td>
												<td>
													<uc2:PanelAttributesSelector ID="PanelAttributesSelectorControl" runat="server" />
												</td>
											</tr>
										</table>
									</asp:View>
									<asp:View ID="ReportGroupsView" runat="server">
										<table class="settingsTable">
											<tr>
												<td width="10">
													&nbsp;&nbsp;
												</td>
												<td>
													<uc1:ReportGroupSelector ID="ReportGroupSelectorControl" runat="server" />
												</td>
											</tr>
										</table>
									</asp:View>
								</asp:MultiView>
								<br />

								<table class="settingsTable">
									<tr>
										<td><asp:PlaceHolder ID="ReportItemAdminPlaceHolder" runat="server"></asp:PlaceHolder>
									</td></tr></table>

							</ContentTemplate>
						</asp:UpdatePanel>
						<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server"
							TargetControlID="PageUpdatePanel">
							<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
							</Animations>
						</ajaxToolkit:UpdatePanelAnimationExtender>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="FilterTab" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel2" runat="server">
							<ContentTemplate>
							<table class="settingsTable">
								<tr>
									<td>
										<table>
											<tr>
												<td nowrap class="labelStyle">
													<asp:Literal ID="OverrideReportFiltersLabel" runat="server" Text="Override report filters :"
														EnableViewState="true"></asp:Literal>
												</td>
												<td width="99%">
													<asp:CheckBox ID="OverrideFiltersCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="OverrideFiltersCheckBox_CheckedChanged">
													</asp:CheckBox>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
							<uc1:ReportFiltering ID="ReportFilteringControl" EnableViewState="true" runat="server">
							</uc1:ReportFiltering>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>

				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="SeriesTab" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel3" runat="server">
							<ContentTemplate>
								<uc1:ReportSeries ID="ReportSeriesControl" runat="server"></uc1:ReportSeries>

							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>


			</ajaxToolkit:TabContainer>
</td></tr></table>			
						<asp:UpdatePanel ID="UpdatePanel1" runat="server">
							<ContentTemplate>

			<table class="settingsTable">
				<tr>
					<td>&nbsp;&nbsp;</td>
					<td width="99%">
						<asp:Button ID="ApplyReportItemChangesButton" runat="server" Text="Apply changes"
							OnClick="ApplyReportItemChangesButton_Click"></asp:Button>
						<asp:Button ID="DeleteReportItemButton" runat="server" Text="" OnClick="DeleteReportItemButton_Click">
						</asp:Button>
						<asp:Button ID="CancelReportItemButton" runat="server" Text="Cancel" OnClick="CancelReportItemButton_Click">
						</asp:Button><br />
						<br />
						<br />
						<br />
					</td>
				</tr>
			</table>
			</ContentTemplate>
	</asp:UpdatePanel>
