<%@ Control Language="c#" CodeBehind="EditSingleQuestion.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditSingleQuestion" %>
<%@ Register Src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox"
	TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Register TagPrefix="uc1" TagName="SkipQuestionCondition" Src="..\usercontrols\SkipQuestionConditions.ascx" %>
<%@ Register Src="../UserControls/MetaDataValues.ascx" TagName="MetaValues" TagPrefix="uc1" %>

<script language="javascript">

	<%=Request["freeformquestioneditor"] != "1" ? "Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onEndHandler);" : "" %>	        

	function onEndHandler(sender,args)
	{	
		resizeContainer($find('<%=QuestionTabs.ClientID%>'));

		DataIllusion.FeedbackServer.Services.Web.Admin.QuestionsService.
			GetQuestionTypeMode(<%=_questionId%>, 
				<%=!_question.Questions[0].IsLibraryIdNull() ? SurveyId : -1%>, onSucceeded, onFailed, "GetQuestionTypeMode");
	}
	
	function onSucceeded(result, methodName) 
	{
		var hasAnswerSupport = ((result& DataIllusion.FeedbackServer.Data.QuestionTypeMode.Answerable) > 0),
			isHidden = ((result& DataIllusion.FeedbackServer.Data.QuestionTypeMode.Hidden) > 0);
		toggleHidden(1, hasAnswerSupport && !isHidden);
		toggleHidden(2, hasAnswerSupport && !isHidden);
		toggleHidden(3, !isHidden);
	}
	
	function onFailed(error, userContext, methodName) 
	{
		if(error !== null) 
		{
			alert("An error occurred: " + 
				error.get_message());
		}
	}
	
	// Show / hide the tab
	function toggleHidden(tabIndex, show) 
	{
		if (tabIndex < $find('<%=QuestionTabs.ClientID%>').get_tabs().length)
		{
			$find('<%=QuestionTabs.ClientID%>').get_tabs()[tabIndex].set_enabled(show);
		}
	}


	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=QuestionTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
	
	
	function deleteElement()
	{
		if(confirm('<%=GetPageResource("DeleteQuestionConfirmationMessage")%>')== false) 
			return false;	
		
		parent.getFormEditor().selectedElement.onPropertiesDeletedCallBack();
		return false;
	}
	
	function switchToMetaDataTab()
	{
		var ctrl = $find('<%=QuestionTabs.ClientID%>'),
			tabs = ctrl.get_tabs();
		ctrl.set_activeTab(tabs[tabs.length-1]);
	}

</script>

<table width="95%">
	<tr>
		<td>&nbsp;&nbsp;</td>
		<td width="99%">
			<asp:UpdatePanel runat="server" RenderMode="Inline"><ContentTemplate><asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label></ContentTemplate></asp:UpdatePanel>
			<ajaxToolkit:TabContainer runat="server" ID="QuestionTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel runat="server" ID="PropertiesTab" HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="PageUpdatePanel" UpdateMode="Conditional" ChildrenAsTriggers="true" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<table>
												<tr>
													<td colspan="2">
														<uc1:RichTextBox ID="QuestionFreeTextBox" runat="server" Height="250"></uc1:RichTextBox>
													</td>
												</tr>
												<tr id="EditionLanguageRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="AllowPanelistCreationRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="AllowPanelistCreationLabel" EnableViewState="true" runat="server">Allow panelist creation :</asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="AllowPanelistCreationCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr id="SelectionModeRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="SelectionModeLabel" runat="server" EnableViewState="False">Selection mode :</asp:Literal>
													</td>
													<td width="80%">
														<asp:DropDownList ID="SelectionModeDropDownList" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="DisabledQuestionRow" runat="server">
													<td valign="top" nowrap class="labelStyle">
														<asp:Literal ID="DisabledQuestionLabel" EnableViewState="False" runat="server"></asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="DisabledQuestionCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr id="ShowHeaderRow" runat="server">
													<td valign="top" nowrap class="labelStyle">
														<asp:Literal ID="ShowQuestionHeaderLabel" EnableViewState="False" runat="server">Show question header</asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="ShowQuestionHeaderCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr id="TemplateRow" runat="server">
													<td valign="top" nowrap class="labelStyle">
														<asp:Literal ID="TemplatesLabel" EnableViewState="False" runat="server">Templates</asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="QuestionTemplatesDropDownList" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="PoolQuestionRow" runat="server">
													<td nowrap class="labelStyle" valign="top">
														<asp:Literal ID="PoolQuestionsLabel" runat="server" EnableViewState="false">Questions from the pool :</asp:Literal>
													</td>
													<td>
														<asp:ListBox ID="PoolQuestionListBox" SelectionMode="Multiple" runat="server" Rows="10">
														</asp:ListBox>
													</td>
												</tr>
												<asp:PlaceHolder ID="AnswerOptionsPlaceholder" runat="server">
													<tr id="ExcludeAnswerRow" runat="server">
														<td nowrap class="labelStyle">
															<asp:Literal ID="ExcludeAnswersLabel" runat="server" EnableViewState="true">Exclude answer :</asp:Literal>
														</td>
														<td width="80%">
															<asp:DropDownList ID="ExcludeAnswerDropDownList" runat="server">
															</asp:DropDownList>
														</td>
													</tr>
													<tr id="RandomizeAnswersRow" runat="server">
														<td nowrap class="labelStyle">
															<asp:Literal ID="RandomizeAnswersLabel" EnableViewState="False" runat="server">Randomize answers order :</asp:Literal>
														</td>
														<td>
															<asp:CheckBox ID="RandomizeCheckBox" runat="server"></asp:CheckBox>
														</td>
													</tr>
													<tr>
														<td nowrap class="labelStyle">
															<asp:Literal ID="AnswerRatingLabel" EnableViewState="False" runat="server">Enable answer rating :</asp:Literal>
														</td>
														<td>
															<asp:CheckBox ID="RatingCheckbox" runat="server"></asp:CheckBox>
														</td>
													</tr>
													<tr>
														<td nowrap class="labelStyle">
															<asp:Literal ID="MinSelectionLabel" EnableViewState="False" runat="server">Min. selections required :</asp:Literal>
														</td>
														<td height="15">
															<asp:DropDownList ID="MinSelectionDropDownList" runat="server">
																<asp:ListItem Value="1">1</asp:ListItem>
																<asp:ListItem Value="2">2</asp:ListItem>
																<asp:ListItem Value="3">3</asp:ListItem>
																<asp:ListItem Value="4">4</asp:ListItem>
																<asp:ListItem Value="5">5</asp:ListItem>
																<asp:ListItem Value="6">6</asp:ListItem>
																<asp:ListItem Value="7">7</asp:ListItem>
																<asp:ListItem Value="8">8</asp:ListItem>
																<asp:ListItem Value="9">9</asp:ListItem>
																<asp:ListItem Value="10">10</asp:ListItem>
																<asp:ListItem Value="11">11</asp:ListItem>
																<asp:ListItem Value="12">12</asp:ListItem>
																<asp:ListItem Value="13">13</asp:ListItem>
																<asp:ListItem Value="14">14</asp:ListItem>
																<asp:ListItem Value="15">15</asp:ListItem>
																<asp:ListItem Value="16">16</asp:ListItem>
																<asp:ListItem Value="17">17</asp:ListItem>
																<asp:ListItem Value="18">18</asp:ListItem>
																<asp:ListItem Value="19">19</asp:ListItem>
																<asp:ListItem Value="20">20</asp:ListItem>
															</asp:DropDownList>
														</td>
													</tr>
													<tr>
														<td nowrap class="labelStyle">
															<asp:Literal ID="MaxSelectionAllowed" EnableViewState="False" runat="server">Max. selections allowed 
            :</asp:Literal>
														</td>
														<td>
															<asp:DropDownList ID="MaxAllowedDropDownList" runat="server">
																<asp:ListItem Value="1">1</asp:ListItem>
																<asp:ListItem Value="2">2</asp:ListItem>
																<asp:ListItem Value="3">3</asp:ListItem>
																<asp:ListItem Value="4">4</asp:ListItem>
																<asp:ListItem Value="5">5</asp:ListItem>
																<asp:ListItem Value="6">6</asp:ListItem>
																<asp:ListItem Value="7">7</asp:ListItem>
																<asp:ListItem Value="8">8</asp:ListItem>
																<asp:ListItem Value="9">9</asp:ListItem>
																<asp:ListItem Value="10">10</asp:ListItem>
																<asp:ListItem Value="11">11</asp:ListItem>
																<asp:ListItem Value="12">12</asp:ListItem>
																<asp:ListItem Value="13">13</asp:ListItem>
																<asp:ListItem Value="14">14</asp:ListItem>
																<asp:ListItem Value="15">15</asp:ListItem>
																<asp:ListItem Value="16">16</asp:ListItem>
																<asp:ListItem Value="17">17</asp:ListItem>
																<asp:ListItem Value="18">18</asp:ListItem>
																<asp:ListItem Value="19">19</asp:ListItem>
																<asp:ListItem Value="20">20</asp:ListItem>
															</asp:DropDownList>
														</td>
													</tr>
													<tr>
														<td nowrap class="labelStyle">
															<asp:Literal ID="QuestionPipeAliasLabel" EnableViewState="False" runat="server">Pipe alias 
            :</asp:Literal>
														</td>
														<td>
															<asp:TextBox Columns="40" ID="PipeAliasTextBox" runat="server" MaxLength="50"></asp:TextBox>
														</td>
													</tr>
													<tr>
														<td nowrap class="labelStyle">
															<asp:Literal ID="ReportingAliasLabel" EnableViewState="False" runat="server">Reporting alias 
            :</asp:Literal>
														</td>
														<td>
															<asp:TextBox Columns="40" ID="ReportingAliasTextBox" runat="server" MaxLength="50"></asp:TextBox>
														</td>
													</tr>
												</asp:PlaceHolder>
											</table>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="DisplayTabPanel" HeaderText="Display Layout">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel3" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<table width="100%" border="0">
												<tr id="DisplayModeRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="DisplayModeLabel" EnableViewState="False" runat="server">Display mode :</asp:Literal>
													</td>
													<td width="99%">
														<asp:DropDownList ID="DisplayModeDropDownList" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="NumberOfColumnsRow" runat="server">
													<td nowrap class="labelStyle" height="15">
														<asp:Literal ID="ColumnNumberLabel" EnableViewState="False" runat="server">Number of columns 
            :</asp:Literal>
													</td>
													<td width="99%" height="15">
														<asp:DropDownList ID="ColumnDropdownlist" runat="server">
															<asp:ListItem Value="2">2</asp:ListItem>
															<asp:ListItem Value="3">3</asp:ListItem>
															<asp:ListItem Value="4">4</asp:ListItem>
															<asp:ListItem Value="5">5</asp:ListItem>
															<asp:ListItem Value="6">6</asp:ListItem>
															<asp:ListItem Value="7">7</asp:ListItem>
															<asp:ListItem Value="8">8</asp:ListItem>
															<asp:ListItem Value="9">9</asp:ListItem>
															<asp:ListItem Value="10">10</asp:ListItem>
															<asp:ListItem Value="11">11</asp:ListItem>
															<asp:ListItem Value="12">12</asp:ListItem>
															<asp:ListItem Value="13">13</asp:ListItem>
															<asp:ListItem Value="14">14</asp:ListItem>
															<asp:ListItem Value="15">15</asp:ListItem>
															<asp:ListItem Value="16">16</asp:ListItem>
															<asp:ListItem Value="17">17</asp:ListItem>
															<asp:ListItem Value="18">18</asp:ListItem>
															<asp:ListItem Value="19">19</asp:ListItem>
															<asp:ListItem Value="20">20</asp:ListItem>
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="FieldsLayoutRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="FieldsLayoutLiteral" EnableViewState="False" runat="server">Fields layout : 
														</asp:Literal>
													</td>
													<td width="99%">
														<asp:DropDownList ID="FieldsLayoutDropdownlist" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="HideValidationAsterixLabel" EnableViewState="False" runat="server">Allow panelist creation :</asp:Literal>
													</td>
													<td width="99%">
														<asp:CheckBox ID="HideValidationAsterixCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="RepeatTab" HeaderText="Sections">
					<ContentTemplate>
						<asp:UpdatePanel ID="RepeateUpdatePanel" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td nowrap width="145" class="labelStyle">
														<asp:Literal ID="RepeatModeLabel" EnableViewState="False" runat="server">Repeat mode 
            :</asp:Literal>
													</td>
													<td width="99%">
														<asp:DropDownList ID="RepeatModeDropdownlist" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="MaxSectionAllowedLabel" runat="server">Max. sections allowed :</asp:Literal>
													</td>
													<td height="15">
														<asp:DropDownList ID="MaxSectionAllowedDropdownlist" runat="server">
															<asp:ListItem Value="1">1</asp:ListItem>
															<asp:ListItem Value="2">2</asp:ListItem>
															<asp:ListItem Value="3">3</asp:ListItem>
															<asp:ListItem Value="4">4</asp:ListItem>
															<asp:ListItem Value="5">5</asp:ListItem>
															<asp:ListItem Value="6">6</asp:ListItem>
															<asp:ListItem Value="7">7</asp:ListItem>
															<asp:ListItem Value="8">8</asp:ListItem>
															<asp:ListItem Value="9">9</asp:ListItem>
															<asp:ListItem Value="10">10</asp:ListItem>
															<asp:ListItem Value="11">11</asp:ListItem>
															<asp:ListItem Value="12">12</asp:ListItem>
															<asp:ListItem Value="13">13</asp:ListItem>
															<asp:ListItem Value="14">14</asp:ListItem>
															<asp:ListItem Value="15">15</asp:ListItem>
															<asp:ListItem Value="16">16</asp:ListItem>
															<asp:ListItem Value="17">17</asp:ListItem>
															<asp:ListItem Value="18">18</asp:ListItem>
															<asp:ListItem Value="19">19</asp:ListItem>
															<asp:ListItem Value="20">20</asp:ListItem>
														</asp:DropDownList>
													</td>
												</tr>
												<tr>
													<td nowrap nowrap class="labelStyle">
														<asp:Literal ID="AddRepeatSectionLabel" runat="server">Add section link text :</asp:Literal>
													</td>
													<td>
														<asp:TextBox Columns="40" ID="AddSectionLinkTextBox" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="DeleteRepeatSectionLabel" runat="server">Delete section link text 
            :</asp:Literal>
													</td>
													<td>
														<asp:TextBox Columns="40" ID="DeleteSectionLinkTextBox" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="EditRepeatSectionLabel" runat="server">Edit section link text :</asp:Literal>
													</td>
													<td>
														<asp:TextBox Columns="40" ID="EditSectionLinkTextBox" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="UpdateRepeatSectionLabel" runat="server">Update section link text 
            :</asp:Literal>
													</td>
													<td>
														<asp:TextBox Columns="40" ID="UpdateSectionLinkTextBox" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td valign="top" nowrap class="labelStyle">
														<asp:Literal ID="GridAnswersLabel" runat="server" Text="Answers shown in grid  :"></asp:Literal>
													</td>
													<td>
														<table>
															<tr>
																<td>
																	<asp:ListBox ID="AnswersListBox" runat="server" AutoPostBack="True" OnSelectedIndexChanged="AnswersListBox_SelectedIndexChanged">
																	</asp:ListBox>
																</td>
																<td>
																	<asp:Label ID="GridAnswersChoiceLabel" runat="server"><-></asp:Label>
																	<td>
																		<td>
																			<asp:ListBox ID="GridAnswersListBox" runat="server" AutoPostBack="True" OnSelectedIndexChanged="GridAnswersListBox_SelectedIndexChanged">
																			</asp:ListBox>
																		</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="SkipLogicTabPanel" HeaderText="Skip / Hide Logic">
					<ContentTemplate>
						<asp:UpdatePanel ID="SkipQuestionUpdatePanel" runat="server">
							<ContentTemplate>
								<uc1:SkipQuestionCondition runat="server" ID="SkipQuestionConditionControl" />
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="MetaDataTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel1" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
								<tr>
								<td>
									<uc1:MetaValues ID="MetaValuesControl" runat="server" />
								</td>
								</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>

			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>
<asp:UpdatePanel ID="ButtonPlaceHolder" runat="server">
	<Triggers>
		<asp:PostBackTrigger ControlID="ExportXMLButton" />
		<asp:PostBackTrigger ControlID="UpdateQuestionButton" />
	</Triggers>
	<ContentTemplate>
		<table border="0" width="100%">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Button ID="UpdateQuestionButton" runat="server" Text="Update" OnClick="UpdateQuestionButton_Click">
					</asp:Button>
					<asp:Button ID="EditAnswersButton" runat="server" Text="Add / Edit answers" OnClick="EditAnswersButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteQuestionButton" runat="server" Text="Delete" OnClick="DeleteQuestionButton_Click">
					</asp:Button>
					<asp:Button ID="ExportXMLButton" runat="server" Text="Export XML" OnClick="ExportXMLButton_Click">
					</asp:Button>
					<asp:Button ID="QuickTranslateButton" runat="server" Text="Quick Translate" OnClick="QuickTranslateButton_Click">
					</asp:Button>
					<asp:Button ID="CancelButton" runat="server"></asp:Button>
				</td>
			</tr>
		</table>
		<br />
	</ContentTemplate>
</asp:UpdatePanel>

						<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
							TargetControlID="ButtonPlaceHolder">
							<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
							</Animations>
						</ajaxToolkit:UpdatePanelAnimationExtender>
