<%@ Control Language="c#" Codebehind="FormVersion.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FormVersion" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
<%@ Register Src="../UserControls/DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>

<script type="text/javascript">

	function loadTab(sender, args)
	{
		initTab(sender, args);
	}
	
	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;

		var panelBody = $get('<%=DesignerTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250)
		{
			panelBody.style.height = "250px";
		}
		else
		{
			panelBody.style.height = scrollHeight + "px";
		}
	}

</script>
<script type="text/javascript" src="scripts/fslang.aspx" ></script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_management/form_version.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="FormVersioningTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>


<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%" valign="top">
<ajaxToolkit:TabContainer runat="server" ID="DesignerTabs" TabStripPlacement="Bottom" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab"
    ActiveTabIndex="0" Height="250px" Width="100%">
    <ajaxToolkit:TabPanel CssClass="CustomTabStyle" runat="server" ID="VersioningTab" HeaderText="">
        <ContentTemplate>
            <asp:UpdatePanel ID="VersionOptionUpdatePanel" runat="server">
            <ContentTemplate>
                <table class="settingsTable">
                    <tr>
                        <td valign="top">
                            <asp:Label ID="SnapshotDescriptionLabel" runat="server"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox TextMode="MultiLine" ID="SnapshotComment" runat="server" Rows="5" Columns="60"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td nowrap>
                            <asp:Label ID="AutomaticVersioningLabel" runat="server"></asp:Label>
                        </td>
                        <td width="99%">
                            <asp:CheckBox ID="AutomaticVersioningCheckbox" AutoPostBack="true" OnCheckedChanged="AutomaticVersioningCheckbox_Checked" runat="server" />
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
            </asp:UpdatePanel>

            <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="VersionOptionUpdatePanel">
	        <Animations>
		        <OnUpdating>
			        <Parallel duration="0">
                    <ScriptAction Script="indicateStartProcess();" />  
                    </Parallel>
                    </OnUpdating>
                    <OnUpdated>
				        <Parallel duration="0">
					        <ScriptAction Script="indicateEndProcess();" /> 
				        </Parallel> 
			        </OnUpdated>
	        </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender>
        </ContentTemplate>
    </ajaxToolkit:TabPanel>
    <ajaxToolkit:TabPanel CssClass="CustomTabStyle" runat="server" ID="VersionHistoryTabPanel" HeaderText="">
        <ContentTemplate>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server">
            <ContentTemplate>
            <asp:PlaceHolder ID="VersionGridPlaceholder" runat="server">
                <table class="settingsTable">
                    <tr>
                        <td>
                            <uc1:DynamicGridView ID="VersionsDynamicGridView" runat="server" />
                        </td>
                    </tr>
                </table>
            </asp:PlaceHolder>
            </ContentTemplate>
            
            </asp:UpdatePanel>

		</ContentTemplate>
	</ajaxToolkit:TabPanel>
</ajaxToolkit:TabContainer>
</td></tr>
<tr>
<td>
</td>
<td>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:Button ID="SnapshotVersionButton" OnClick="SnapshotVersionButton_Click" runat="server"
                Text="Snapshot current version" />
            <asp:Button ID="DeleteAllVersionsButton" OnClick="DeleteAllVersionsButton_Click"
                runat="server" Text="" />
        </ContentTemplate>
    </asp:UpdatePanel>
</td>
</tr>

</table>

<script type="text/javascript">
	function editEntry<%=VersionsDynamicGridView.ClientID%>(id,rowindex,totalrows,sortcolumn,sortorder)
	{
		parent.OpenModal('fsadmin.aspx?fscontrol=versionpreview&surveyid=<%=SurveyId%>&version='+id, FeedbackServerLang.PreviewVersion + ' ' +id, true);
	}
</script>
