<%@ Control Language="c#" Codebehind="MOSSListDeploy.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.MOSSListDeploy" %>
<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"
	Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Deployment/WSS___Sharepoint_deployment.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="MOSSDeploymentTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
				<ContentTemplate>
					<asp:Label ID="SharepointErrorMessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
					<table class="settingsTable">
						<tr>
							<td class="labelStyle">
								<asp:Literal ID="MOSSSiteURLLabel" runat="server" EnableViewState="False"></asp:Literal>
							</td>
							<td width="99%">
								<asp:DropDownList ID="MOSSSitesDropdownList" AutoPostBack OnSelectedIndexChanged="MOSSSitesDropdownList_Changed" runat="server"></asp:DropDownList>
							</td>
						</tr>
						<tr id="OtherSiteRow" runat="server">
							<td>
							<asp:TextBox ID="MOSSSiteURLTextBox" runat="server" Columns="40"></asp:TextBox>
							</td>
						</tr>
						<tr id="ShowOnQuickLaunchRow" runat="server">
							<td class="labelStyle">
								<asp:Literal ID="ShowOnQuickLaunchLabel" runat="server" EnableViewState="False"></asp:Literal>
							</td>
							<td width="99%">
								<asp:CheckBox ID="ShowOnQuickLaunch" runat="server" Checked="true" />
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<asp:Button ID="PostOnMOSSButton" runat="server" OnClick="PostOnMOSSButton_Click"
									Text="" />
								<asp:Button ID="RemoveFromMOSSButton" runat="server" OnClick="RemoveFromMOSSButton_Click"
									Text="" />
							</td>
						</tr>
					</table>
				</ContentTemplate>
			</asp:UpdatePanel>
		</td>
	</tr>
</table>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server" TargetControlID="UpdatePanel1">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

</ContentTemplate></ajaxToolkit:TabPanel>


