<%@ Control Language="c#" Codebehind="PageTemplateEditor.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PageTemplateEditor" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" 
	Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<!-- FS CSS -->	
<link rel="stylesheet" type="text/css" href="css/fsadmin.css"/> 
<link rel="stylesheet" type="text/css" href="scripts/Forms/FormEditor.css" />

<!-- YUI CSS -->	
<link rel="stylesheet" type="text/css" href="scripts/build/colorpicker/assets/skins/sam/colorpicker.css" />
<link rel="stylesheet" type="text/css" href="scripts/build/menu/assets/menu.css"/> 
<link type="text/css" rel="stylesheet" href="scripts/build/container/assets/container.css"/>


<!-- FS Form Builder -->
<script type="text/javascript" src="scripts/fslang.aspx" ></script>
<script type="text/javascript" src="scripts/Forms/FSEditor.js"></script>
<script type="text/javascript" src="scripts/Forms/PageTemplateEditor.js"></script>
<script type="text/javascript" src="scripts/Forms/FormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/HtmlZoneElement.js"></script>
<script type="text/javascript" src="scripts/Forms/ImageFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/QuestionItemFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/AnswerItemFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/TableFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/BehaviorFormElement.js"></script>

<!-- FS Table Builder -->
<script type="text/javascript" src="scripts/Table/Table.js"></script>
<script type="text/javascript" src="scripts/Forms/FormCore.js"></script>



<script type="text/javascript">

var formEditor,
	pageTemplateId = '<%=PageTemplateId%>';

	YAHOO.util.Event.onDOMReady(function()
	{
		parent.loadSubMenu(1);

		if (!formEditor)
		{
			formEditor = new YAHOO.DataIllusion.FeedbackServer.PageTemplateEditor("formPanel",
				document.getElementById("formPanel"), pageTemplateId);

			formEditor.FOWQDRGJ = onElementSelectionChanged;
			formEditor.subscribeToUndoRedo(setUndoIcons);
			formEditor.fspublic_restoreStateFromServer();
			formEditor.UFDVLPRY();
			formEditor.KFNKLPUC = parent.JUBFELFZ();

			SwitchEditorUndoState(false);
			formEditor.enableGrid(16);
		}

		window.onresize = resizeFormEditorDoc;
	});
	
</script>

<style type="text/css"> body { background-image : url('images/resources/formeditor/gridbackground.gif'); } </style>

<div id="divEditorCore" class="feedbackserver">

	<table  align="center" cellspacing="0" cellpadding="0"
		border="0" style="height: 100%; width: 100%">
		<tr>
			<td valign="top">
				<table cellspacing="0" cellpadding="0" style="background:white;height: 100%; width: 100%">
					<tr>
						<td valign="top">
						<table cellpadding="0" cellspacing="0" width="100%"><tr><td>
						
							<table cellpadding="0" cellspacing="0" border="0" width="100%" >
								<tr class="surveyMenuCell">
									<td>
										<input type="image" id="loadicon" src="images/resources/formeditor/reload.gif"
											onclick="LoadHtmlTemplate();return false;" alt="load" border="0" />
									</td>
									<td>
										<input type="image" id="formsave" src="images/resources/formeditor/save.gif" border="0" 
										alt="Save form" onclick="StoreHtmlTemplate();return false;" />
									</td>
									<td>
										<input type="image" id="backgroundpicker" src="images/resources/formeditor/backgroundcolor_disabled.gif"
											onclick="showColorSelectionDialog();return false;" alt="Set background color" border="0" />
									</td>
									<td>
										<input type="image" id="hideborders" src="images/resources/formeditor/hideborder.gif" border="0"
											onclick="hideTableBorders();return false;" alt="Hide editor borders" />
									</td>
									<td>
										<input type="image" id="undostateicon" src="images/resources/formeditor/enableundoicondisabled.gif"
											onclick="SwitchEditorUndoState(true);return false;" alt="enable disable undo" border="0" />
									</td>
									<td>
										<input type="image" id="undoicon" src="images/resources/formeditor/undo.gif"
											onclick="formEditor.undo();return false;" alt="undo" border="0" />
									</td>
									<td>
										<input type="image" id="redoicon" src="images/resources/formeditor/redo.gif"
											onclick="formEditor.redo();return false;" alt="redo" border="0" />
									</td>
									<td>
										<input type="image" id="reseticon" src="images/resources/formeditor/reset.gif"
											onclick="ResetForm();return false;" alt="redo" border="0" />
									</td>
									<td width="99%">
									<select style="font-size:xx-small" onchange="formEditor.enableGrid(this.options[this.selectedIndex].value)">
										<option value="0">no grid</option>
										<option selected="selected" value="16">16x16</option>
										<option value="32">32x32</option>
										<option  value="48">48x48</option>
										<option   value="64">64x64</option>
										</select>
									</td>
									<td>
													<a href="help/FeedbackServer.htm#Form_content_editor/Free_form_builder.htm" target="feedbackserverhelp">
													<img src="images/resources/formeditor/helpicons.gif" border="0"></a>
									</td>

								</tr>
							</table>
						</td></tr>
						<tr>
							<td >
								<table class="pageitem" cellpadding="0" cellspacing="0" width="100%" >
									<tr>
										<td>
										<div id="formPanel" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
						</table>
						</td>
					</tr>
				</table>
				</td></tr>
	</table>
</div>