<%@ Control language="c#" Codebehind="PageTemplateOptions.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.PageTemplateOptions" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
        
<script type="text/javascript">

	var formEditor = null;

	Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(onLoadedHandler);	        
	function onLoadedHandler(sender,args)
	{	
		resizeContainer($find('<%=ContainerTabs.ClientID%>'));
	}

	function setupState()
	{
		formEditor = parent.getFormEditor();
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
	
		var panelBody = $get('<%=ContainerTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}

	function cancelUpdate()
	{
		formEditor.onPropertiesCanceledCallBack();
		return false;
	}

</script>
        

<table width="100%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="ContainerTabs" ActiveTabIndex="0" Height="250px"
				Width="100%" OnClientActiveTabChanged="resizeContainer" OnClientTabLoaded="setupState">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PagePropertiesTab"
					HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="PagePropertiesUpdatePanel" runat="server">
							<ContentTemplate>

								<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
								<table class="settingsTable">
											<tr>
												<td width="99%">
													<table>
														<tr>
															<td valign="top" nowrap class="labelStyle">
																<asp:Literal ID="TemplateTitleLabel" EnableViewState="False" runat="server"></asp:Literal>
															</td>
															<td>
																<asp:TextBox ID="TemplateTitleTextBox" runat="server" Columns="60"></asp:TextBox>
															</td>
														</tr>
														<tr>
															<td valign="top" nowrap class="labelStyle">
																<asp:Literal ID="BuiltInLabel" EnableViewState="False" runat="server"></asp:Literal>
															</td>
															<td>
																<asp:Checkbox ID="BuiltInCheckBox" runat="server"></asp:Checkbox>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>


			</ajaxToolkit:TabContainer>
</td></tr></table>
<table width="100%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td nowrap>
			<asp:UpdatePanel ID="ButtonsUpdatePanel" runat="server">
				<ContentTemplate>
					<asp:Button ID="ApplyChangesButton" runat="server" OnClick="ApplyChangesButton_Click"></asp:Button>
				</ContentTemplate>
			</asp:UpdatePanel>		
		</td>
		<td width="99%">
			<asp:Button id="CancelButton" runat="server" />
		</td>	
			
		<ajaxToolkit:UpdatePanelAnimationExtender ID="ButtonsUpdatePanelExtender" runat="server" TargetControlID="ButtonsUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
		</td>
	</tr>
</table>

        
        


