<%@ Control Language="c#" Codebehind="PanelHome.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelHome" %>

<script type="text/javascript">

	var stopSyncStatusUpdate = false;

	function getSyncStatus() 
	{
		if (!stopSyncStatusUpdate)
		{
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.GetSyncStatus(<%=PanelId%>, 
				getSyncStatus_callback, onFailed);
		}
	}

	function getSyncStatus_callback(res) 
	{
		var d = document.getElementById("syncStatus");

		if (res != null)
		{
			var splitArray = res.split('|');
			
			<asp:PlaceHolder runat="server" ID="StartStopSyncScriptPlaceHolder">

			// Did an unrecoverable error occured ?
			if (splitArray[0] == '<%=((int)DataIllusion.FeedbackServer.Data.SyncState.SyncError).ToString()%>' ||
				splitArray[0] == '<%=((int)DataIllusion.FeedbackServer.Data.SyncState.WaitingForNextSync).ToString()%>')
			{
				showSyncBlock('StartSync');
				hideSyncBlock('StopSync');
			}
			else if (splitArray[0] == '<%=((int)DataIllusion.FeedbackServer.Data.SyncState.Syncronizing).ToString()%>')
			{
				showSyncBlock('StopSync');
				hideSyncBlock('StartSync');
			}
			else
			{
				hideSyncBlock('StopSync');
				hideSyncBlock('StartSync');
			}
			</asp:placeholder>
			
			if(d.innerText)
				d.innerText = splitArray[1];
			else
				d.textContent = splitArray[1];
	
			d = null;
		}
		
		d = null;
		
		setTimeout(getSyncStatus, 5000);
	}

	function getSyncProgress() 
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.GetSyncProgress(<%=PanelId%>, 
			getSyncProgress_callback, onFailed);
			
	}

	function getSyncProgress_callback(res) 
	{
		var d = document.getElementById("syncProgress");

		if (res != null)
		{
			if(d.innerText)
				d.innerText = res.toString();
			else
				d.textContent = res.toString();
			d = null;
		}
				
		setTimeout(getSyncProgress, 5000);
	}
	
	function stopSyncronizer()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.StopSync(<%=PanelId%>, 
			stopSyncronizer_callback, onFailed);
	}

	function stopSyncronizer_callback(res) 
	{
		hideSyncBlock('StopSync');
	}

	function startSyncronizer()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.StartSync(<%=PanelId%>, 
			startSyncronizer_callback, onFailed);
	}

	function startSyncronizer_callback(res) 
	{
		hideSyncBlock('StartSync');
	}
	
	function showSyncBlock(pstrID)
	{
		var myDiv = document.getElementById('d' + pstrID);
		if (myDiv)
		{
			myDiv.style.display = 'block';
		}
	}

	function hideSyncBlock(pstrID)
	{
		var myDiv = document.getElementById('d' + pstrID);
		if (myDiv)
		{
			myDiv.style.display = 'none';
		}
	}
	
	function onFailed(error, userContext, methodName) 
	{
		if(error !== null) 
		{
			alert("An error occurred: " + 
				error.get_message());
		}
	}

</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panel_information.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="PanelInformationTitle" runat="server"></asp:Literal></td>
	</tr>
</table>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<asp:ValidationSummary ID="ValidationSummary1" runat="server" />
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="PanelConnectorLabel" EnableViewState="False" runat="server" Text="Panel connector   :"></asp:Literal>
						</td>
						<td width="99%">
							<asp:Label ID="PanelConnectorNameLabel" runat="server"></asp:Label></td>
					</tr>
									<tr>
						<td nowrap class="labelStyle" height="16">
							
								<asp:Literal ID="PanelistNumberLabel" EnableViewState="False" runat="server" Text="Number of panelists :"></asp:Literal></td>
						<td height="16">
							<asp:HyperLink ID="ManagePanelistsHyperLink" runat="server"></asp:HyperLink>
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle" height="16">
							
								<asp:Literal ID="PanelistToBeApprovedLabel" EnableViewState="False" runat="server" Text="Approval requests :"></asp:Literal></td>
						<td height="16">
							<asp:Label ID="ToApprovedCountLabel" runat="server"></asp:Label></td>
					</tr>
<asp:PlaceHolder ID="SyncSettingsPlaceHolder" runat="server">

					<tr>
						<td nowrap class="labelStyle" valign="top">
							
								<asp:Literal ID="SyncStatusLabel" EnableViewState="False" runat="server" Text="Syncronize status :"></asp:Literal>
						</td>
						<td><span id="syncStatus">-----</span></td>
					</tr>

					<tr>
						<td valign="top" nowrap class="labelStyle">
							<asp:Literal ID="SyncProgressLabel" EnableViewState="False" runat="server" Text="Syncronize progress   :"></asp:Literal>
<asp:PlaceHolder runat="server" ID="StartStopSyncPlaceHolder">
							<div id="dStopSync" style="display: none"><a href="javascript:void(0);" onclick="stopSyncronizer()"><%=GetPageResource("StopSyncHyperLink")%></a>&nbsp;</div>
							<div id="dStartSync" style="display: none"><a href="javascript:void(0);" onclick="startSyncronizer()"><%=GetPageResource("RestartSyncHyperLink")%></a>&nbsp;</div>
</asp:PlaceHolder>
						</td>
						<td valign="top">
							<span id="syncProgress">-----</span>&nbsp;&nbsp;</td>
					</tr>
</asp:PlaceHolder>

			</table>
			<br>
			<asp:Button ID="ManageAttributesButton" runat="server" Text="Manage attributes" OnClick="ManageAttributesButton_Click">
			</asp:Button>
			<asp:Button ID="CreatePanelistButton" runat="server" Text="Create a panelist" OnClick="CreatePanelistButton_Click" />
			&nbsp;<asp:Button ID="DeletePanelButton" runat="server" OnClick="DeletePanelButton_Click"
				Text="Delete panel" /></td>
	</tr>
</table>
<asp:PlaceHolder ID="PanelParticipationPlaceHolder" runat="server">
<br />
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panel_information.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="PanelSurveysTitle" runat="server"></asp:Literal></td>
	</tr>
</table>
<br />
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
				<asp:Label ID="NoPanelistsSurveyTakenLabel" runat="server"></asp:Label>
				<asp:GridView BorderColor="#6593CF" BorderStyle="Solid"  OnRowDataBound="PanelGridView_RowDataBound"
				HtmlEncode="false" ID="PanelistSurveysGridView" runat="server" CssClass="TableGrid" CellPadding="6" AutoGenerateColumns="False">
                    <RowStyle CssClass="TableListRow" />
                    <AlternatingRowStyle CssClass="TableAlternatingListRow" />
                    <HeaderStyle CssClass="TableGridHeader" HorizontalAlign="left" />
				<Columns>
					<asp:TemplateField><ItemTemplate><%#DataIllusion.FeedbackServer.Helpers.XSSHelper.HtmlEncode(Eval("Title").ToString())%></ItemTemplate></asp:TemplateField>
					<asp:TemplateField><ItemTemplate><a href="<%=GetPanelistSurveyAnswersUrl()%>&panelid=<%=PanelId%>&surveyid=<%#Eval("SurveyId") %>"><%#Eval("AnswerTotal")%></a></ItemTemplate></asp:TemplateField>
					<asp:BoundField DataField="LastAnswerDate" />
					<asp:TemplateField><ItemTemplate><a href="<%=GetPanelistSurveyAnswersUrl()%>&panelid=<%=PanelId%>&surveyid=<%#Eval("SurveyId") %>"><%#GetPageResource("ViewPanelistsHyperLink")%></a></ItemTemplate></asp:TemplateField>
				</Columns>
			</asp:GridView>
		</td>
	</tr>
</table>

</asp:PlaceHolder>