<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"
	Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register TagPrefix="uc1" TagName="ColorPicker" Src="../UserControls/ColorPicker.ascx" %>
<%@ Control Language="c#" Codebehind="StyleEditor.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.StyleEditor" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>


<script type="text/javascript" src="scripts/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="scripts/css/CSSHandler.js"></script>

<script type="text/javascript">

	var styleSheet,
		styleId = '<%=Request["styleid"]%>',
		cssDesignClass = null,
		cssHandler,
		isReportTab = false,
		fsClasses = new Array(<%=GetStyleTypes()%>);
        	
	

	function initCSSTab(sender, args)
	{
		resizeContainer(sender, null);
	}

		
	function initTab(sender, args)
	{
		clearInterface();

		isReportTab = sender.get_activeTabIndex() == 1;
		resizeContainer(sender, null);
		
		if (sender.get_activeTabIndex() == 1)
		{
			document.getElementById('Survey').style.display = "none";
			document.getElementById('Report').style.display = "block";
		}
		else if (sender.get_activeTabIndex() == 0)
		{
			document.getElementById('Survey').style.display = "block";
			document.getElementById('Report').style.display = "none";
		}
		else
		{
			document.getElementById('Survey').style.display = "none";
			document.getElementById('Report').style.display = "none";
		}
	}
	
	function initCSS()
	{
		clearInterface();
		
		if (styleId)
		{
			// Create our CSS handler
			cssHandler = new YAHOO.DataIllusion.FeedbackServer.
				CSSHandler(styleId, fsClasses, cssLoaded_callBack);
		}
	}
	
	function clearInterface()
	{
		if (document.getElementById('<%=ItemTypesDropdownlist.ClientID %>'))
		{
			document.getElementById('<%=ItemTypesDropdownlist.ClientID %>').selectedIndex = -1;			
			document.getElementById('stylefont').selectedIndex = -1;			
			document.getElementById('stylefontsize').selectedIndex = -1;
			document.getElementById('stylefontweight').selectedIndex = -1;
			document.getElementById('styleborderwidth').selectedIndex = -1;
			document.getElementById('styleborderstyle').selectedIndex = -1;
			document.getElementById('stylewidth').selectedIndex = -1;
			document.getElementById('stylepadding').selectedIndex = -1;
			document.getElementById('<%=BackgroundColorPicker.TextBoxHtmlUid%>').value= "";
			document.getElementById('<%=ForeColorPicker.TextBoxHtmlUid%>').value= "";
			document.getElementById('<%=BorderColorPicker.TextBoxHtmlUid%>').value= "";
		}

		if (document.getElementById('<%=ReportItemTypeDropdownList.ClientID %>'))
		{
			document.getElementById('<%=ReportItemTypeDropdownList.ClientID %>').selectedIndex = -1;			
			document.getElementById('reportstylefont').selectedIndex = -1;			
			document.getElementById('reportstylefontsize').selectedIndex = -1;
			document.getElementById('reportstylefontweight').selectedIndex = -1;
			document.getElementById('reportstylewidth').selectedIndex = -1;
			document.getElementById('reportstylepadding').selectedIndex = -1;
			document.getElementById('<%=ReportBackgroundColorPicker.TextBoxHtmlUid%>').value= "";
			document.getElementById('<%=ReportForeColorPicker.TextBoxHtmlUid%>').value= "";
			document.getElementById('<%=ReportBorderColorPicker.TextBoxHtmlUid%>').value= "";
		}

		SetColorNoTrigger('<%=BackgroundColorPicker.UniqueID%>', 
			'<%=BackgroundColorPicker.TextBoxHtmlUid%>', '')
		SetColorNoTrigger('<%=ForeColorPicker.UniqueID%>', 
			'<%=ForeColorPicker.TextBoxHtmlUid%>', '')
		SetColorNoTrigger('<%=BorderColorPicker.UniqueID%>', 
			'<%=BorderColorPicker.TextBoxHtmlUid%>', '')

		SetColorNoTrigger('<%=ReportBackgroundColorPicker.UniqueID%>', 
			'<%=ReportBackgroundColorPicker.TextBoxHtmlUid%>', '')
		SetColorNoTrigger('<%=ReportForeColorPicker.UniqueID%>', 
			'<%=ReportForeColorPicker.TextBoxHtmlUid%>', '')
		SetColorNoTrigger('<%=ReportBorderColorPicker.UniqueID%>', 
			'<%=ReportBorderColorPicker.TextBoxHtmlUid%>', '')

	}
	
	
	function cssLoaded_callBack()
	{
		document.getElementById('<%=StyleCode.ClientID%>').value = cssHandler.getStyle();
		cssHandler.setClassStyle("reportItem-Style", getReportItemStyle(true), true);

		// Force the layout to display all table borders with the same color
		cssHandler.applyStyleToElementChilds("reportItem-Style", 
			"font-family : "+cssHandler.getPropertieValue("reportItem-Style", "font-family")+
			";border-width: 1px; 	padding: "+cssHandler.getPropertieValue("reportItem-Style", "padding")+";border-style:solid;"+
			"border-color : "+cssHandler.getPropertieValue("reportItem-Header", "border-color")+";", "td");
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=StyleTabs.ClientID%>_body'),
			styleTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = styleTab.scrollHeight,
			scrollWidth = styleTab.scrollWidth;
	
	    if (scrollHeight < 140)
	    {
		    panelBody.style.height = "140px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
	
	// Update the main survey control CSS
	// style class being defined by the cssDesignClass variable
	function updateCSS()
	{
		if (!cssDesignClass)
		{
			return;
		}
		
		if (isReportTab)
		{
			updateReportCSS();
		}
		else
		{
			var style = "";

			if (document.getElementById('stylefont').value.length > 0)
			{
				style += "font-family:" + document.getElementById('stylefont').value + ";";
			}
			
			if (document.getElementById('stylefontsize').value.length > 0)
			{
				style += "font-size:" + document.getElementById('stylefontsize').value + ";";
			}
			
			if (document.getElementById('stylefontweight').value.length > 0)
			{
				style += "font-weight:" + document.getElementById('stylefontweight').value + ";";
			}
			
			if (document.getElementById('styleborderwidth').value.length > 0)
			{
				style += "border-width:" + document.getElementById('styleborderwidth').value + ";";
			}
			
			if (document.getElementById('styleborderstyle').value.length > 0)
			{
				style += "border-style:" + document.getElementById('styleborderstyle').value + ";";
			}

			if (document.getElementById('stylewidth').value.length > 0)
			{
				style += "width:" + document.getElementById('stylewidth').value + ";";
			}

			if (document.getElementById('stylepadding').value.length > 0)
			{
				style += "padding:" + document.getElementById('stylepadding').value + ";";
			}
					
			if (document.getElementById('<%=BackgroundColorPicker.TextBoxHtmlUid%>').value.length > 0)
			{
				style += "background-color:" + document.getElementById('<%=BackgroundColorPicker.TextBoxHtmlUid%>').value + ";";
			}
			
			if (document.getElementById('<%=ForeColorPicker.TextBoxHtmlUid%>').value.length > 0)
			{
				style += "color:" + document.getElementById('<%=ForeColorPicker.TextBoxHtmlUid%>').value + ";";
			}
			
			if (document.getElementById('<%=BorderColorPicker.TextBoxHtmlUid%>').value.length > 0)
			{
				style += "border-color:" + document.getElementById('<%=BorderColorPicker.TextBoxHtmlUid%>').value + ";";
			}
						

			cssHandler.setClassStyle(cssDesignClass, style, true);
			document.getElementById('<%=StyleCode.ClientID%>').value = cssHandler.getStyle() + getReportItemStyle(false) + getMatrixHeaderStyle();
		}
	}
	
	function updateReportCSS()
	{
		if (!cssDesignClass)
		{
			return;
		}
		
		var style = "";

		if (document.getElementById('reportstylefont').value.length > 0)
		{
			style += "font-family:" + document.getElementById('reportstylefont').value + ";";
		}
		
		if (document.getElementById('reportstylefontsize').value.length > 0)
		{
			style += "font-size:" + document.getElementById('reportstylefontsize').value + ";";
		}
		
		if (document.getElementById('reportstylefontweight').value.length > 0)
		{
			style += "font-weight:" + document.getElementById('reportstylefontweight').value + ";";
		}
		
		
		if (document.getElementById('reportstylewidth').value.length > 0)
		{
			style += "width:" + document.getElementById('reportstylewidth').value + ";";
		}

		if (document.getElementById('reportstylepadding').value.length > 0)
		{
			style += "padding:" + document.getElementById('reportstylepadding').value + ";";
		}
				
		if (document.getElementById('<%=ReportBackgroundColorPicker.TextBoxHtmlUid%>').value.length > 0)
		{
			style += "background-color:" + document.getElementById('<%=ReportBackgroundColorPicker.TextBoxHtmlUid%>').value + ";";
		}
		
		if (document.getElementById('<%=ReportForeColorPicker.TextBoxHtmlUid%>').value.length > 0)
		{
			style += "color:" + document.getElementById('<%=ReportForeColorPicker.TextBoxHtmlUid%>').value + ";";
		}
		
		if (document.getElementById('borderColor').style.visibility == "visible" && document.getElementById('<%=ReportBorderColorPicker.TextBoxHtmlUid%>').value.length > 0)
		{
			style += "border-color:" + document.getElementById('<%=ReportBorderColorPicker.TextBoxHtmlUid%>').value + ";";
		}

		// Force border width for the main report control
		if (cssDesignClass == "report-Style")
		{
			style += "border-width:1px;";
			style += "border-style:solid;";
		}
		else
		{
			if (cssHandler.getPropertieValue(cssDesignClass, "border-width"))
			{
				style += "border-width:" +  cssHandler.getPropertieValue(cssDesignClass, "border-width") + ";";
			}

			if (cssHandler.getPropertieValue(cssDesignClass, "border-style"))
			{
				style += "border-style:" +  cssHandler.getPropertieValue(cssDesignClass, "border-style") + ";";
			}
		}
		
		if (cssHandler.getPropertieValue(cssDesignClass, "border-collapse"))
		{
			style += "border-collapse:" +  cssHandler.getPropertieValue(cssDesignClass, "border-collapse") + ";";
		}
						
		cssHandler.setClassStyle(cssDesignClass, style, true);
		
		cssHandler.applyStyleToElementChilds("reportItem-Style", 
			"font-family : "+cssHandler.getPropertieValue("reportItem-Style", "font-family")+
			";border-width: 1px; 	padding: "+cssHandler.getPropertieValue("reportItem-Style", "padding")+";border-style:solid;"+
			"border-color : "+cssHandler.getPropertieValue("reportItem-Header", "border-color")+";", "td");

		document.getElementById('<%=StyleCode.ClientID%>').value = cssHandler.getStyle() + getReportItemStyle(false) + getMatrixHeaderStyle();
	}
	
	function getMatrixHeaderStyle()
	{
		var matrixHeader = " .feedbackserver .matrixheaderemptycolumn {width:auto;",
			style = "";
		
		if (cssHandler.getPropertieValue("matrixheader", "background-color") && cssHandler.getPropertieValue("matrixheader", "background-color").length > 0)
		{
			style += "background-color:"+cssHandler.getPropertieValue("matrixheader", "background-color")+";";
		}

		if (cssHandler.getPropertieValue("matrixheader", "color") && cssHandler.getPropertieValue("matrixheader", "color").length > 0)
		{
			style += "color:"+cssHandler.getPropertieValue("matrixheader", "color")+";";
		}

		if (cssHandler.getPropertieValue("matrixheader", "font-family") && cssHandler.getPropertieValue("matrixheader", "font-family").length > 0)
		{
			style += "font-family:"+cssHandler.getPropertieValue("matrixheader", "font-family")+";";
		}

		if (cssHandler.getPropertieValue("matrixheader", "font-size") && cssHandler.getPropertieValue("matrixheader", "font-size").length > 0)
		{
			style += "font-size:"+cssHandler.getPropertieValue("matrixheader", "font-size")+";";
		}

		if (cssHandler.getPropertieValue("matrixheader", "font-weight") && cssHandler.getPropertieValue("matrixheader", "font-weight").length > 0)
		{
			style += "font-weight:"+cssHandler.getPropertieValue("matrixheader", "font-weight")+";";
		}

		matrixHeader += style +"}";
		matrixHeader += " .feedbackserver .matrixrowheadercolumn {width:auto;" + style +"}";
		matrixHeader += " .feedbackserver .matrixheadercolumn {width:auto;" + style +"}";
		
		return matrixHeader;
	}
	
	function getReportItemStyle(isMainStyle)
	{
		var style = isMainStyle ? 
			"border-collapse:collapse;" : ".feedbackserver .reportItem-Style td { border-width: 1px;border-style:solid;";
		
		//style += "border-collapse: collapse;"; 

		if (cssHandler.getPropertieValue("reportItem-Style", "font-family")  && cssHandler.getPropertieValue("reportItem-Style", "font-family").length > 0)
		{
			style += "font-family : "+cssHandler.getPropertieValue("reportItem-Style", "font-family") + ";";
		}
		
		if (cssHandler.getPropertieValue("reportItem-Style", "padding") && cssHandler.getPropertieValue("reportItem-Style", "padding").length > 0)
		{
			style += "padding: "+cssHandler.getPropertieValue("reportItem-Style", "padding") + ";"; 
		}

		if (cssHandler.getPropertieValue("reportItem-Header", "border-color") && cssHandler.getPropertieValue("reportItem-Header", "border-color").length > 0)
		{
			style += "border-color: "+cssHandler.getPropertieValue("reportItem-Header", "border-color") + ";"; 
		}

		if (isMainStyle && cssHandler.getPropertieValue("reportItem-Style", "color") && cssHandler.getPropertieValue("reportItem-Style", "color").length > 0)
		{
			style += "color: "+cssHandler.getPropertieValue("reportItem-Style", "color") + ";"; 
		}		

		if (isMainStyle && cssHandler.getPropertieValue("reportItem-Style", "background-color") && cssHandler.getPropertieValue("reportItem-Style", "background-color").length > 0)
		{
			style += "background-color: "+cssHandler.getPropertieValue("reportItem-Style", "background-color") + ";"; 
		}

		if (isMainStyle && cssHandler.getPropertieValue("reportItem-Style", "width") && cssHandler.getPropertieValue("reportItem-Style", "width").length > 0)
		{
			style += "width: "+cssHandler.getPropertieValue("reportItem-Style", "width") + ";"; 
		}

		if (cssHandler.getPropertieValue("reportItem-Style", "font-weight") && cssHandler.getPropertieValue("reportItem-Style", "font-weight").length > 0)
		{
			style += "font-weight: "+cssHandler.getPropertieValue("reportItem-Style", "font-weight") + ";"; 
		}		
		
		if (cssHandler.getPropertieValue("reportItem-Style", "font-size") && cssHandler.getPropertieValue("reportItem-Style", "font-size").length > 0)
		{
			style += "font-size: "+cssHandler.getPropertieValue("reportItem-Style", "font-size") + ";"; 
		}			
		
		if (!isMainStyle)
		{
			style += "}"	
		}
	
		return style;
	}
	

	function changeDesignClass(newClass)
	{
		cssDesignClass = newClass;
		updateUIProperties();
	}
	
	function updateUIProperties()
	{
		selectListboxElement("stylefont", cssHandler.getPropertieValue(cssDesignClass, "font-family"));
		selectListboxElement("stylefontsize", cssHandler.getPropertieValue(cssDesignClass, "font-size"));
		selectListboxElement("stylefontweight", cssHandler.getPropertieValue(cssDesignClass, "font-weight"));
		selectListboxElement("styleborderwidth", cssHandler.getPropertieValue(cssDesignClass, "border-width"));
		selectListboxElement("styleborderstyle", cssHandler.getPropertieValue(cssDesignClass, "border-style"));
		selectListboxElement("stylepadding", cssHandler.getPropertieValue(cssDesignClass, "padding"));
		selectListboxElement("stylewidth", cssHandler.getPropertieValue(cssDesignClass, "width"));

		SetColorNoTrigger('<%=BackgroundColorPicker.UniqueID%>', 
			'<%=BackgroundColorPicker.TextBoxHtmlUid%>', cssHandler.getPropertieValue(cssDesignClass, "background-color"))
		SetColorNoTrigger('<%=ForeColorPicker.UniqueID%>', 
			'<%=ForeColorPicker.TextBoxHtmlUid%>', cssHandler.getPropertieValue(cssDesignClass, "color"))
		SetColorNoTrigger('<%=BorderColorPicker.UniqueID%>', 
			'<%=BorderColorPicker.TextBoxHtmlUid%>', cssHandler.getPropertieValue(cssDesignClass, "border-color"))
	}
	
	
	function changeReportDesignClass(newClass)
	{
		cssDesignClass = newClass;
		updateReportUIProperties();
	}
	
	function updateReportUIProperties()
	{
		switchColor();
		
		selectListboxElement("reportstylefont", cssHandler.getPropertieValue(cssDesignClass, "font-family"));
		selectListboxElement("reportstylefontsize", cssHandler.getPropertieValue(cssDesignClass, "font-size"));
		selectListboxElement("reportstylefontweight", cssHandler.getPropertieValue(cssDesignClass, "font-weight"));
		selectListboxElement("reportstylepadding", cssHandler.getPropertieValue(cssDesignClass, "padding"));
		selectListboxElement("reportstylewidth", cssHandler.getPropertieValue(cssDesignClass, "width"));

		SetColorNoTrigger('<%=ReportBackgroundColorPicker.UniqueID%>', 
			'<%=ReportBackgroundColorPicker.TextBoxHtmlUid%>', cssHandler.getPropertieValue(cssDesignClass, "background-color"))
		SetColorNoTrigger('<%=ReportForeColorPicker.UniqueID%>', 
			'<%=ReportForeColorPicker.TextBoxHtmlUid%>', cssHandler.getPropertieValue(cssDesignClass, "color"))
		SetColorNoTrigger('<%=ReportBorderColorPicker.UniqueID%>', 
			'<%=ReportBorderColorPicker.TextBoxHtmlUid%>', cssHandler.getPropertieValue(cssDesignClass, "border-color"))
	}
	
	function selectListboxElement(listBoxId, itemValue)
	{
		document.getElementById(listBoxId).selectedIndex = -1;
		
		if (itemValue)
		{
			for(i=0;i<document.getElementById(listBoxId).length;i++)
			{
				if(document.getElementById(listBoxId).options[i].value == itemValue ||
				   document.getElementById(listBoxId).options[i].text == itemValue)
				{
					document.getElementById(listBoxId).selectedIndex = i
					break;
				}
			}
		}
	}
	
	function switchColor()
	{
		if (document.getElementById('<%=ReportItemTypeDropdownList.ClientID%>').value == "reportItem-Header" || 
			document.getElementById('<%=ReportItemTypeDropdownList.ClientID%>').value == "report-Style")
		{
			document.getElementById('borderColor').style.visibility = "visible";
		}
		else
		{
			document.getElementById('borderColor').style.visibility = "hidden";
		}
	}
		
</script>
	

<style type="text/css">
<%= CSSStyle %>

.feedbackserver .reportItem-Style { border-style : inset;border-width : 1px;border-spacing : 0px;border-collapse: collapse;}
.feedbackserver .reportItem-Style td { border-width: 1px;border-style:inset;}

</style>

<table cellspacing="0" cellpadding="5" border="0" width="95%">
	<tr>
						<td>
							&nbsp;&nbsp;
						</td>
<td width="99%">
<asp:UpdatePanel RenderMode="Block" ID="UpdatePanel1" runat="server" >
<ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
</ContentTemplate>
</asp:UpdatePanel>

<ajaxToolkit:TabContainer runat="server"  ID="StyleTabs"  ActiveTabIndex="0" Height="140px" Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" HeaderText="Form style">
<ContentTemplate>
<input type="hidden" runat="server" id="StyleCode" />
<asp:PlaceHolder runat="server" ID="StyleEditorPlaceHolder">
<table class="settingsTable">
				<tr>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="ElementLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="FontLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="SizeLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="WidthLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="PaddingLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold"> 
					<asp:Label ID="BorderLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="StyleLabel" runat="server"></asp:Label>
					</td>

					<td style="font-size:x-small;vertical-align:top;font-weight:bold" nowrap="true">
					<asp:Label ID="ColorsLabel" runat="server"></asp:Label>
					</td>
				</tr>
				<tr>
					<td style="vertical-align:top">
						<asp:ListBox Rows="8" ID="ItemTypesDropdownlist" Font-Size="x-Small" runat="server"></asp:ListBox>
					</td>
					<td style="vertical-align:top">
									<select id="stylefont" style="width:80px;font-size:x-small" size="5" onchange="updateCSS()">
									<option value="Arial">Arial</option>
									<option value="Arial Black">Arial Black</option>
									<option value="Courier">Courier</option>
									<option value="Georgia">Georgia</option>
									<option value="Times New Roman">Times</option>
									<option value="Trebuchet MS">Trebuchet</option>
									<option value="Verdana">Verdana</option>
									</select><br />
									<select id="stylefontweight" style="width:80px;font-size:x-small;font-weight:" size="2" onchange="updateCSS()">
										<option value="100">normal</option>
										<option value="700">bold</option>
									</select>
					</td>
					<td style="vertical-align:top">
									<select id="stylefontsize" style="font-size:x-small" size="8" onchange="updateCSS()">
										<option value="xx-small">xx-small</option>
										<option value="x-small">x-small</option>
										<option value="small">small</option>
										<option value="medium">medium</option>
										<option value="large">large</option>
										<option value="x-large">x-large</option>
										<option value="xx-large">xx-large</option>
									</select>
					</td>
					<td style="vertical-align:top">
									<select id="stylewidth" style="font-size:x-small;font-weight:" size="8" onchange="updateCSS()">
										<option value="auto">auto</option>
										<option value="100%">100%</option>
										<option value="75%">75%</option>
										<option value="50%">50%</option>
										<option value="25%">25%</option>
										<option value="50px">50px</option>
										<option value="75px">75px</option>
										<option value="100px">100px</option>
										<option value="150px">150px</option>
										<option value="200px">200px</option>
										<option value="250px">250px</option>
										<option value="250px">500px</option>
										<option value="250px">750px</option>
									</select>
					</td>

					<td style="vertical-align:top">
									<select id="stylepadding" style="font-size:x-small;font-weight:" size="8" onchange="updateCSS()">
										<option value="0px">0px</option>
										<option value="1px">1px</option>
										<option value="2px">2px</option>
										<option value="3px">3px</option>
										<option value="4px">4px</option>
										<option value="5px">5px</option>
										<option value="6px">6px</option>
										<option value="7px">7px</option>
									</select>
					</td>
					<td style="vertical-align:top"> 
									<select id="styleborderwidth" style="font-size:x-small;font-weight:" size="8" onchange="updateCSS()">
										<option value="0px">0px</option>
										<option value="1px">1px</option>
										<option value="2px">2px</option>
										<option value="3px">3px</option>
										<option value="4px">4px</option>
										<option value="5px">5px</option>
										<option value="6px">6px</option>
										<option value="7px">7px</option>

									</select>
					</td>
					<td style="vertical-align:top">
									<select id="styleborderstyle" style="font-size:x-small;" size="8" onchange="updateCSS()">
										<option value="dashed">dashed</option>
										<option value="double">double</option>
										<option value="groove">groove</option>
										<option value="hidden">hidden</option>
										<option value="inset">inset</option>
										<option value="none">none</option>
										<option value="outset">outset</option>
										<option value="ridge">ridge</option>
										<option value="solid">solid</option>
									</select>
					</td>

					<td style="font-size:x-small;vertical-align:top" nowrap="true">
						<table cellpadding="0" cellspacing="0" style="font-size:x-small">
							<tr>
								<td nowrap>
									<asp:Label ID="BackgroundLabel" runat="server"></asp:Label>
								</td>
								<td>
									<uc1:ColorPicker ID="BackgroundColorPicker" CallBackFunction="updateCSS" runat="server"></uc1:ColorPicker>
								</td>
							</tr>
							<tr>
								<td nowrap>
									<asp:Label ID="ForeColorLabel" runat="server"></asp:Label>
								</td>
								<td>
									<uc1:ColorPicker ID="ForeColorPicker" runat="server"></uc1:ColorPicker>
								</td>
							</tr>
							<tr>
								<td nowrap>
									<asp:Label ID="BorderColorLabel" runat="server"></asp:Label>
								</td>
								<td>
									<uc1:ColorPicker ID="BorderColorPicker" runat="server"></uc1:ColorPicker>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
</asp:PlaceHolder>
<asp:PlaceHolder runat="server" ID="CSSEditorPlaceHolder">

<table class="settingsTable">
		<tr>
			<td nowrap class="labelStyle" valign="top">
				<asp:Literal ID="CSSCodeLabel" EnableViewState="False" runat="server" Text=""/>
			</td>
			<td style="vertical-align:top;font-size:x-small;font-weight:bold">
				<asp:TextBox ID="CSSCodeTextBox" TextMode="MultiLine" runat="server" Columns="80" Rows="20"></asp:TextBox><br>
				<a style="font-size:x-small" href="../css/sdk/fs_css_sdk.zip" id="DownloadCSSKitButton" runat="server"></a> 
			</t>
		</tr>
	</table>


</asp:PlaceHolder>

</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="ReportStyleTabPanel" HeaderText="Report style">
<ContentTemplate>
<table class="settingsTable">
				<tr>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="ReportElementLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="ReportFontLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="ReportSizeLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold"> 
					<asp:Label ID="ReportWidthLabel" runat="server"></asp:Label>
					</td>
					<td style="vertical-align:top;font-size:x-small;font-weight:bold">
					<asp:Label ID="ReportPaddingLabel" runat="server"></asp:Label>
					</td>

					<td style="font-size:x-small;vertical-align:top;font-weight:bold" nowrap="true">
					<asp:Label ID="ReportColorsLabel" runat="server"></asp:Label>
					</td>
				</tr>
				</tr>


				<tr>
					<td style="vertical-align:top">
						<asp:ListBox Rows="8" ID="ReportItemTypeDropdownList" Font-Size="x-Small" runat="server"></asp:ListBox>
					</td>
					<td style="vertical-align:top">
									<select id="reportstylefont" style="width:80px;font-size:x-small" size="5" onchange="updateReportCSS()">
									<option value="Arial">Arial</option>
									<option value="Arial Black">Arial Black</option>
									<option value="Courier">Courier</option>
									<option value="Georgia">Georgia</option>
									<option value="Times New Roman">Times</option>
									<option value="Trebuchet MS">Trebuchet</option>
									<option value="Verdana">Verdana</option>
									</select><br />
									<select id="reportstylefontweight" style="width:80px;font-size:x-small;font-weight:" size="2" onchange="updateReportCSS()">
										<option value="100">normal</option>
										<option value="700">bold</option>
									</select>
					</td>
					<td style="vertical-align:top">
									<select id="reportstylefontsize" style="font-size:x-small" size="8" onchange="updateReportCSS()">
										<option value="xx-small">xx-small</option>
										<option value="x-small">x-small</option>
										<option value="small">small</option>
										<option value="medium">medium</option>
										<option value="large">large</option>
										<option value="x-large">x-large</option>
										<option value="xx-large">xx-large</option>
									</select>
					</td>
					<td style="vertical-align:top">
									<select id="reportstylewidth" style="font-size:x-small;font-weight:" size="8" onchange="updateReportCSS()">
										<option value="auto">auto</option>
										<option value="100%">100%</option>
										<option value="75%">75%</option>
										<option value="50%">50%</option>
										<option value="25%">25%</option>
									</select>
					</td>

					<td style="vertical-align:top">
									<select id="reportstylepadding" style="font-size:x-small;font-weight:" size="8" onchange="updateReportCSS()">
										<option value="0px">0px</option>
										<option value="1px">1px</option>
										<option value="2px">2px</option>
										<option value="3px">3px</option>
										<option value="4px">4px</option>
										<option value="5px">5px</option>
										<option value="6px">6px</option>
										<option value="7px">7px</option>
									</select>
					</td>

					<td style="font-size:x-small;vertical-align:top" nowrap="true">
						<table cellpadding="0" cellspacing="0" style="font-size:x-small">
							<tr>
								<td>
									<asp:Label ID="ReportBackgroundColorLabel" runat="server"></asp:Label>
								</td>
								<td align="left">
									<uc1:ColorPicker ID="ReportBackgroundColorPicker" CallBackFunction="updateReportCSS" runat="server"></uc1:ColorPicker>
								</td>
							</tr>
							<tr>
								<td>
									<asp:Label ID="ReportForeColorLabel" runat="server"></asp:Label>
								</td>
								<td align="left">
									<uc1:ColorPicker ID="ReportForeColorPicker" runat="server"></uc1:ColorPicker>
								</td>
							</tr>
							<tr id="borderColor">
								<td>
									<asp:Label ID="ReportBorderLabel" runat="server"></asp:Label>
								</td>
								<td align="left">
									<uc1:ColorPicker ID="ReportBorderColorPicker" runat="server"></uc1:ColorPicker>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>

</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="ButtonImageTab" HeaderText="Button images">
<ContentTemplate>
<table class="settingsTable">
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="SubmitButtonImageLabel" EnableViewState="False" runat="server" Text="Submit :"></asp:Literal></td>
									<td width="99%" ><asp:TextBox ID="SubmitButtonURLTextbox" runat="server" Columns="40"></asp:TextBox><img id="SubmitGalleryImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="NextPageImageLabel" EnableViewState="False" runat="server" Text="Next page :"></asp:Literal></td>
									<td><asp:TextBox ID="NextPageButtonURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="NextButtonImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="PreviousPageImageLabel" EnableViewState="False" runat="server" Text="Previous page :"></asp:Literal></td>
									<td ><asp:TextBox ID="PreviousPageButtonURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="PreviousPageButtonImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="SaveProgressImageLabel" EnableViewState="False" runat="server" Text="Save progress :"></asp:Literal></td>
									<td><asp:TextBox ID="SaveProgressButtonURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="SaveProgressImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="ResumeProgressImageLabel" EnableViewState="False" runat="server" Text="Resume progress :"></asp:Literal></td>
									<td><asp:TextBox ID="ResumeProgressButtonURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="ResumeProgressImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="RestorePreviousAnswerLabel" EnableViewState="False" runat="server" Text="Restore previous answers:"></asp:Literal></td>
									<td><asp:TextBox ID="RestorePreviousAnswerURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="RestorePreviousAnswersImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="ReviewAndSubmitImageLabel" EnableViewState="False" runat="server" Text="Review and submit :"></asp:Literal></td>
									<td><asp:TextBox ID="ReviewAndSubmitURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="ReviewAndSubmitImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="ChangeAnswersImageLabel" EnableViewState="False" runat="server" Text="Change answers:"></asp:Literal></td>
									<td><asp:TextBox ID="ChangeAnswersURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="ChangeAnswerImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="UpdateAnswersImageLabel" EnableViewState="False" runat="server" Text="Update answers:"></asp:Literal></td>
									<td nowrap><asp:TextBox ID="UpdateAnswersURLTextBox" runat="server" Columns="40"></asp:TextBox><img id="UpdateAnswersImage" onclick="" runat="server"></td>
								</tr>
								
								</table>
</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="SelectionImagesTab" HeaderText="">
<ContentTemplate>
<table class="settingsTable">
								<tr>
									<td nowrap class="labelStyle" valign="top">
									<asp:Literal ID="RadioButtonOnImageLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
									<td width="99%" ><asp:TextBox ID="RadioButtonOnTextBox" runat="server" Columns="40"></asp:TextBox><img id="RadioButtonOnImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="RadioButtonOffImageLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
									<td><asp:TextBox ID="RadioButtonOffTextBox" runat="server" Columns="40"></asp:TextBox><img id="RadioButtonOffImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
									<asp:Literal ID="CheckboxOnImageLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
									<td ><asp:TextBox ID="CheckboxOnTextBox" runat="server" Columns="40"></asp:TextBox><img id="CheckboxOnImage" onclick="" runat="server"></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="CheckboxOffImageLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
									<td><asp:TextBox ID="CheckboxOffTextBox" runat="server" Columns="40"></asp:TextBox><img id="CheckboxOffImage" onclick="" runat="server"></td>
								</tr>
								</table>
</ContentTemplate></ajaxToolkit:TabPanel>


<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="DeploymentTab" HeaderText="Deployment page">
<ContentTemplate>
<table class="settingsTable">
								<tr>
									<td nowrap class="labelStyle" valign="top" nowrap width="129">
    									
											<asp:Literal ID="PageBackGroundColorLabel"  runat="server" Text="Page background color :"></asp:Literal></td>
									<td width="99%" nowrap>
										<uc1:ColorPicker ID="PagePickerColorPicker"  runat="server"></uc1:ColorPicker>
									</td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top" nowrap width="129">
    									
											<asp:Literal ID="SurveyWidthLabel"  runat="server" Text="Survey width (pixel) :"></asp:Literal></td>
									<td><asp:TextBox ID="SurveyWidthTextBox" runat="server" Columns="4"/></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top" nowrap width="129">
    									
											<asp:Literal ID="SurveyPageAlignLabel"  runat="server" Text="Survey page align :"></asp:Literal></td>
                                          <td>  <asp:DropDownList ID="SurveyPageAlignDropDownList" runat="server"></asp:DropDownList>									
									</td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="PageHeaderLabel" EnableViewState="False" runat="server" Text="Review and submit :"></asp:Literal></td>
									<td height="14">
									<uc1:RichTextBox ID="PageHeaderQuestionFreeTextBox" 
                                Height="250" Width="550" runat="server">
                            </uc1:RichTextBox></td>
								</tr>
								<tr>
									<td nowrap class="labelStyle" valign="top">
                                    
									<asp:Literal ID="PageFooterLabel" EnableViewState="False" runat="server" Text="Change answers:"></asp:Literal></td>
									<td height="14">
									<uc1:RichTextBox ID="PageFooterQuestionFreeTextBox" 
                                 Height="250" Width="550" runat="server">
                            </uc1:RichTextBox></td>
								</tr>
			</table>					
</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="SettingsTab" On HeaderText="Style Settings">
<ContentTemplate>
<table class="settingsTable">
					<tr>
						<td nowrap class="labelStyle">
							<asp:Literal ID="StyleNameLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
						</td>
						<td height="16">
							<asp:TextBox ID="StyleNameTextBox" runat="server" Columns="35"></asp:TextBox>
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							<asp:Literal ID="StyleScreenShotLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
						</td>
						<td height="16">
							<asp:TextBox ID="StyleScreenshotTextBox" runat="server" Columns="35"></asp:TextBox><img id="ScreenShotPickerImage" onclick="" runat="server">
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="StylePublicLabel" EnableViewState="False" runat="server" Text="Public style :"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="PublicStyleCheckBox" runat="server"></asp:CheckBox></td>
					</tr>
					<tr id="BuiltInRow" runat="server">
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="BuiltInLabel" EnableViewState="False" runat="server" Text="Built In"></asp:Literal></td>
						<td width="99%">
							<asp:CheckBox ID="BuiltInCheckBox" runat="server"></asp:CheckBox></td>
					</tr>

			</table>					
</ContentTemplate></ajaxToolkit:TabPanel>

</ajaxToolkit:TabContainer>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server" >
<Triggers>
<asp:PostBackTrigger ControlID="ExportButton" />
<asp:PostBackTrigger ControlID="ExportCSSButton" />
</Triggers>
<ContentTemplate>
<table><tr><td>
				<asp:Button ID="UpdateStyleButton" runat="server" Text="Update" OnClick="UpdateStyleButton_Click">
				</asp:Button>
				<asp:Button ID="DeleteStyleButton" runat="server" Text="Delete" OnClick="DeleteStyleButton_Click">
				</asp:Button>
				<asp:Button ID="CloneStyleButton" runat="server" Text="Clone" OnClick="CloneStyleButton_Click">
				</asp:Button>
				<asp:Button ID="ExportCSSButton" runat="server" Text="Export" OnClick="ExportCSSButton_Click">
				</asp:Button>
					<asp:Button ID="ExportButton" runat="server" Text="Export" OnClick="ExportButton_Click">
				</asp:Button>
</td></tr>
</table>
</ContentTemplate></asp:UpdatePanel>


</td></tr></table>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

<asp:PlaceHolder ID="StylePreview" runat="server">
<br />
<table cellspacing="0" cellpadding="0" border="0" width="95%">
	<tr>
						<td>
							&nbsp;&nbsp;
						</td>
<td align="left">

<div id="Survey" class="feedbackserver">

			<table id="Survey_TemplatedPage_SurveyContainer" class="pageitem" border="0">
				<tr id="Tr2">
					<td colspan="2">
						<table class="downloadanswers" border="0">
							<tr>
								<td>
									<span id="Span1"><span class="downloadanswers"><a href="javascript: return false;">download answers</a></span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="Survey_TemplatedPage_BackupConfirmationMessage">
					<td colspan="2">
						<table class="confirmationmessage" border="0">
							<tr>
								<td>
									Your survey progress has been saved, you can resume it at any time
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="Tr1">
					<td colspan="2">
						<table class="validationmessage" border="0">
							<tr>
								<td>
									A system error has occured
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<table class="header" border="0">
							<tr>
								<td>
									<span id="Survey_TemplatedPage_TopNextPageBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopNextPageBehavior$NextPageBehavior"
											value="Next page >>" id="Survey_TemplatedPage_TopNextPageBehavior_NextPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td>
									<span id="Survey_TemplatedPage_TopResumeBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopResumeBehavior$ResumeProgressPageBehavior"
											value="Resume progress" id="Survey_TemplatedPage_TopResumeBehavior_ResumeProgressPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td>
									<span id="Survey_TemplatedPage_TopSaveBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopSaveBehavior$SaveProgressPageBehavior"
											value="Save progress" id="Survey_TemplatedPage_TopSaveBehavior_SaveProgressPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td style="width: 99%;">
									<span id="Survey_TemplatedPage_TopRestoreAnswersBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopRestoreAnswersBehavior$RestoreAnswersPageBehavior"
											value="Restore answers" id="Survey_TemplatedPage_TopRestoreAnswersBehavior_RestoreAnswersPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td align="right" style="white-space: nowrap;">
									<span id="Survey_TemplatedPage_TopProgressBehavior">Page 1 / 2</span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td nowrap="true" valign="top">
							<table id="_QuestionTable" class="questionitem" border="0">
								<tr id="Survey_TemplatedPage_Question15981_QuestionBackErrorMessage">
									<td colspan="2">
										<table class="questionvalidationmessage" border="0">
											<tr>
												<td>
													At least 1 answer(s) must be selected!
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr id="Tr3">
									<td colspan="2">
										<table class="questionconfirmationmessage" border="0">
											<tr>
												<td>
													File uploaded
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td valign="top">
										<table id="_HeaderTable" class="questionitemheader" border="0">
											<tr>
												<td valign="top">
													<span>1.</span>
												</td>
												<td style="width: 99%;">
													<span>Question text</span><span class="questionvalidationmark">*</span>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<table class="answeritem">
											<tr>
												<td colspan="2">
													<table class="sectionoption">
														<tr>
															<td>
																<a id="_ AddSectionAfterButton37248" href="javascript: return false;">add</a>
															</td>
														</tr>
													</table>
												</td>
											</tr>
														<tr>
															<td valign="top" colspan="2">
																<span id="__ai81881_as37248">
																	<input type="radio"/>Answer
																	1</span>
															</td>
														</tr>
														<tr>
															<td valign="top" colspan="2">
																<span id="__ai81882_as37248">
																	<input  type="radio"  /><label
																			for="__ai81882_as37248_SelectionItem">Answer 2</label></span>
															</td>
														</tr>
														<tr>
															<td valign="top">
																<span>Collection</span>
															</td>
															<td valign="top">
																<span id="__ai81902_as37248">
																	<select class="collectionansweritem">
																		<option value="ferrari">ferrari</option>
																		<option selected="selected" value="">[select car]</option>
																	</select></span>
															</td>
														</tr>
														<tr>
															<td valign="top">
																<span>List</span>
															</td>
															<td valign="top">
																<span id="__ai81903_as37248">
																	<select class="listitem">
																		<option value="">[Select State]</option>
																		<option value="AL">Alabama</option>
																		<option value="AK">Alaska</option>
																	</select></span>
															</td>
														</tr>
										</table>
									</td>
								</tr>
							</table>
					</td>
					<td valign="top" width="99%">
						<table id="Survey_TemplatedPage_QuestionTable_" class="questionitem" border="0">
							<tr>
								<td>
									<table id="Survey_TemplatedPage_HeaderTable" class="questionitemheader" border="0">
										<tr>
											<td valign="top">
												<span>2.</span>
											</td>
											<td style="width: 99%;">
													<div>Matrix question</div>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td colspan="2">
									<table class="answeritem" border="0">
										<tr>
											<td>
												<table class="matrix" cellspacing="1" cellpadding="3" border="0">
													<tr>
														<td class="matrixheader" align="center" valign="top">
															&nbsp;
														</td>
														<td class="matrixheader" align="center" valign="top" colspan="3">
															column header
														</td>
													</tr>
												<tr>
													<td class="matrixheader">
														&nbsp;
													</td>
													<td class="matrixheader" align="center" valign="top">
														col 1
													</td>
													<td class="matrixheader" align="center" valign="top">
														col 2
													</td>
													<td class="matrixheader" align="center" valign="top">
														col 3
													</td>
												</tr>
													<tr>
														<td class="matrixitem" valign="top">
															row 1
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"/></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"  /></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio" /></span>
														</td>
													</tr>
													<tr>
														<td class="matrixalternatingitem" valign="top">
															row 2
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span >
																<input  type="radio" /></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input " type="radio"
																	 /></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input  type="radio"
																	/></span>
														</td>
													</tr>
													<tr>
														<td class="matrixitem" valign="top">
															row 3
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span >
																<input type="radio"
																	/></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"
																	  /></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"
																	 /></span>
														</td>
													</tr>
													<tr>
														<td class="matrixalternatingitem" valign="top">
															row 4
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span >
																<input type="radio"
																	/></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input type="radio"/></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input type="radio"
																	/></span>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
	</tr>
	<tr>
		<td nowrap valign="top">
				<table id="Survey_TemplatedPage_Question_QuestionTable_" class="questionitem" border="0">
					<tr>
						<td>
							<table id="Survey_TemplatedPage_Question_HeaderTable" class="questionitemheader"
								border="0">
								<tr>
									<td valign="top">
										<span>3.</span>
									</td>
									<td style="width: 99%;">
										<div>grid section question</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="answeritem" border="0">
								<tr>
									<td>
										<table class="sectiongrid" border="0">
											<tr class="sectiongridheader">
												<td style="white-space: nowrap;">
													choice 1
												</td>
												<td style="white-space: nowrap;">
													choice 2
												</td>
												<td style="white-space: nowrap;">
													choice 3
												</td>
												<td>
													&nbsp;
												</td>
												<td>
													&nbsp;
												</td>
												<td>
													&nbsp;
												</td>
											</tr>
											<tr class="sectiongridalternatingitem">
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_on.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td style="white-space: nowrap;">
													<a href="javascript: return false;">add</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="javascript: return false;">edit</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="javascript: return false;">delete</a>
												</td>
											</tr>
											<tr class="sectiongriditem">
												<td align="center" valign="top">
													<img src="images/spot_on.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td style="white-space: nowrap;">
													<a href="javascript: return false;">add</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="javascript: return false;">edit</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="javascript: return false;">delete</a>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<input type="submit" value="add" />
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td class="answeritem">
							<span id="Survey_TemplatedPage_Question_SectionGrid"></span>
						</td>
					</tr>
				</table>

		</td>
		<td valign="top">
				<table class="questionitem"
					border="0">
					<tr>
						<td>
							<table class="questionitemheader"
								border="0">
								<tr>
									<td valign="top">
										<span>4.</span>
									</td>
									<td style="width: 99%;">
										<span>
											<div>
												Dropdown question</div>
										</span>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="answeritem" border="0">
								<tr>
									<td>
										<table border="0">
											<tr>
												<td valign="top">
													<span >
														<select class="answerdropdown">
															<option value="-1">[Select an answer]</option>
															<option value="81904">1</option>
															<option value="81905">2</option>
															<option value="81906">3</option>
														</select></span>
												</td>
												<td valign="top">
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>

				<ul class='rankingcontainer' style='list-style: none;'><li style='cursor:pointer;zoom: 1;' class='rankingitem'>Ranking item</li></ul>

		</td></tr>
	<tr>
		<td colspan="2">
			<table class="footer" border="0">
				<tr>
					<td>
						<span id="Survey_TemplatedPage_BottomNextPageBehavior">
							<input onclick="javascript:return false;" type="submit" value="Next page >>" class="buttonstyle" /></span>
					</td>
					<td>
						<span id="Survey_TemplatedPage_BottomResumeBehavior">
							<input onclick="javascript:return false;" type="submit" value="Resume progress" 
								class="buttonstyle" /></span>
					</td>
					<td>
						<span id="Survey_TemplatedPage_BottomSaveBehavior">
							<input onclick="javascript:return false;" type="submit" value="Save progress" class="buttonstyle" /></span>
					</td>
					<td style="width: 99%;">
						<span id="Survey_TemplatedPage_BottomRestoreAnswersBehavior">
							<input onclick="javascript:return false;" type="submit" value="Restore answers"
								class="buttonstyle" /></span>
					</td>
					<td align="right" style="white-space: nowrap;">
						<span>Page 1 / 2</span>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table></div>






<div id="Report" class="feedbackserver">
	<table width="100%" border="0" align="center">
		<tr>
			<td>
				<div style="width: 100%;">
						<table class="report-Style" >
						<tr class="reportNavigation-Style">
							<td style="white-space: nowrap;">
								Go to report's page&nbsp;&nbsp;&nbsp;<a href="javascript: return false;">1</a> | <a href="javascript: return false;">2</a>
							</td>
						</tr>
						<tr>
							<td>
								<div>
									<table width="100%">
										<tr>
											<td>
												<table width="100%"> 
													<tr>
														<td>
															<table class="reportItem-Style">
																<tr>
																	<td class="reportItem-Header" colspan="4" style="font-weight: bold;">
																		Do you like comics ?
																	</td>
																</tr>
																<tr >
																	<td align="right" colspan="2" style="width: 98%;">
																		&nbsp;
																	</td>
																	<td class="reportItem-Header" align="center" style="font-weight: bold; width: 1%;">
																		Answer Percent
																	</td>
																	<td class="reportItem-Header" align="center" style="font-weight: bold; width: 1%;">
																		Answer Total
																	</td>
																</tr>
																<tr class="reportselectedentry">
																	<td  style="width: 25%;">
																		yes
																	</td>
																	<td  align="center" style="width: 73%;">
																		<table border="0" style="background-color: White; border-color: Black; border-width: 1px;
																			border-style: Solid; width: 95%;">
																			<tr>
																				<td style="background-color: #3FB5FF; width: 100%;border-style:none;">
																				</td>
																				<td style="width: 0%;border-style:none;">
																					&nbsp;
																				</td>
																			</tr>
																		</table>
																	</td>
																	<td class="reportItem-Header" align="right" style="width: 1%;">
																		100%
																	</td>
																	<td class="reportItem-Header" align="right" style="width: 1%;">
																		6
																	</td>
																</tr>
																<tr>
																	<td  style="width: 25%;">
																		no
																	</td>
																	<td  align="center" style="width: 73%;">
																		<table border="0" style="background-color: White; border-color: Black; border-width: 1px;
																			border-style: Solid; width: 95%;">
																			<tr>
																				<td style="background-color: #9AE998; border-style:none; width: 0%;">
																				</td>
																				<td style="width: 100%;border-style:none;">
																					&nbsp;
																				</td>
																			</tr>
																		</table>
																	</td>
																	<td class="reportItem-Header" align="right" style="width: 1%;">
																		0%
																	</td>
																	<td class="reportItem-Header" align="right" style="width: 1%;">
																		0
																	</td>
																</tr>
																<tr>
																	<td class="reportItem-Header" align="right" colspan="3" style="font-weight: bold;">
																		Total answers
																	</td>
																	<td class="reportItem-Header" align="right" style="font-weight: bold;">
																		6
																	</td>
																</tr>
																<tr>
																	<td class="reportItem-Header" align="right" colspan="3" style="font-weight: bold;">
																		Unique Respondents
																	</td>
																	<td class="reportItem-Header" align="right" style="font-weight: bold;">
																		23
																	</td>
																</tr>
																<tr>
																	<td class="reportItem-Header" align="right" colspan="3" style="font-weight: bold;">
																		Respondent Reach
																	</td>
																	<td class="reportItem-Header" align="right" style="font-weight: bold;">
																		26.09%
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp;
							</td>
						</tr>
						<tr>
							<td>
								<div >
										<table width="100%">
											<tr>
												<td valign="top">
													<table class="reportItem-Style">
														<tr>
															<td class="reportItem-Header" colspan="11" style="font-weight: bold;">
																Please rate following
															</td>
														</tr>
														<tr>
															<td class="reportItem-Header">
															</td>
															<td class="reportItem-Header" align="center" valign="top">
																very bad
															</td>
															<td class="reportItem-Header" align="center" valign="top">
																medium
															</td>
															<td class="reportItem-Header" align="center" valign="top">
																good
															</td>
															<td class="reportItem-Header" align="center" valign="top">
																very good
															</td>
															<td class="reportItem-Header" align="center" valign="top" style="font-weight: bold;
																font-style: italic;">
																Answers
															</td>
															<td class="reportItem-Header" align="center" valign="top" style="font-weight: bold;
																font-style: italic;">
																Individuals
															</td>
															<td class="reportItem-Header" align="center" valign="top" style="font-weight: bold;
																font-style: italic;">
																Participants
															</td>
															<td class="reportItem-Header" align="center" valign="top" style="font-weight: bold;
																font-style: italic;">
																Reach
															</td>
															<td class="reportItem-Header" align="center" valign="top" style="font-weight: bold;
																font-style: italic;">
																Rating mean
															</td>
														</tr>
														<tr>
															<td class="reportItem-Header" valign="top">
																interface
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																23
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0%
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0 / 4
															</td>
														</tr>
														<tr>
															<td class="reportItem-Header" valign="top">
																support
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																23
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0%
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0 / 4
															</td>
														</tr>
														<tr>
															<td class="reportItem-Header" valign="top">
																features
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																&nbsp;&nbsp;0% (0)
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																23
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0%
															</td>
															<td  align="right" valign="top" style="white-space: nowrap;">
																0 / 4
															</td>
														</tr>
														<tr>
															<td class="reportItem-Header" colspan="11" style="font-weight: bold; white-space: nowrap;">
																<br />
																Matrix questions grid rating : 0 / 4
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp;
							</td>
						</tr>						<tr>
							<td>
								<div>
									<table class="reportList-Style">
										<tr>
											<td >
													<table class="reportList-Content">
														<tr>
															<td valign="top">
																<a href="javascript: return false;" style="border-style: None;">
																	<img src="../images/reportvotericon.gif" style="border-width: 0px;" /></a>
															</td>
															<td valign="top" style="white-space: nowrap;">
																<input type="image" src="../images/deletereportvotericon.gif"
																	style="border-width: 0px;" />
															</td>
															<td valign="top" style="white-space: nowrap;">
																&nbsp;01.01.2009 12:00:00
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																IP :
															</td>
															<td valign="top" style="white-space: nowrap;">
																::1
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Username :
															</td>
															<td valign="top" style="white-space: nowrap;">
																---
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Language :
															</td>
															<td style="width: 99%; white-space: nowrap;">
																default
															</td>
														</tr>
													</table>
											</td>
										</tr>
										<tr>
											<td>
													<table class="reportList-AlternateContent">
														<tr>
															<td valign="top">
																<a href="javascript: return false;">
																	<img src="../images/reportvotericon.gif" style="border-width: 0px;"/></a>
															</td>
															<td valign="top" style="white-space: nowrap;">
																<input type="image" src="../images/deletereportvotericon.gif"/>
															</td>
															<td valign="top" style="white-space: nowrap;">
																&nbsp;01.01.2009 12:00:00
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																IP :
															</td>
															<td valign="top" style="white-space: nowrap;">
																::1
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Username :
															</td>
															<td valign="top" style="white-space: nowrap;">
																--- 
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Language :
															</td>
															<td style="width: 99%; white-space: nowrap;">
																default
															</td>
														</tr>
													</table>
											</td>
										</tr>
										<tr>
											<td>
													<table class="reportList-Content">
														<tr>
															<td valign="top">
																<a href="javascript: return false;">
																	<img src="../images/reportvotericon.gif" style="border-width: 0px;" /></a>
															</td>
															<td valign="top" style="white-space: nowrap;">
																<input type="image" src="../images/deletereportvotericon.gif" style="border-width: 0px;" />
															</td>
															<td valign="top" style="white-space: nowrap;">
																&nbsp;01.01.2009 12:00:00
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																IP :
															</td>
															<td valign="top" style="white-space: nowrap;">
																::1
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Username :
															</td>
															<td valign="top" style="white-space: nowrap;">
																---
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Language :
															</td>
															<td style="width: 99%; white-space: nowrap;">
																default
															</td>
														</tr>
													</table>
											</td>
										</tr>
										<tr>
											<td >
													<table class="reportList-AlternateContent">
														<tr>
															<td valign="top">
																<a href="javascript: return false;">
																	<img src="../images/reportvotericon.gif" style="border-width: 0px;"/></a>
															</td>
															<td valign="top" style="white-space: nowrap;">
																<input type="image" src="../images/deletereportvotericon.gif" onclick="javascript:if(confirm('Are you sure you want to delete the report of this person ?')== false) return false;"
																	style="border-width: 0px;" />
															</td>
															<td valign="top" style="white-space: nowrap;">
																&nbsp;01.01.2009 12:00:00
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																IP :
															</td>
															<td valign="top" style="white-space: nowrap;">
																::1
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Username :
															</td>
															<td valign="top" style="white-space: nowrap;">
																---
															</td>
															<td valign="top" style="font-weight: normal; white-space: nowrap;">
																Language :
															</td>
															<td style="width: 99%; white-space: nowrap;">
																default
															</td>
														</tr>
													</table>
											</td>
										</tr>
									</table>
								</div>
							</td>
						</tr>
					</table>
				</div>
			</td>
		</tr>
	</table>
</div>

</td></tr></table><br />
</asp:PlaceHolder>
<input type="button" id="debug" style="display:none" onclick='alert(cssHandler.getStyle() + getReportItemStyle(false) + getMatrixHeaderStyle());' />


