<%@ Control Language="c#" CodeBehind="SurveySecurity.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.SurveySecurity" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Register Src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox"
	TagPrefix="uc1" %>
<script type="text/javascript" src="scripts/fslang.aspx" ></script>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Security/Security.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="SurveySecurityTitle" runat="server" Text="" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>
<asp:UpdatePanel runat="server" ID="PageUpdatePanel">
	<ContentTemplate>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
					<asp:PlaceHolder ID="SecurityOptionsPlaceHolder" runat="server" Visible="False">
						<table>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Label ID="UnAuthentifiedUserActionLabel" runat="server">If user has not been automatically authentified by all security addins :</asp:Label>&nbsp;
								</td>
								<td width="99%">
									<asp:DropDownList ID="ActionsDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ActionsDropDownList_SelectedIndexChanged">
									</asp:DropDownList>
								</td>
							</tr>
						</table>
						<br>
					</asp:PlaceHolder>
					<asp:PlaceHolder ID="CustomMessagePlaceHolder" runat="server">
						<table width="100%">
							<tr>
								<td>
									<table class="securityBuilder" cellspacing="2" cellpadding="4" width="100%">
										<tr>
											<td colspan="2">
												<table class="securityAddinBreakOptions" width="100%">
													<tr>
														<td width="20">
															&nbsp;
														</td>
														<td nowrap width="300">
															<asp:Label ID="CustomMessageLabel" runat="server"></asp:Label>&nbsp;
														</td>
														<td align="right">
															&nbsp;&nbsp;&nbsp;
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<uc1:RichTextBox ID="CustomMessageFreeTextBox" runat="server" Height="250"></uc1:RichTextBox>
											</td>
										</tr>
										<tr id="EditionLanguageRow" runat="server">
											<td nowrap class="labelStyle">
												<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
											</td>
											<td width="99%">
												<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
												</asp:DropDownList>
											</td>
										</tr>
										<tr>
										<td colspan="2">
										<asp:Button ID="UpdateCustomMessage" OnClick="UpdateCustomMessage_OnClick" runat="server" />
										</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</asp:PlaceHolder>
					<asp:PlaceHolder ID="AddInListPlaceHolder" runat="server"></asp:PlaceHolder>
					<br>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
