<%@ Control Language="c#" Codebehind="TableFormElement.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.TableFormElement" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<link rel="stylesheet" type="text/css" href="scripts/build/colorpicker/assets/skins/sam/colorpicker.css" />
<link type="text/css" rel="stylesheet" href="scripts/build/container/assets/container.css">
<link rel="stylesheet" type="text/css" href="scripts/build/menu/assets/menu.css"> 


<script type="text/javascript" src="scripts/build/utilities/utilities.js"></script>
<script type="text/javascript" src="scripts/build/slider/slider.js"></script>
<script type="text/javascript" src="scripts/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="scripts/build/colorpicker/colorpicker-min.js"></script>

<style>  
	#container { position:absolute; left:14px; top:190px; border:1px solid gray; display:no padding: 6px; background-color: #eeeeee; width: 340px; height:200px; }
	#tablecolorcontainer { position:absolute; left:14px; top:190px; border:1px solid gray; display:no padding: 6px; background-color: #eeeeee; width: 340px; height:200px; }
	
	</style>

<script language="javascript">

	var formElement = null,
		table = null,
		cell = null,
		cellAlignDropDownId = "<%=CellVerticalAlignDropDownList.ClientID%>",
		horizontalAlignDropDownListId = "<%=HorizontalAlignDropDownList.ClientID%>",
		borderWidthDropDownId = "<%=BorderWidthDropDownList.ClientID%>",
		borderTypeDropDownId = "<%=BorderTypeDropDownList.ClientID%>",
		borderWidthId = "<%=BorderWidthDropDownList.ClientID%>",
		topBorderCheckboxId = "<%=TopCheckBox.ClientID%>",
		leftBorderCheckboxId = "<%=LeftCheckBox.ClientID%>",
		rightBorderCheckboxId = "<%=RightCheckBox.ClientID%>",
		bottomBorderCheckboxId = "<%=BottomCheckBox.ClientID%>",
		

		tableBorderWidthDropDownId = "<%=TableBorderWidthDropDownList.ClientID%>",
		tableBorderTypeDropDownId = "<%=TableBorderTypeDropDownList.ClientID%>",
		tableBorderWidthId = "<%=TableBorderWidthDropDownList.ClientID%>",
		tableTopBorderCheckboxId = "<%=TableBorderTopCheckBox.ClientID%>",
		tableLeftBorderCheckboxId = "<%=TableBorderLeftCheckBox.ClientID%>",
		tableRightBorderCheckboxId = "<%=TableBorderRightCheckBox.ClientID%>",
		tableBottomBorderCheckboxId = "<%=TableBorderBottomCheckBox.ClientID%>",
		tableCellSpacingId = "<%=CellSpacingDropDownList.ClientID%>",
		tableCellPaddingId = "<%=CellPaddingDropDownList.ClientID%>",
		picker,
		tablePicker;


	function setupState()
	{
		formElement = parent.getFormEditor().selectedElement;
		
		var table = formElement.table.table,
			cell = parent.getFormEditor().selectedElement.MLKMCXOW;
				
		setDropdownValue(YAHOO.util.Dom.get(cellAlignDropDownId),
			YAHOO.util.Dom.getStyle(cell, "vertical-align"));

		setDropdownValue(YAHOO.util.Dom.get(horizontalAlignDropDownListId),
			cell.align);

		setCellBorderWidth();
		setCellBorderStyle();
		setCellBorderColor();

		setTableBorderWidth();
		setTableBorderStyle();
		setTableBorderColor();


		YAHOO.util.Dom.get(topBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(cell, "border-top-width") &&
			YAHOO.util.Dom.getStyle(cell, "border-top-style") && YAHOO.util.Dom.getStyle(cell, "border-top-style").indexOf('inset') == -1;
		YAHOO.util.Dom.get(leftBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(cell, "border-left-width") &&
			YAHOO.util.Dom.getStyle(cell, "border-left-style") && YAHOO.util.Dom.getStyle(cell, "border-left-style").indexOf('inset') == -1; 
		YAHOO.util.Dom.get(rightBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(cell, "border-right-width") &&
			YAHOO.util.Dom.getStyle(cell, "border-right-style") && YAHOO.util.Dom.getStyle(cell, "border-right-style").indexOf('inset') == -1;
		YAHOO.util.Dom.get(bottomBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(cell, "border-bottom-width") &&
			YAHOO.util.Dom.getStyle(cell, "border-bottom-style") && YAHOO.util.Dom.getStyle(cell, "border-bottom-style").indexOf('inset') == -1;

		YAHOO.util.Dom.get(tableTopBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(table, "border-top-width") &&
			YAHOO.util.Dom.getStyle(table, "border-top-style") && YAHOO.util.Dom.getStyle(table, "border-top-style").indexOf('inset') == -1;
		YAHOO.util.Dom.get(tableLeftBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(table, "border-left-width") &&
			YAHOO.util.Dom.getStyle(table, "border-left-style") && YAHOO.util.Dom.getStyle(table, "border-left-style").indexOf('inset') == -1; 
		YAHOO.util.Dom.get(tableRightBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(table, "border-right-width") &&
			YAHOO.util.Dom.getStyle(table, "border-right-style") && YAHOO.util.Dom.getStyle(table, "border-right-style").indexOf('inset') == -1;
		YAHOO.util.Dom.get(tableBottomBorderCheckboxId).checked = YAHOO.util.Dom.getStyle(table, "border-bottom-width") &&
			YAHOO.util.Dom.getStyle(table, "border-bottom-style") && YAHOO.util.Dom.getStyle(table, "border-bottom-style").indexOf('inset') == -1;

	
		var tableSpacing = table.cellSpacing,
			tablePadding = table.cellPadding;

		setDropdownValue(YAHOO.util.Dom.get(tableCellSpacingId), tableSpacing);    	
		setDropdownValue(YAHOO.util.Dom.get(tableCellPaddingId), tablePadding);    
		
		setBorderState();
		setTableBorderState();
	}
	
	function setCellBorderWidth()
	{
		var width,
			cell = parent.getFormEditor().selectedElement.MLKMCXOW;
		
		if (YAHOO.util.Dom.getStyle(cell, "border-top-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-top-style") && YAHOO.util.Dom.getStyle(cell, "border-top-style").indexOf('inset') == -1)
		{
			width = YAHOO.util.Dom.getStyle(cell, "border-top-width");
		}
		else if (YAHOO.util.Dom.getStyle(cell, "border-left-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-left-style") && YAHOO.util.Dom.getStyle(cell, "border-left-style").indexOf('inset') == -1)
		{		
			width = YAHOO.util.Dom.getStyle(cell, "border-left-width");
		}		
		else if (YAHOO.util.Dom.getStyle(cell, "border-right-width") != null &&
			YAHOO.util.Dom.getStyle(cell, "border-right-style") && YAHOO.util.Dom.getStyle(cell, "border-right-style").indexOf('inset') == -1)
		{
			width =	YAHOO.util.Dom.getStyle(cell, "border-right-width");	
		}		
		else if (YAHOO.util.Dom.getStyle(cell, "border-bottom-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-bottom-style") && YAHOO.util.Dom.getStyle(cell, "border-bottom-style").indexOf('inset') == -1)
		{
			width = YAHOO.util.Dom.getStyle(cell, "border-bottom-width");
		}		
	
		if (width)
		{
			setDropdownValue(YAHOO.util.Dom.get(borderWidthDropDownId), width.replace("px",""));
		}
	}
	
	function setCellBorderColor()
	{
		var color,
			cell = parent.getFormEditor().selectedElement.MLKMCXOW;

		
		if (YAHOO.util.Dom.getStyle(cell, "border-top-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-top-color") && YAHOO.util.Dom.getStyle(cell, "border-top-style").indexOf('inset') == -1)
		{
			color = YAHOO.util.Dom.getStyle(cell, "border-top-color");
		}
		else if (YAHOO.util.Dom.getStyle(cell, "border-left-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-left-color") && YAHOO.util.Dom.getStyle(cell, "border-left-style").indexOf('inset') == -1)
		{		
			color = YAHOO.util.Dom.getStyle(cell, "border-left-color");
		}		
		else if (YAHOO.util.Dom.getStyle(cell, "border-right-width") != null &&
			YAHOO.util.Dom.getStyle(cell, "border-right-color") && YAHOO.util.Dom.getStyle(cell, "border-right-style").indexOf('inset') == -1)
		{
			color =	YAHOO.util.Dom.getStyle(cell, "border-right-style");	
		}		
		else if (YAHOO.util.Dom.getStyle(cell, "border-bottom-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-bottom-color") && YAHOO.util.Dom.getStyle(cell, "border-bottom-style").indexOf('inset') == -1)
		{
			color = YAHOO.util.Dom.getStyle(cell, "border-bottom-color");
		}
		
		if (color)
		{
			YAHOO.util.Dom.get("colorCellBorder").value = color;
			YAHOO.util.Dom.get("colorPreview").style.background = color;
		}
	}
	
	function setCellBorderStyle()
	{
		var style,
			cell = parent.getFormEditor().selectedElement.MLKMCXOW;
			
		if (YAHOO.util.Dom.getStyle(cell, "border-top-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-top-style") && YAHOO.util.Dom.getStyle(cell, "border-top-style").indexOf('inset') == -1)
		{
			style = YAHOO.util.Dom.getStyle(cell, "border-top-style");
		}
		else if (YAHOO.util.Dom.getStyle(cell, "border-left-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-left-style") && YAHOO.util.Dom.getStyle(cell, "border-left-style").indexOf('inset') == -1)
		{		
			style = YAHOO.util.Dom.getStyle(cell, "border-left-style");
		}		
		else if (YAHOO.util.Dom.getStyle(cell, "border-right-width") != null &&
			YAHOO.util.Dom.getStyle(cell, "border-right-style") && YAHOO.util.Dom.getStyle(cell, "border-right-style").indexOf('inset') == -1)
		{
			style =	YAHOO.util.Dom.getStyle(cell, "border-right-style");	
		}		
		else if (YAHOO.util.Dom.getStyle(cell, "border-bottom-width") != null && 
			YAHOO.util.Dom.getStyle(cell, "border-bottom-style") && YAHOO.util.Dom.getStyle(cell, "border-bottom-style").indexOf('inset') == -1)
		{
			style = YAHOO.util.Dom.getStyle(cell, "border-bottom-style");
		}
		
		if (style)
		{
			setDropdownValue(YAHOO.util.Dom.get(borderTypeDropDownId), style);
		}
	}


	function setTableBorderWidth()
	{
		var width,
			table = formElement.table.table;
		
		if (YAHOO.util.Dom.getStyle(table, "border-top-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-top-style") && YAHOO.util.Dom.getStyle(table, "border-top-style").indexOf('inset') == -1)
		{
			width = YAHOO.util.Dom.getStyle(table, "border-top-width");
		}
		else if (YAHOO.util.Dom.getStyle(table, "border-left-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-left-style") && YAHOO.util.Dom.getStyle(table, "border-left-style").indexOf('inset') == -1)
		{		
			width = YAHOO.util.Dom.getStyle(table, "border-left-width");
		}		
		else if (YAHOO.util.Dom.getStyle(table, "border-right-width") != null &&
			YAHOO.util.Dom.getStyle(table, "border-right-style") && YAHOO.util.Dom.getStyle(table, "border-right-style").indexOf('inset') == -1)
		{
			width =	YAHOO.util.Dom.getStyle(table, "border-right-width");	
		}		
		else if (YAHOO.util.Dom.getStyle(table, "border-bottom-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-bottom-style") && YAHOO.util.Dom.getStyle(table, "border-bottom-style").indexOf('inset') == -1)
		{
			width = YAHOO.util.Dom.getStyle(table, "border-bottom-width");
		}		
	
		if (width)
		{
			setDropdownValue(YAHOO.util.Dom.get(tableBorderWidthDropDownId), width.replace("px",""));
		}
	}
	
	function setTableBorderColor()
	{
		var color,
			table = formElement.table.table;

		
		if (YAHOO.util.Dom.getStyle(table, "border-top-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-top-color") && YAHOO.util.Dom.getStyle(table, "border-top-style").indexOf('inset') == -1)
		{
			color = YAHOO.util.Dom.getStyle(table, "border-top-color");
		}
		else if (YAHOO.util.Dom.getStyle(table, "border-left-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-left-color") && YAHOO.util.Dom.getStyle(table, "border-left-style").indexOf('inset') == -1)
		{		
			color = YAHOO.util.Dom.getStyle(table, "border-left-color");
		}		
		else if (YAHOO.util.Dom.getStyle(table, "border-right-width") != null &&
			YAHOO.util.Dom.getStyle(table, "border-right-color") && YAHOO.util.Dom.getStyle(table, "border-right-style").indexOf('inset') == -1)
		{
			color =	YAHOO.util.Dom.getStyle(table, "border-right-style");	
		}		
		else if (YAHOO.util.Dom.getStyle(table, "border-bottom-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-bottom-color") && YAHOO.util.Dom.getStyle(table, "border-bottom-style").indexOf('inset') == -1)
		{
			color = YAHOO.util.Dom.getStyle(table, "border-bottom-color");
		}
		
		if (color)
		{
			YAHOO.util.Dom.get("colorTableBorder").value = color;
			YAHOO.util.Dom.get("colorTablePreview").style.background = color;
		}
	}
	
	function setTableBorderStyle()
	{
		var style,
			table = formElement.table.table;
			
		if (YAHOO.util.Dom.getStyle(table, "border-top-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-top-style") && YAHOO.util.Dom.getStyle(table, "border-top-style").indexOf('inset') == -1)
		{
			style = YAHOO.util.Dom.getStyle(table, "border-top-style");
		}
		else if (YAHOO.util.Dom.getStyle(table, "border-left-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-left-style") && YAHOO.util.Dom.getStyle(table, "border-left-style").indexOf('inset') == -1)
		{		
			style = YAHOO.util.Dom.getStyle(table, "border-left-style");
		}		
		else if (YAHOO.util.Dom.getStyle(table, "border-right-width") != null &&
			YAHOO.util.Dom.getStyle(table, "border-right-style") && YAHOO.util.Dom.getStyle(table, "border-right-style").indexOf('inset') == -1)
		{
			style =	YAHOO.util.Dom.getStyle(table, "border-right-style");	
		}		
		else if (YAHOO.util.Dom.getStyle(table, "border-bottom-width") != null && 
			YAHOO.util.Dom.getStyle(table, "border-bottom-style") && YAHOO.util.Dom.getStyle(table, "border-bottom-style").indexOf('inset') == -1)
		{
			style = YAHOO.util.Dom.getStyle(table, "border-bottom-style");
		}
		
		if (style)
		{
			setDropdownValue(YAHOO.util.Dom.get(tableBorderTypeDropDownId), style);
		}
	}

	
	function setDropdownValue(dropdown, val)
	{
		for(i=0;i<dropdown.length;i++)
		{
			if(dropdown.options[i].value==val)
			{
				dropdown.selectedIndex = i;
			}
		}
	}
	
	function updateElement()
	{		
		formElement.updateLayout(YAHOO.util.Dom.get(horizontalAlignDropDownListId).value,
			YAHOO.util.Dom.get(cellAlignDropDownId).value, YAHOO.util.Dom.get(borderWidthId).value,
			YAHOO.util.Dom.get(borderTypeDropDownId).value, 
			YAHOO.util.Dom.get("colorCellBorder").value,
			YAHOO.util.Dom.get(topBorderCheckboxId).checked,
			YAHOO.util.Dom.get(leftBorderCheckboxId).checked,
			YAHOO.util.Dom.get(rightBorderCheckboxId).checked,
			YAHOO.util.Dom.get(bottomBorderCheckboxId).checked,
			YAHOO.util.Dom.get(tableCellSpacingId).value, 
			YAHOO.util.Dom.get(tableCellPaddingId).value,
			YAHOO.util.Dom.get(tableBorderWidthId).value,
			YAHOO.util.Dom.get(tableBorderTypeDropDownId).value, 
			YAHOO.util.Dom.get("colorTableBorder").value,
			YAHOO.util.Dom.get(tableTopBorderCheckboxId).checked,
			YAHOO.util.Dom.get(tableLeftBorderCheckboxId).checked,
			YAHOO.util.Dom.get(tableRightBorderCheckboxId).checked,
			YAHOO.util.Dom.get(tableBottomBorderCheckboxId).checked);			
			
		parent.closeModal();
		return false;
	}
	
	function setBorderState()
	{
		var borderSize = YAHOO.util.Dom.get(borderWidthDropDownId).value;

		YAHOO.util.Dom.get("borderSettings").style.display =  borderSize == 0 ?
			"none" : "block";
	}

	function setTableBorderState()
	{
		var borderSize = YAHOO.util.Dom.get(tableBorderWidthDropDownId).value;

		YAHOO.util.Dom.get("tableBorderSettings").style.display =  borderSize == 0 ?
			"none" : "block";
	}
	
	function deleteElement()
	{
		if(confirm('<%=GetPageResource("DeleteConfirmationMessage")%>')== false) 
			return false;	
		
		formElement.onPropertiesDeletedCallBack();
		return false;
	}

	
	function cancelUpdate()
	{
		formElement.onPropertiesCanceledCallBack();
		return false;
	}
	
	function BuildPicker()
	{
		pickerContainer = YAHOO.util.Dom.get("container");
		if (pickerContainer.style.display == "block")
		{
			//picker = null;
			pickerContainer.style.display = "none";
		}
		else
		{
			
			pickerContainer.style.display = "block";
			
			if (!picker)
				picker = new YAHOO.widget.ColorPicker("container", {
					showhsvcontrols: false,
					showhexcontrols: false,
					showcontrols: false,
					animate : false,
					images: {
							PICKER_THUMB: "scripts/build/colorpicker/assets/picker_thumb.png",
							HUE_THUMB: "scripts/build/colorpicker/assets/hue_thumb.png"
    				}
					});

			var onRgbChange = function(o) 
			{
				YAHOO.util.Dom.get("colorCellBorder").value = "rgb(" + picker.get("rgb") + ")";
				YAHOO.util.Dom.get("colorPreview").style.background = "rgb(" + picker.get("rgb") + ")";
			}
			picker.on("rgbChange", onRgbChange);
			
	 		if (YAHOO.util.Dom.get("colorCellBorder").value)
	 		{
	 			var rbValues = YAHOO.util.Dom.get("colorCellBorder").value.replace("rgb(","").replace(")","").replace(" ","");
				picker.setValue(rbValues.split(","), false);

			}	
		}
	}

	function BuildTableColorPicker()
	{
		tablePickerContainer = YAHOO.util.Dom.get("tablecolorcontainer");
		if (tablePickerContainer.style.display == "block")
		{
			tablePickerContainer.style.display = "none";
		}
		else
		{
			
			tablePickerContainer.style.display = "block";
			if (!tablePicker)
				tablePicker = new YAHOO.widget.ColorPicker("tablecolorcontainer", {
					showhsvcontrols: false,
					showhexcontrols: false,
					showcontrols: false,
					animate: false,
					images: {
							PICKER_THUMB: "scripts/build/colorpicker/assets/picker_thumb.png",
							HUE_THUMB: "scripts/build/colorpicker/assets/hue_thumb.png"
    				}
					});

			var onRgbChange = function(o) 
			{
				YAHOO.util.Dom.get("colorTableBorder").value = "rgb(" + tablePicker.get("rgb") + ")";
				YAHOO.util.Dom.get("colorTablePreview").style.background = "rgb(" + tablePicker.get("rgb") + ")";
			}
			tablePicker.on("rgbChange", onRgbChange);

	 		if (YAHOO.util.Dom.get("colorTableBorder").value)
	 		{
	 			var rbValues = YAHOO.util.Dom.get("colorTableBorder").value.replace("rgb(","").replace(")","").replace(" ","");
				tablePicker.setValue(rbValues.split(","), false);
			}	
		}
	}
	
</script>

<div style="display:none" id="container"></div>	
<div style="display:none" id="tablecolorcontainer"></div>	

                <table >
	                <tr>
		                <td>
			                &nbsp;&nbsp;
		                </td>
		                <td>
    <ajaxToolkit:TabContainer runat="server" ActiveTabIndex="0" OnClientTabLoaded="setupState" Height="250px" Width="400">

            <ajaxToolkit:TabPanel runat="server" ID="CellPropertiesTab" HeaderText="Cells">
                <ContentTemplate>
<table class="settingsTable">
	                <tr>
		                <td>
			                <table>
				                <tr>
					                <td class="labelStyle" width="110">
					                <asp:Label ID="Label1" runat="server">Horizontal align</asp:Label>
					                </td>
					                <td nowrap>
					                <asp:DropDownList ID="HorizontalAlignDropDownList" runat="server"></asp:DropDownList>
					                </td>
				                </tr>
				                <tr>
					                <td class="labelStyle">
					                <asp:Label ID="CellhorizontalAlignLabel" runat="server">Vertical align</asp:Label>
					                </td>
					                <td nowrap>
					                <asp:DropDownList ID="CellVerticalAlignDropDownList" runat="server"></asp:DropDownList>
					                </td>
				                </tr>
				                <tr>
					                <td class="labelStyle">
					                <asp:Label ID="Label2" runat="server">Border size</asp:Label>
					                </td>
					                <td nowrap>
					                <asp:DropDownList ID="BorderWidthDropDownList" onIn runat="server">
					                <asp:ListItem Value="">0</asp:ListItem>
					                <asp:ListItem Value="1">1</asp:ListItem>
					                <asp:ListItem Value="2">2</asp:ListItem>
					                <asp:ListItem Value="3">3</asp:ListItem>
					                <asp:ListItem Value="4">4</asp:ListItem>
					                <asp:ListItem Value="5">5</asp:ListItem>
					                </asp:DropDownList>
					                </td>
				                </tr>
				                </table>
<div id="borderSettings" style="display:none">
				                <table>
				                <tr>
					                <td class="labelStyle" width="110">
					                <asp:Label ID="Label3" runat="server">Border type</asp:Label>
					                </td>
					                <td nowrap>
					                <asp:DropDownList ID="BorderTypeDropDownList" runat="server">
										<asp:ListItem >solid</asp:ListItem>
										<asp:ListItem >dotted</asp:ListItem>
										<asp:ListItem >dashed</asp:ListItem>
										<asp:ListItem >double</asp:ListItem>
										<asp:ListItem >groove</asp:ListItem>
										<asp:ListItem >ridge</asp:ListItem>					                
										<asp:ListItem >outset</asp:ListItem>					                
					                </asp:DropDownList>
					                </td>
				                </tr>				                
				               <tr>
					                <td class="labelStyle">
					                <asp:Label ID="Label5" runat="server">Border color</asp:Label>
					                <td>
					                <table><tr><td id="colorPreview" style="background:white">
					                <input type="hidden" id="colorCellBorder"/>&nbsp;&nbsp;&nbsp;</td><td><img src="images/designerproperty.gif" onclick="BuildPicker()" /></td></tr></table>
					                </td>
				                </tr>
				                <tr>
					                <td class="labelStyle">
					                <asp:Label ID="Label4" runat="server">Border </asp:Label>
					                </td>
					                <td nowrap>
					                Top <asp:CheckBox ID="TopCheckBox" runat="server" /> Left 
					                <asp:CheckBox ID="LeftCheckBox" runat="server" /> Right 
					                <asp:CheckBox ID="RightCheckBox" runat="server"/> Bottom 
					                <asp:CheckBox ID="BottomCheckBox" runat="server" />
					                </td>
				                </tr>
				            </table>
</div>
				         </td>
				     </tr>

				  </table>
 
                </ContentTemplate>
            </ajaxToolkit:TabPanel>

            <ajaxToolkit:TabPanel runat="server" ID="TablePropertiesTab" HeaderText="Table">
                <ContentTemplate>
<table class="settingsTable">
	                <tr>
		                <td>
			                <table>
				                <tr>
					                <td class="labelStyle" width="110">
					                <asp:Label ID="TableCellPaddingLabel" runat="server">Cellpadding</asp:Label>
					                </td>
					                <td >
					                <asp:DropDownList ID="CellPaddingDropDownList" runat="server">
					                <asp:ListItem Value="0">0</asp:ListItem>
					                <asp:ListItem Value="1">1</asp:ListItem>
					                <asp:ListItem Value="2">2</asp:ListItem>
					                <asp:ListItem Value="3">3</asp:ListItem>
					                <asp:ListItem Value="4">4</asp:ListItem>
					                <asp:ListItem Value="5">5</asp:ListItem>
					                </asp:DropDownList>
					                </td>
				                </tr>



				                <tr>
					                <td class="labelStyle">
					                <asp:Label ID="TableCellSpacing" runat="server">Cellspacing </asp:Label>
					                </td>
					                <td >
					                <asp:DropDownList ID="CellSpacingDropDownList" runat="server">
					                <asp:ListItem Value="0">0</asp:ListItem>
					                <asp:ListItem Value="1">1</asp:ListItem>
					                <asp:ListItem Value="2">2</asp:ListItem>
					                <asp:ListItem Value="3">3</asp:ListItem>
					                <asp:ListItem Value="4">4</asp:ListItem>
					                <asp:ListItem Value="5">5</asp:ListItem>
					                </asp:DropDownList>
					                </td>
				                </tr>

				                <tr>
					                <td class="labelStyle">
					                <asp:Label ID="TableBorderSizeLabel" runat="server">Border size</asp:Label>
					                </td>
					                <td >
					                <asp:DropDownList ID="TableBorderWidthDropDownList" onIn runat="server">
					                <asp:ListItem Value="">0</asp:ListItem>
					                <asp:ListItem Value="1">1</asp:ListItem>
					                <asp:ListItem Value="2">2</asp:ListItem>
					                <asp:ListItem Value="3">3</asp:ListItem>
					                <asp:ListItem Value="4">4</asp:ListItem>
					                <asp:ListItem Value="5">5</asp:ListItem>
					                </asp:DropDownList>
					                </td>
				                </tr>
				                </table>
<div id="tableBorderSettings" style="display:none">
				                <table>
				                <tr>
					                <td class="labelStyle" width="110">
					                <asp:Label ID="TableBorderTypeLabel" runat="server">Border type</asp:Label>
					                </td>
					                <td >
					                <asp:DropDownList ID="TableBorderTypeDropDownList" runat="server">
										<asp:ListItem >solid</asp:ListItem>
										<asp:ListItem >dotted</asp:ListItem>
										<asp:ListItem >dashed</asp:ListItem>
										<asp:ListItem >double</asp:ListItem>
										<asp:ListItem >groove</asp:ListItem>
										<asp:ListItem >ridge</asp:ListItem>					                
										<asp:ListItem >outset</asp:ListItem>					                
					                </asp:DropDownList>
					                </td>
				                </tr>				                
				               <tr>
					                <td class="labelStyle">
					                <asp:Label ID="TableBorderColorLabel" runat="server">Border color</asp:Label>
					                <td>
					                <table><tr><td id="colorTablePreview" style="background:white">
					                <input type="hidden" id="colorTableBorder"/>&nbsp;&nbsp;&nbsp;</td><td><img src="images/designerproperty.gif" onclick="BuildTableColorPicker()" /></td></tr></table>
					                </td>
				                </tr>
				                <tr>
					                <td class="labelStyle">
					                <asp:Label ID="TableBorderLabel1" runat="server">Border </asp:Label>
					                </td>
					                <td nowrap>
					                Top <asp:CheckBox ID="TableBorderTopCheckBox" runat="server" /> Left 
					                <asp:CheckBox ID="TableBorderLeftCheckBox" runat="server" /> Right 
					                <asp:CheckBox ID="TableBorderRightCheckBox" runat="server"/> Bottom 
					                <asp:CheckBox ID="TableBorderBottomCheckBox" runat="server" />
					                </td>
				                </tr>
				            </table>
</div>
				         </td>
				     </tr>


				         </td>
				     </tr>
				  </table>
                </ContentTemplate>
            </ajaxToolkit:TabPanel>

        </ajaxToolkit:TabContainer>
        
        
				<table>
					<tr>
						<td>
							<input id="UpdateButton" type="button" onclick="updateElement()" runat="server" />
							<input id="DeleteButton" type="button" onclick="deleteElement()" runat="server" />
							<input id="CancelButton" type="button" onclick="cancelUpdate()" runat="server" />
				</td></tr></table>


</td></tr></table>

