<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="ConditionRulesDisplay.ascx" %>
<%@ Control Language="c#" AutoEventWireup="True" Codebehind="DynamicContentConditonsControl.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.DynamicContentConditionsControl"
	TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.WebAdmin" %>
<asp:Repeater ID="DynamicContentRepeater" runat="server">
	<ItemTemplate>
		<table width="100%">
			<tr>
				<td>
					<span class="largeBoldFont">
						<%#DataIllusion.FeedbackServer.Helpers.XSSHelper.HtmlEncode(DataBinder.Eval(Container.DataItem, "TagName").ToString())%>
					</span>&nbsp;&nbsp;-&nbsp;&nbsp;
					<asp:HyperLink ID="EditDynamicContentHyperLink" runat="server"></asp:HyperLink>&nbsp;&nbsp;-&nbsp;&nbsp;
					<asp:HyperLink ID="EditDynamicContentRulesHyperLink" runat="server"></asp:HyperLink>
					<table class="dynamicConditionDisplay">
						<tr>
							<td>
								<asp:Label ID="NoConditions" runat="server"></asp:Label>
								<asp:Repeater ID="ConditionRepeater" runat="server">
									<ItemTemplate>
										<table width="100%">
											<tr>
												<td>
													<table width="100%" class="dynamicConditionOptions">
														<tr>
															<td valign="top">
																	<%#((DataIllusion.FeedbackServer.WebAdmin.PageBase)Page).GetPageResource("IfDynamicContentConditionsMetLabel")%>
															</td>
														</tr>
													</table>
													<table cellpadding="2">
														<tr>
															<td>
																&nbsp;&nbsp;</td>
															<td>
																<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
																<br>
																<span class="labelStyle">
																	<%#((DataIllusion.FeedbackServer.WebAdmin.PageBase)Page).GetPageResource("CustomContentTextLabel")%>
																</span>
																<br>
																<%#DataIllusion.FeedbackServer.Helpers.XSSHelper.HtmlEncode(DataIllusion.FeedbackServer.Helpers.WebHelper.RemoveHTML(DataBinder.Eval(Container.DataItem, "ContentText").ToString()))%>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</ItemTemplate>
								</asp:Repeater>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<br>
	</ItemTemplate>
</asp:Repeater>
