<%@ Control Language="c#" AutoEventWireup="True" Codebehind="DynamicPanelistGridView.ascx.cs" 
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.DynamicPanelistGridView" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
<%@ Register Src="DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>

<asp:UpdatePanel ID="AttributesUpdatePanel" runat="server">
	<ContentTemplate>
		<table>
			<tr>
				<td nowrap class="labelStyle">
					<asp:Literal ID="ExtraAttributesLabel" EnableViewState="False" runat="server" Text="Extra attributes to show :"></asp:Literal>
				</td>
				<td>
					<asp:DropDownList ID="Attribute1DropDownList" runat="server" AutoPostBack="True"
						OnSelectedIndexChanged="Attribute1DropDownList_SelectedIndexChanged">
					</asp:DropDownList>
				</td>
				<td>
					<asp:DropDownList ID="Attribute2DropDownList" runat="server" AutoPostBack="True"
						OnSelectedIndexChanged="Attribute2DropDownList_SelectedIndexChanged">
					</asp:DropDownList>
				</td>
				<td nowrap class="labelStyle">
					<asp:CheckBox runat="server" ID="ShowPanelistIdCheckBox" Checked="true" OnCheckedChanged="ShowPanelistIdCheckBox_CheckedChanged"
						AutoPostBack="true" Text="" />
				</td>
				<td width="99%" class="labelStyle">
					<asp:CheckBox runat="server" ID="ShowSourceIdCheckBox" Checked="true" OnCheckedChanged="ShowSourceIdCheckBox_CheckedChanged"
						AutoPostBack="true" Text="" />
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<table width="100%">
	<tr>
		<td>
			<uc1:DynamicGridView ShowFilterControl="false" ID="PanelistDynamicGridView" runat="server" />
		</td>
	</tr>
</table>

<script type="text/javascript">

	var panelistStatus = <%=(int)GridPanelistStatus%>;

	function editEntry<%=PanelistDynamicGridView.ClientID%>(id,rowindex,totalrows,sortcolumn,sortorder)
	{
		var attribute1Id = document.getElementById('<%=Attribute1DropDownList.ClientID%>').value,
			attribute2Id = document.getElementById('<%=Attribute2DropDownList.ClientID%>').value;

		parent.OpenModal('panelistdetails.aspx?panelid=<%=PanelId%>&panelviewid=<%=PanelViewId%>&panelistid='+id+'&rowindex='+rowindex+'&attribute1id='+attribute1Id+
			'&attribute2id='+attribute2Id+'&sortcolumn='+encodeURIComponent(sortcolumn)+'&sortorder='+encodeURIComponent(sortorder)+'&dynamicpanelistgridviewstatus='+panelistStatus+'&nomenu=1', 
			'<%=GetPageResource("PanelistDetailsTitle")%>', true);
	}	

	function deletePanelists_callback(res) 
	{
		ReloadGrid<%=PanelistGridView.ClientID%>()
	}

</script>


