﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RedirectionConditions.ascx.cs" Inherits="DataIllusion.FeedbackServer.WebAdmin.RedirectionConditions" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="ConditionRulesDisplay.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="ConditionRulesEditor.ascx" %>

						<asp:LinkButton ID="AddRedirectionConditionLinkButton" CssClass="smallText"  runat="server" OnClick="AddRedirectionConditionLinkButton_Click">Click here to add a new thanks message condition</asp:LinkButton><asp:Repeater
							ID="ConditionRepeater" runat="server">
							<ItemTemplate>
								<table class="conditionBuilder">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td>
														<table class="redirectionConditionList" cellpadding="2" width="100%">
															<tr>
																<td colspan="2">
																	<table width="100%" class="redirectionConditionOptions">
																		<tr>
																			<td>
																				<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																					ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "RedirectionConditionId")%>'
																					CommandName="MoveUp" runat="server"></asp:ImageButton>
																				<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != RedirectConditionsCount%>'
																					ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "RedirectionConditionId")%>'
																					CommandName="MoveDown" runat="server"></asp:ImageButton></td>
																			<td valign="top">
																					<%#GetPageResource("IfThanksMessageConditionsMetLabel")%>
																				<td align="right">
																				<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																					<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																						runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																					</asp:LinkButton>&nbsp;|&nbsp;
																					<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "RedirectionConditionId")%>'
																						runat="server">
																											<%#GetPageResource("DeleteConditionsHyperLink")%>
																					</asp:LinkButton>&nbsp;|&nbsp;
																					<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																						runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																					</asp:LinkButton>
																				</asp:PlaceHolder>
																					<asp:PlaceHolder ID="EditRulesPlaceholder"  runat="server" Visible="false">
																					<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>' runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																					</asp:LinkButton>
																					</asp:PlaceHolder>
																					
																					
																				</td>
																		</tr>
																	</table>
																</td>
															</tr>
															<tr>
																<td>
																	&nbsp;&nbsp;</td>
																<td>
																<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																		<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server" Visible="false">
																		</uc1:ConditionRulesEditor>
																	
																	<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
		
 

																	<br>
																	<table class="redirectionConditionFields">
																	<tr>
																	<td class="labelStyle"><%#GetPageResource("ConditionRedirectionLabel")%></td>
																	<td>
																	<asp:TextBox ID="RedirectionUrlTextBox" Columns="60" runat="server"></asp:TextBox>
<img id="RedirectPipeImage" onclick="" src="../images/pipetags.gif" runat="server">																	</td>
																	</tr>


																	<tr>
																	<td class="labelStyle"><%#GetPageResource("ConditionRedirectionDelayLabel")%></td>
																	<td>
																	<asp:TextBox ID="RedirectionDelayTextBox" Columns="2" runat="server"></asp:TextBox>
																	</td>
																	</tr>

																	</table>																	
																	<asp:Button ID="Button1" runat="server" CommandName="UpdateRedirection" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "RedirectionConditionId").ToString()%>'
																		Text='<%#GetPageResource("UpdateRedirectionConditionButton")%>'></asp:Button><br /><br />
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<br>
							</ItemTemplate>
						</asp:Repeater>
