<%@ Control Language="c#" AutoEventWireup="True" CodeBehind="SurveyOptionControl.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.SurveyOptionControl"
	TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register Src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox"
	TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Register Src="../UserControls/MetaDataValues.ascx" TagName="MetaValues" TagPrefix="uc1" %>

<script type="text/javascript">

	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onEndHandler);

	function onEndHandler(sender, args) {
		resizeContainer($find('<%=SurveyTabs.ClientID%>'));
	}

	function initTab(sender, args) {
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args) {
		if (!sender)
			return;

		var panelBody = $get('<%=SurveyTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250) {
			panelBody.style.height = "250px";
		}
		else {
			panelBody.style.height = scrollHeight + "px";
		}
	}
	
	function switchToMetaDataTab()
	{
		var ctrl = $find('<%=SurveyTabs.ClientID%>'),
			tabs = ctrl.get_tabs();
		ctrl.set_activeTab(tabs[tabs.length-1]);
	}	

</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_Management/General_settings.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"/></a>
		</td>
		<td width="99%">
			<asp:Literal ID="SurveySettingsTitle" runat="server" EnableViewState="False" Text="Survey Settings"></asp:Literal>
		</td>
	</tr>
</table>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="SurveyTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="SurveyHomeUpdatePanel" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td class="labelStyle">
											<asp:Literal ID="SurveyTitleLabel" runat="server" EnableViewState="False">Title
            :</asp:Literal>
										</td>
										<td width="99%">
											<asp:TextBox ID="TitleTextBox" runat="server" Columns="40"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td class="labelStyle">
											<asp:Literal ID="DeploymentTitleLabel" runat="server" EnableViewState="False">Title
            :</asp:Literal>
										</td>
										<td width="99%">
											<asp:TextBox ID="DeploymentTitleTextBox" runat="server" Columns="40"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td class="labelStyle">
											<asp:Literal ID="SurveyPageImageHeaderLabel" runat="server" EnableViewState="False">Survey 
            page header image :</asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="ImageHeaderURLTextbox" runat="server" Columns="40"></asp:TextBox><img
												id="GalleryImage" onclick="" runat="server">
										</td>
									</tr>
									<tr id="PermanentRedirectRow" runat="server">
										<td class="labelStyle">
												<asp:Literal ID="PermanentRedirectURLLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
											<td width="99%">
												<asp:TextBox ID="PermanentRedirectURLTextBox" runat="server" Columns="40"></asp:TextBox>
											</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="SurveylanguageLabel" runat="server" EnableViewState="False">Style 
            template :</asp:Literal>
										</td>
										<td width="480">
											<asp:DropDownList ID="SurveyLanguagesDropDownList" runat="server">
											</asp:DropDownList>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="SurveyStyleLabel" runat="server" EnableViewState="False">Style 
            template :</asp:Literal>
										</td>
										<td width="480">
											<asp:DropDownList ID="StylesDropDownList" runat="server">
											</asp:DropDownList>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="OpeningDateLabel" runat="server" EnableViewState="False">Opening 
            date :</asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="OpeningDateTextBox" runat="server" Columns="18"></asp:TextBox><asp:ImageButton
					ID="OpeningImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
				</asp:ImageButton>
				<ajaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server" PopupButtonID="OpeningImageButton"
					TargetControlID="OpeningDateTextBox" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="CloseDateLabel" runat="server" EnableViewState="False">Close 
            date :</asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="CloseDateTextbox" runat="server" Columns="18"></asp:TextBox><asp:ImageButton
					ID="CloseDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
				</asp:ImageButton>
				<ajaxToolkit:CalendarExtender ID="CalendarExtender2" runat="server" PopupButtonID="CloseDateImageButton"
					TargetControlID="CloseDateTextbox" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ResponseTimeLimitLabel" runat="server" EnableViewState="False"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="ResponseTimeLimitTextBox" runat="server" Columns="6"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ButtonsRowsDisplayLabel" runat="server" EnableViewState="False"></asp:Literal>
										</td>
										<td>
											<asp:DropDownList ID="ButtonsRowsDisplayDropDownList" runat="server">
											</asp:DropDownList>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ProgressDisplayLabel" runat="server" EnableViewState="False">Progress 
            display :</asp:Literal>
										</td>
										<td>
											<asp:DropDownList ID="ProgressDisplayDropDownList" runat="server">
											</asp:DropDownList>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="RichClientSupportLabel" runat="server" EnableViewState="False">Anonymous Respondents 
            :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="RichClientSupportCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr id="ConfirmFormExitRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="ConfirmFormExitLabel" runat="server" EnableViewState="False"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ConfirmFormExitCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="DisableQuestionNumbering" runat="server" EnableViewState="False">Disable question numbering :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="QuestionNumberingCheckbox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ArchivedLabel" runat="server" Visible="False" EnableViewState="False"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ArchiveCheckBox" runat="server" Visible="False"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ScoredLabel" runat="server" EnableViewState="False">Scored : 
            :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ScoredCheckbox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="AllowRespondentAnswerDownloadLabel" runat="server" EnableViewState="False">Allow respondent to download his answers :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="AllowAnswerDownloadCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="EnableAnswerSummaryLabel" runat="server" EnableViewState="False">Show 
            summary of respondent's answers :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ShowAnswerSummaryCheckbox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="AnonymousRespondentLabel" runat="server" EnableViewState="False">Anonymous Respondents 
            :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="AnonymousRespondentCheckbox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ForceHttpsLabel" runat="server" EnableViewState="False"> 
            :</asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ForceHttpsCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="ClearBranchedSkippedPagesAnswersLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="ClearSkippedPagesCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>

									</table>

								</ContentTemplate>
						</asp:UpdatePanel>
						<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
							TargetControlID="SurveyHomeUpdatePanel">
							<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
							</Animations>
						</ajaxToolkit:UpdatePanelAnimationExtender>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="ButtonNavigationTab" HeaderText="">
					<ContentTemplate>
					<asp:UpdatePanel runat="server"><ContentTemplate>
						<table class="settingsTable">
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="AlwaysDisplaySubmitButtonLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="AlwaysDisplaySubmitButtonCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="EnableNavigationLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="EnableNavigationCheckbox" AutoPostBack="true" OnCheckedChanged="EnableNavigationCheckbox_Changed"  runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="DisplayNextPageRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="DisplayNextPageButtonLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="DisplayNextPageButtonCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="DisplayPreviousPageRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="DisplayPreviousPageButtonLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="DisplayPreviousPageButtonCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="PageNavigationRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="PageNavigationTypeLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
										<asp:DropDownList ID="PageNavigationTypeDropDownList" OnSelectedIndexChanged="PageNavigationTypeDropDownList_Changed" AutoPostBack="true" runat="server"></asp:DropDownList>
								</td>
							</tr>
							<tr id="ValidatePageOnChangeRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="ValidatePageOnChangeLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="ValidatePageOnChangeLabelCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="DisableNextPagesRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="DisableUnvisitedPagesLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="DisableNextPagesCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="IgnoreInvalidPagesOnSubmitRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="IgnoreInvalidPagesOnSubmitLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="IgnoreInvalidPagesOnSubmitCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
					</table>
					</ContentTemplate></asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="RespondentSessionTab" HeaderText="">
					<ContentTemplate>
					<asp:UpdatePanel runat="server"><ContentTemplate>
						<table class="settingsTable">
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="EnableResumeLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:DropDownList ID="ResumeModeDropdownlist" OnSelectedIndexChanged="ResumeModeDropdownlist_Changed" runat="server" AutoPostBack="true"></asp:DropDownList>
								</td>
							</tr>
							<tr id="DisplaySaveRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="DisplaySaveProgressButtonLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="DisplaySaveProgressButtonCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="DisplayResumeRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="DisplayResumeProgressButtonLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="DisplayResumeProgressButtonCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>

							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="EnableChangeLabel" runat="server" EnableViewState="False">allow answer change :</asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="ChangeDropdownlist" AutoPostBack="true" OnSelectedIndexChanged="ChangeDropdownlistDropdownlist_Changed" runat="server"></asp:DropDownList>
								</td>
							</tr>
							<tr id="DisplayRestoreAnswersRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="DisplayRestoreAnswersButtonLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="DisplayRestoreButtonCheckBox" runat="server"></asp:CheckBox>
								</td>
							</tr>

						</table>
					</ContentTemplate></asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="GeneralInfoTab" HeaderText="">
					<ContentTemplate>
					<asp:UpdatePanel runat="server"><ContentTemplate>
					<table class="settingsTable">
									<tr>
										<td nowrap class="labelStyle" valign="top">
											<asp:Literal ID="SurveyDescriptionTextLabel" runat="server" EnableViewState="False">Survey description :</asp:Literal>
										</td>
										<td width="99%">
											<uc1:RichTextBox ID="SurveyIntroductionText" runat="server" />
										</td>
									</tr>
								</table>
					</ContentTemplate></asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="MetaDataTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel2" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
								<tr>
								<td>
								<uc1:MetaValues ID="MetaValuesControl" runat="server" />
								</td>
								</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>

			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>
<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
			<ContentTemplate>
				<asp:Button ID="ApplyChangesButton" runat="server" Text="Apply changes" OnClick="ApplyChangesButton_Click">
				</asp:Button>
			</ContentTemplate>
			</asp:UpdatePanel>
		</td>
	</tr>
</table>
