<%@ Control language="c#"  Codebehind="AddStyle.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.AddStyle" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>



<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Style/Style.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="AddStyleTitle" runat="server" EnableViewState="False" Text=""></asp:Literal></td>
	</tr>
</table>

<asp:ValidationSummary DisplayMode="List" EnableClientScript="true" ValidationGroup="NameValidation" ShowMessageBox="true" ShowSummary="false" runat="server" />
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>

	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%" valign="top">

			<table>
				<tr>
					<td nowrap class="labelStyle">
						<asp:Literal ID="StyleNameLabel" runat="server" EnableViewState="False" Text=""></asp:Literal><asp:RequiredFieldValidator ControlToValidate="StyleNameTextBox" ID="NameValidator" ValidationGroup="NameValidation" Display="None" runat="server"></asp:RequiredFieldValidator>
					</td>
					<td height="16">
						<asp:TextBox ID="StyleNameTextBox" runat="server" Columns="35"></asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp;<a style="font-size:x-small" href="../css/sdk/fs_css_sdk.zip" id="DownloadCSSKitButton" runat="server"></a> 
					</td>
				</tr>			
				<tr>
					<td class="labelStyle"><asp:Literal ID="CreateFromLabel" runat="server" EnableViewState="False"></asp:Literal></td>
					<td width="99%"><asp:RadioButtonList RepeatDirection="Horizontal" runat="server" ID="CreationTypeRadioButton" OnSelectedIndexChanged="CreationTypeRadioButton_Changed"  AutoPostBack="true" />
				</tr>
			<asp:PlaceHolder ID="FromCSSPlaceHolder" runat="server">
					<tr>
						<td nowrap class="labelStyle">
							<asp:Literal ID="CSSFileLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
						</td>
						<td height="16">
							<input id="ImportCSSFile" type="file" name="ImportCSSFile" runat="server"/>
						</td>
					</tr>			
			</asp:PlaceHolder>
			
			<asp:PlaceHolder ID="FromXmlPlaceHolder" runat="server">
					<tr>
						<td nowrap class="labelStyle">
							<asp:Literal ID="XmlStyleFileLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
						</td>
						<td height="16">
						<input id="ImportFile" type="file" name="ImportFile" runat="server"/></td>
					</tr>			
			</asp:PlaceHolder>
				

			</table>

			</td>
		</tr>
		
</table>
		
<table>
		<tr>
		<td>&nbsp;&nbsp;</td>
		<td width="99%">
<asp:Button ID="AddStyleButton" runat="server" Text="" ValidationGroup="NameValidation" OnClick="AddStyleButton_Click"></asp:Button>
<asp:Button ID="LinkCSSButton"  runat="server" Text="" ValidationGroup="NameValidation" OnClick="LinkCSSButton_Click"></asp:Button>
<asp:Button ID="ImportStyleButton" runat="server" Text="" OnClick="ImportStyleButton_Click"></asp:Button>

</td>
		</tr>
	</table>

<asp:PlaceHolder ID="ThemeWizard" runat="server">
<link rel="stylesheet" type="text/css" href="scripts/build/mixcolorpicker/assets/skins/sam/mixcolorpicker.css" />
<script type="text/javascript" src="scripts/build/utilities/utilities.js"></script>
<script type="text/javascript" src="scripts/build/mixslider/mixslider.js"></script>
<script type="text/javascript" src="scripts/build/mixcolorpicker/mixcolorimage.js"></script>
<script type="text/javascript" src="scripts/build/mixcolorpicker/mixcolorpicker.js"></script>
<script type="text/javascript" src="scripts/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="scripts/css/CSSHandler.js"></script>

<style type="text/css">
  #container { position: relative; padding: 6px; width: 200px; height:180px; cursor:crosshair }

.fs-picker-bg 
{
background-color:#ffffff;
background-image:url(images/picker_mask.png);
height:200px;
left:4px;
outline-color:-moz-use-text-color;
outline-style:none;
outline-width:0;
position:absolute;
top:4px;
width:182px;
}
</style>

<br />
<table width="600">
<tr><td valign=top>
<div id="container"></div>
</td>
<td valign=top>
<input type=hidden runat="server" id="cssTheme"/>
<div id="Survey" class="feedbackserver">
			<table id="Survey_TemplatedPage_SurveyContainer" class="pageitem" border="0">
				<tr id="Tr2">
					<td colspan="2">
						<table class="downloadanswers" border="0">
							<tr>
								<td>
									<span id="Span1"><span class="downloadanswers"><a href="#">download answers</a></span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="Survey_TemplatedPage_BackupConfirmationMessage">
					<td colspan="2">
						<table class="confirmationmessage" border="0">
							<tr>
								<td>
									Your survey progress has been saved, you can resume it at any time
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="Tr1">
					<td colspan="2">
						<table class="validationmessage" border="0">
							<tr>
								<td>
									A system error has occured
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<table class="header" border="0">
							<tr>
								<td>
									<span id="Survey_TemplatedPage_TopNextPageBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopNextPageBehavior$NextPageBehavior"
											value="Next page >>" id="Survey_TemplatedPage_TopNextPageBehavior_NextPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td>
									<span id="Survey_TemplatedPage_TopResumeBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopResumeBehavior$ResumeProgressPageBehavior"
											value="Resume progress" id="Survey_TemplatedPage_TopResumeBehavior_ResumeProgressPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td>
									<span id="Survey_TemplatedPage_TopSaveBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopSaveBehavior$SaveProgressPageBehavior"
											value="Save progress" id="Survey_TemplatedPage_TopSaveBehavior_SaveProgressPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td style="width: 99%;">
									<span id="Survey_TemplatedPage_TopRestoreAnswersBehavior">
										<input onclick="javascript:return false;" type="submit" name="Survey$TemplatedPage$TopRestoreAnswersBehavior$RestoreAnswersPageBehavior"
											value="Restore answers" id="Survey_TemplatedPage_TopRestoreAnswersBehavior_RestoreAnswersPageBehavior"
											class="buttonstyle" /></span>
								</td>
								<td align="right" style="white-space: nowrap;">
									<span id="Survey_TemplatedPage_TopProgressBehavior">Page 1 / 2</span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td nowrap="true" valign="top">
							<table id="_QuestionTable" class="questionitem" border="0">
								<tr id="Survey_TemplatedPage_Question15981_QuestionBackErrorMessage">
									<td colspan="2">
										<table class="questionvalidationmessage" border="0">
											<tr>
												<td>
													At least 1 answer(s) must be selected!
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr id="Tr3">
									<td colspan="2">
										<table class="questionconfirmationmessage" border="0">
											<tr>
												<td>
													File uploaded
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td valign="top">
										<table id="_HeaderTable" class="questionitemheader" border="0">
											<tr>
												<td valign="top">
													<span>1.</span>
												</td>
												<td style="width: 99%;">
													<span>Question text</span><span class="questionvalidationmark">*</span>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<table class="answeritem">
											<tr>
												<td colspan="2">
													<table class="sectionoption">
														<tr>
															<td>
																<a id="_ AddSectionAfterButton37248" href="#">add</a>
															</td>
														</tr>
													</table>
												</td>
											</tr>
														<tr>
															<td valign="top" colspan="2">
																<span id="__ai81881_as37248">
																	<input type="radio"/>Answer
																	1</span>
															</td>
														</tr>
														<tr>
															<td valign="top" colspan="2">
																<span id="__ai81882_as37248">
																	<input  type="radio"  /><label
																			for="__ai81882_as37248_SelectionItem">Answer 2</label></span>
															</td>
														</tr>
														<tr>
															<td valign="top">
																<span>Collection</span>
															</td>
															<td valign="top">
																<span id="__ai81902_as37248">
																	<select class="collectionansweritem">
																		<option value="ferrari">ferrari</option>
																		<option selected="selected" value="">[select car]</option>
																	</select></span>
															</td>
														</tr>
														<tr>
															<td valign="top">
																<span>List</span>
															</td>
															<td valign="top">
																<span id="__ai81903_as37248">
																	<select class="listitem">
																		<option value="">[Select State]</option>
																		<option value="AL">Alabama</option>
																		<option value="AK">Alaska</option>
																	</select></span>
															</td>
														</tr>
										</table>
									</td>
								</tr>
							</table>
					</td>
					<td valign="top" width="99%">
						<table id="Survey_TemplatedPage_QuestionTable_" class="questionitem" border="0">
							<tr>
								<td>
									<table id="Survey_TemplatedPage_HeaderTable" class="questionitemheader" border="0">
										<tr>
											<td valign="top">
												<span>2.</span>
											</td>
											<td style="width: 99%;">
													<div>Matrix question</div>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td colspan="2">
									<table class="answeritem" border="0">
										<tr>
											<td>
												<table class="matrix" cellspacing="1" cellpadding="3" border="0">
													<tr>
														<td class="matrixheader" align="center" valign="top">
															&nbsp;
														</td>
														<td class="matrixheader" align="center" valign="top" colspan="3">
															column header
														</td>
													</tr>
												<tr>
													<td class="matrixheader">
														&nbsp;
													</td>
													<td class="matrixheader" align="center" valign="top">
														col 1
													</td>
													<td class="matrixheader" align="center" valign="top">
														col 2
													</td>
													<td class="matrixheader" align="center" valign="top">
														col 3
													</td>
												</tr>
													<tr>
														<td class="matrixitem" valign="top">
															row 1
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"/></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"  /></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio" /></span>
														</td>
													</tr>
													<tr>
														<td class="matrixalternatingitem" valign="top">
															row 2
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span >
																<input  type="radio" /></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input " type="radio"
																	 /></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input  type="radio"
																	/></span>
														</td>
													</tr>
													<tr>
														<td class="matrixitem" valign="top">
															row 3
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span >
																<input type="radio"
																	/></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"
																	  /></span>
														</td>
														<td class="matrixitem" align="center" valign="top">
															<span>
																<input type="radio"
																	 /></span>
														</td>
													</tr>
													<tr>
														<td class="matrixalternatingitem" valign="top">
															row 4
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span >
																<input type="radio"
																	/></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input type="radio"/></span>
														</td>
														<td class="matrixalternatingitem" align="center" valign="top">
															<span>
																<input type="radio"
																	/></span>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
	</tr>
	<tr>
		<td nowrap valign="top">
				<table id="Survey_TemplatedPage_Question_QuestionTable_" class="questionitem" border="0">
					<tr>
						<td>
							<table id="Survey_TemplatedPage_Question_HeaderTable" class="questionitemheader"
								border="0">
								<tr>
									<td valign="top">
										<span>3.</span>
									</td>
									<td style="width: 99%;">
										<div>grid section question</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="answeritem" border="0">
								<tr>
									<td>
										<table class="sectiongrid" border="0">
											<tr class="sectiongridheader">
												<td style="white-space: nowrap;">
													choice 1
												</td>
												<td style="white-space: nowrap;">
													choice 2
												</td>
												<td style="white-space: nowrap;">
													choice 3
												</td>
												<td>
													&nbsp;
												</td>
												<td>
													&nbsp;
												</td>
												<td>
													&nbsp;
												</td>
											</tr>
											<tr class="sectiongridalternatingitem">
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_on.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td style="white-space: nowrap;">
													<a href="#">add</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="#">edit</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="#">delete</a>
												</td>
											</tr>
											<tr class="sectiongriditem">
												<td align="center" valign="top">
													<img src="images/spot_on.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td align="center" valign="top">
													<img src="images/spot_off.gif" style="border-width: 0px;" />
												</td>
												<td style="white-space: nowrap;">
													<a href="#">add</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="#">edit</a>
												</td>
												<td style="white-space: nowrap;">
													<a href="#">delete</a>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<input type="submit" value="add" />
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td class="answeritem">
							<span id="Survey_TemplatedPage_Question_SectionGrid"></span>
						</td>
					</tr>
				</table>

		</td>
		<td valign="top">
				<table class="questionitem"
					border="0">
					<tr>
						<td>
							<table class="questionitemheader"
								border="0">
								<tr>
									<td valign="top">
										<span>4.</span>
									</td>
									<td style="width: 99%;">
										<span>
											<div>
												Dropdown question</div>
										</span>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="answeritem" border="0">
								<tr>
									<td>
										<table border="0">
											<tr>
												<td valign="top">
													<span >
														<select class="answerdropdown">
															<option value="-1">[Select an answer]</option>
															<option value="81904">1</option>
															<option value="81905">2</option>
															<option value="81906">3</option>
														</select></span>
												</td>
												<td valign="top">
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>

				<ul class='rankingcontainer' style='list-style: none;'><li style='cursor:pointer;zoom: 1;' class='rankingitem'>Ranking item</li></ul>

		</td></tr>
	<tr>
		<td colspan="2">
			<table class="footer" border="0">
				<tr>
					<td>
						<span id="Survey_TemplatedPage_BottomNextPageBehavior">
							<input onclick="javascript:return false;" type="submit" value="Next page >>" class="buttonstyle" /></span>
					</td>
					<td>
						<span id="Survey_TemplatedPage_BottomResumeBehavior">
							<input onclick="javascript:return false;" type="submit" value="Resume progress" 
								class="buttonstyle" /></span>
					</td>
					<td>
						<span id="Survey_TemplatedPage_BottomSaveBehavior">
							<input onclick="javascript:return false;" type="submit" value="Save progress" class="buttonstyle" /></span>
					</td>
					<td style="width: 99%;">
						<span id="Survey_TemplatedPage_BottomRestoreAnswersBehavior">
							<input onclick="javascript:return false;" type="submit" value="Restore answers"
								class="buttonstyle" /></span>
					</td>
					<td align="right" style="white-space: nowrap;">
						<span>Page 1 / 2</span>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table></div	>
</td></tr></table>

<script type="text/javascript">
    var picker = YAHOO.widget.MixColorPicker,
		Color = YAHOO.util.Color,
	    cssHandler,
		fsClasses = new Array(<%=GetStyleTypes()%>),
		pageItem = getClassIndex('pageitem'),
		questionItem = getClassIndex('questionitemheader'),
		answeritem = getClassIndex('answeritem'),
		matrix = getClassIndex('matrix'),
		matrixheader = getClassIndex('matrixheader'),
		matrixitem = getClassIndex('matrixitem'),
		matrixalternatingitem = getClassIndex('matrixalternatingitem'),
		footer = getClassIndex('footer'),
		header = getClassIndex('header'),
		validationMessage = getClassIndex('validationmessage'),
		confirmationMessage = getClassIndex('confirmationmessage'),
		questionValidationMessage = getClassIndex('questionvalidationmessage'),
		questionConfirmationMessage = getClassIndex('questionconfirmationmessage'),
		downloadAnswers = getClassIndex('downloadanswers'),
		sectionOption = getClassIndex('sectionoption'),
		sectionGridHeader = getClassIndex('sectiongridheader'),
		rankingItem = getClassIndex('rankingitem'),
		rankingContainer = getClassIndex('rankingcontainer');


(function()
{
	var Event = YAHOO.util.Event;
	Event.onDOMReady(function()
	{
		picker = new YAHOO.widget.MixColorPicker("container");

		//Subscribe Color changing event
		picker.subscribeToColorChange(function() { clrchange_notify('') });

		//The Main slider only is shown
		//picker.main_slider = true;

		picker.SLJBHZMN();

		//Set initial coordinates of the slider
		picker.pickerSlider.setRegionValue(35, 35);

		cssHandler = new YAHOO.DataIllusion.FeedbackServer.
			CSSHandler(null, fsClasses);
	});

})();



function clrchange_notify(disp)
{
	var colors = picker.CSWFVYRT();
	var foreColor = "000000";
	
	cssHandler.setClassStyle(fsClasses[pageItem], "color:#"+foreColor+";background-color:#"+ colors[7]+";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[questionItem], "color:#"+foreColor+";background-color:#" + colors[3]+";width:100%;font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[answeritem], "color:#"+foreColor+";background-color:#" + colors[7]+";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[matrix], "color:#"+foreColor+";background-color:#" + colors[3]+";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[matrixalternatingitem], "color:#"+foreColor+";background-color:#" + colors[3] +";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[matrixheader], "color:#"+foreColor+";background-color:#" + colors[4] +";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[matrixitem], "color:#"+foreColor+";background-color:#" + colors[4] +";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[matrixalternatingitem], "color:#"+foreColor+";background-color:#" + colors[5] +";font-family:arial;font-size:small;", false);

	cssHandler.setClassStyle(fsClasses[sectionGridHeader], "color:#"+foreColor+";background-color:#" + colors[4] +";font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[sectionOption], "color:#"+foreColor+";background-color:#" + colors[4] +";width:100%;font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[downloadAnswers], "color:#"+foreColor+";background-color:#" + colors[4] +";width:100%;font-family:arial;font-size:small;", false);

	cssHandler.setClassStyle(fsClasses[validationMessage], "color:#"+foreColor+";background-color:#" + colors[4] +";width:100%;font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[confirmationMessage], "color:#"+foreColor+";background-color:#" + colors[5] +";width:100%;font-family:arial;font-size:small;", false);

	cssHandler.setClassStyle(fsClasses[questionValidationMessage], "color:#"+foreColor+";background-color:#" + colors[4] +";width:100%;font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[questionConfirmationMessage], "color:#"+foreColor+";background-color:#" + colors[5] +";width:100%;font-family:arial;font-size:small;", false);

	cssHandler.setClassStyle(fsClasses[rankingContainer], "color:#"+foreColor+";background-color:#" + colors[3] +";width:auto;padding:0px;font-family:arial;font-size:small;", false);
	cssHandler.setClassStyle(fsClasses[rankingItem], "color:#"+foreColor+";background-color:#" + colors[4] +";width:auto;font-family:arial;font-size:small;", false);

	cssHandler.applyStyleToDocument();
	document.getElementById('<%=cssTheme.ClientID%>').value = cssHandler.getStyle()
}


function getClassIndex(className)
{
	for (var i=0;i<fsClasses.length;i++)
	{
		if (fsClasses[i] == className)
		{
			return i;
		}
	}
}

</script>

</asp:PlaceHolder>
	
	
	
