<%@ Control Language="c#" Codebehind="ControlCode.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ControlCode" %>
<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"
	Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 


<script language="javascript">

	function initTab(sender, args)
	{	
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=DeployTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}

</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Deployment/Deployment.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="SurveyDeploymentTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

<table width="95%">
    <tr>
        <td>
            &nbsp;&nbsp;
        </td>
        <td width="99%">

<ajaxToolkit:TabContainer runat="server"  ID="DeployTabs"  ActiveTabIndex="0" Height="280px" Width="100%"  OnClientActiveTabChanged="initTab">
<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="WebLinkTab" HeaderText="Web link">
<ContentTemplate>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>

	<table class="settingsTable">
	<tr>
		<td nowrap>
			<asp:Literal ID="QuickLinkInfo" runat="server" EnableViewState="False" Text="To deploy your survey you can use following link :"></asp:Literal><br>
		</td>
	</tr>
	<tr>
		<td>
			<asp:HyperLink ID="CodeHyperLink" BackColor="#e3f3fc" runat="server" 
				Target="_new">HyperLink</asp:HyperLink>
		</td>
	</tr>
</table>

<br />
	<table class="settingsTable">
	<tr>
		<td>
			<asp:Literal ID="FriendlyUrlInfoLabel" runat="server" EnableViewState="False" Text="To deploy your survey you can use following link :"></asp:Literal><br />
			<asp:Label ID="FriendlyUrlMessageLabel" BackColor="#e3f3fc" runat="server" EnableViewState="False" Text="To deploy your survey you can use following link :"></asp:label>
		</td>
		</tr>
		<tr>
		<td nowrap>
        <asp:HyperLink ID="FriendlyHyperLink" BackColor="#e3f3fc" runat="server" Target="_new">HyperLink</asp:HyperLink>
		</td>
		</tr>
		<tr><td>
            <asp:TextBox ID="FriendlyNameTextBox" MaxLength="20" runat="server"></asp:TextBox>
            <asp:Button ID="UpdateFriendlyNameButton" runat="server" OnClick="UpdateFriendlyNameButton_Click"
                Text="Update friendly name" /></td>
	</tr>
	<tr>
		<td>
			<br /><asp:Literal ID="PortalInfoLabel" runat="server" EnableViewState="False" Text="You may also use the portal to enter the survey using the friendly link :"></asp:Literal><br />
		</td>
		</tr>
		<tr>
		<td nowrap>
        <asp:HyperLink ID="SurveyPortalHyperLink" BackColor="#e3f3fc" runat="server" Target="_new">HyperLink</asp:HyperLink>
		</td>
		</tr>

</table>

</ContentTemplate></asp:UpdatePanel>
           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" 
        runat="server" TargetControlID="PageUpdatePanel" Enabled="True">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated></Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="ASPNETCodeTabPanel" HeaderText="ASP.NET Code">
<ContentTemplate>

<asp:PlaceHolder ID="ControlASPNETCodePlaceHolder" runat="server">

	<table class="settingsTable">
		<tr>
			<td>
				<asp:Literal ID="PageDirectiveInfo" runat="server" EnableViewState="False">You must 
            also include the following directive in the aspx pages that will 
            display the survey :</asp:Literal><br />
			<span class="labelStyle">		<asp:Literal ID="TagPrefixInfo" runat="server" EnableViewState="False">&lt;%@ 
            Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls" 
            Assembly="DataIllusion.FeedbackServer.Core" %&gt;</asp:Literal></span><br>
				<br>
				<table>
					<tr>
						<td>
							<textarea onClick="this.select();" rows="10" cols="50">&lt;vts:SurveyBox 
id="SurveyPreview"
SurveyId="<%=SurveyId%>"
Width="700"
EnableValidation = "true"
runat="server"&gt;
&lt;/vts:SurveyBox&gt;</textarea></td></tr></table>
						</td>
					</tr>
				</table>

</asp:PlaceHolder>

</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="AJAXASPNETCodePanel" HeaderText="Ajax ASP.NET Code">
<ContentTemplate>


<asp:PlaceHolder ID="ControlAjaxASPNETPlaceHolder" runat="server">
	<table class="settingsTable">
		<tr>
			<td>
				<asp:Literal ID="Literal1" runat="server" EnableViewState="False">You must 
            also include the following directive in the aspx pages that will 
            display the survey :</asp:Literal><br /><br />
			<span class="labelStyle">		<asp:Literal ID="Literal2" runat="server" EnableViewState="False">&lt;%@
            Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"  <br />            
            Assembly="DataIllusion.FeedbackServer.Core" %&gt;</asp:Literal></span><br>
            
<br />			<span class="labelStyle">		
			<asp:Literal ID="Literal3" runat="server" EnableViewState="False"> &lt;%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit"<br /> Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="fsAjaxToolkit" %&gt;
			</asp:Literal></span><br>           
				<br>
	<table class="settingsTable">
								<tr>
									<td>
										<textarea onClick="this.select();" rows="10" cols="50">&lt;fsAjaxToolkit:ToolkitScriptManager runat="Server" EnableScriptGlobalization="true"
EnableScriptLocalization="true" ID="FSScriptManager" ScriptMode="Release"
CombineScripts="false" /&gt;
&lt;asp:UpdatePanel ID="FSUpdatePanel" runat="server" UpdateMode="Conditional"&gt;
&lt;Triggers&gt;&lt;asp:AsyncPostBackTrigger ControlID="SurveyPreview" /&gt;&lt;/Triggers&gt;
&lt;ContentTemplate&gt;
&lt;vts:SurveyBox 
id="SurveyPreview"
SurveyId="<%=SurveyId%>"
Width="700"
EnableValidation = "true"
runat="server"&gt;
&lt;/vts:SurveyBox&gt;
&lt;/ContentTemplate&gt;&lt;/asp:UpdatePanel&gt;
</textarea></td></tr></table>
									</td>
								</tr>
							</table>
			</asp:PlaceHolder>

</ContentTemplate></ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="MailChimpTabPanel" HeaderText="">
<ContentTemplate>
<asp:UpdatePanel ID="MCUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="Label1" runat="server" Visible="False" ForeColor="Green"></asp:Label>

	<table class="settingsTable">
	<tr>
		<td nowrap>
			<asp:Literal ID="MailChimpInvitationLinkLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
		</td>
	</tr>
	<tr>
		<td>
			<asp:HyperLink ID="MCHyperLink" BackColor="#e3f3fc" runat="server" 
				Target="_new">HyperLink</asp:HyperLink>
		</td>
	</tr>
</table>
<br />
	<table class="settingsTable">
	<tr>
		<td>
<asp:Literal ID="MCTemplateCodeLabel" runat="server" EnableViewState="False" Text=""></asp:Literal><br />
</td></tr><tr><td>
<textarea rows="10" onClick="this.select();" cols="50">&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;
&lt;html&gt;&lt;head&gt;;
		&lt;meta http-equiv="Content-type" content="text/html; charset=utf-8"&gt;
		&lt;title&gt;Online survey&lt;/title&gt;
&lt;style type="text/css"&gt;
		body{
			background-color:#5084CE;
		}
		a,a:link,a:visited{
			color:#336699;
			text-decoration:underline;
			font-weight:normal;
		}
&lt;/style&gt;
&lt;/head&gt;
	&lt;body style="background-color: #849fd2;text-align: center;"&gt;
		&lt;table border="0" cellspacing="0" cellpadding="0" width="600" style="margin: 50px auto;text-align: left;border-collapse: collapse;"&gt;
			&lt;tr&gt;
				&lt;td style="color: #555555;font-style: normal;font-weight: normal;font-family: Helvetica;line-height: 1.25em;background-color: #7ca7d2;border: solid 1px #5d7093;"&gt;
					&lt;div style="margin: 25px;background-color: #e4f0ff;border: 1px solid #ccc;padding: 20px;text-align: center;font-size: 12px;"&gt;
						&lt;div &gt;
							&lt;h1 style="font-weight: bold;color: #063473;font-size: 22px;"&gt;<%=SurveyTitle%>&lt;/h1&gt;
                            &lt;p&gt;&lt;a href="<%=MCHyperLink.NavigateUrl%>" style="color: #ffffff;text-decoration: none;font-weight: normal;background-color:#3eaa00;border-color: #1f5500;border-width: 2px;border-style: solid;font-size: 20px;display: block;padding: 10px;width: 250px;margin: 5px auto;line-height: 20px;"&gt;Take The Survey&lt;/a&gt;&lt;/p&gt;
						&lt;/div&gt;
					&lt;/div&gt;
				&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td style="padding: 20px;font-size: 10px;color: #eee;line-height: 150%;font-family: Verdana;text-align: center;"&gt;
&lt;p&gt;
	*|IFNOT:ARCHIVE_PAGE|*&lt;a href="*|ARCHIVE|*"&gt;view email in browser&lt;/a&gt; | *|END:IF|* &lt;a href="*|UNSUB|*"&gt;unsubscribe&lt;/a&gt; | &lt;a href="*|UPDATE_PROFILE|*"&gt;update your profile&lt;/a&gt; | &lt;a href="*|FORWARD|*"&gt;forward to a friend&lt;/a&gt;&lt;/p&gt;
*|IFNOT:ARCHIVE_PAGE|*
&lt;p&gt;
	*|LIST:DESCRIPTION|*&lt;/p&gt;
&lt;p&gt;
	*|HTML:LIST_ADDRESS_HTML|*&lt;/p&gt;
*|END:IF|* *|IF:REWARDS|* *|HTML:REWARDS|* *|END:IF|*
&lt;p &gt;
	Copyright (C) *|CURRENT_YEAR|* *|LIST:COMPANY|* All rights reserved.&lt;/p&gt;
				&lt;/td&gt;
			&lt;/tr&gt;
		&lt;/table&gt;
		&lt;span style="padding: 0px;"&gt;&lt;/span&gt;
	&lt;/body&gt;
&lt;/html&gt;</textarea>
</td></tr></table>


<br />
	<table class="settingsTable">
	<tr>
		<td>
			<asp:Literal ID="FriendlyMCUrlMessageLabel" runat="server" EnableViewState="False" Text=""></asp:Literal><br />
		</td>
		</tr>
		<tr>
		<td nowrap>
        <asp:HyperLink ID="FriendlyMCHyperLink" BackColor="#e3f3fc" runat="server" Target="_new">HyperLink</asp:HyperLink>
		</td>
		</tr>
</table>


</ContentTemplate></asp:UpdatePanel>
           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server" TargetControlID="MCUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

</ContentTemplate></ajaxToolkit:TabPanel>

</ajaxToolkit:TabContainer>
</td></tr></table>