<%@ Control language="c#" Codebehind="EditEntryMask.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.EditEntryMask" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 



<asp:UpdatePanel ID="PageUpdatePanel" runat="server" >
<ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/Form_content_editor/Entry_mask.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="EntryMaskTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
		<asp:DropDownList ID="MaskEntriesDropDownList" AutoPostBack="true" runat="server" 
				onselectedindexchanged="MaskEntriesDropDownList_SelectedIndexChanged"></asp:DropDownList>
		<asp:LinkButton CssClass="mediumText" ID="AddMaskEntryLinkButton" runat="server" Text="Add mask entry" 
		OnClick="AddMaskEntryLinkButton_OnClick"></asp:LinkButton>
		</td>
	</tr>
</table><br />

<asp:placeholder ID="MaskEntryPlaceholder"  Visible="false" runat="server">
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Entry_mask.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="EditMaskEntryTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>

<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">

					<table width="100%">
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="MaskEntryTitleLabel" EnableViewState="False" runat="server">Mask entry title</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="MaskEntryTitleTextBox" runat="server" Columns="60"></asp:TextBox>
							</td>
						</tr>

					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="MaskLabel" EnableViewState="False" runat="server">Mask</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="MaskTextBox" runat="server" Columns="60"></asp:TextBox>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="ValidationTypeLabel" EnableViewState="False" runat="server">Mask validation</asp:Literal>
							</td>
							<td>
								<asp:DropDownList ID="MaskValidationDropDownList" runat="server" 
									></asp:DropDownList>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="AcceptMaskNegativeLabel" EnableViewState="False" runat="server">Accept negative</asp:Literal>
							</td>
							<td>
								<asp:DropDownList ID="AcceptMaskNegativeDropDownList"  runat="server" 
										></asp:DropDownList>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="DisplayCurrencyLabel" EnableViewState="False" runat="server">Display currency</asp:Literal>
							</td>
							<td>
								<asp:DropDownList ID="DisplayCurrencyDropDownlist" runat="server" 
										></asp:DropDownList>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="ValidCharsLabel" EnableViewState="False" runat="server">Valid characters</asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="ValidaCharsTextBox" runat="server" Columns="60"></asp:TextBox>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="ClearTextOnInvalidLabel" EnableViewState="False" runat="server"></asp:Literal>
							</td>
							<td>
								<asp:Checkbox ID="ClearTextOnInvalidCheckBox" runat="server"></asp:CheckBox>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="ClearMaskOnLostOfFocusLabel" EnableViewState="False" runat="server"></asp:Literal>
							</td>
							<td>
								<asp:Checkbox ID="ClearMaskOnLostOfFocusCheckbox" runat="server"></asp:CheckBox>
							</td>
						</tr>
						
					</table>

				<asp:Button ID="CreateEntryMaskButton" runat="server" Text="Create entry mask" OnClick="CreateEntryButton_Click">
				</asp:Button><asp:Button ID="ApplyChangesButton" runat="server" Text="Apply changes"
					OnClick="ApplyChangesButton_Click"></asp:Button><asp:Button ID="DeleteEntryMaskButton"
						runat="server" Text="Delete entry mask" OnClick="DeleteEntryMaskButton_Click"></asp:Button>	
<asp:Button
						ID="MakeBuiltInButton" Visible="False" runat="server" Text="Make Built In" OnClick="MakeBuiltInButton_Click">
					</asp:Button>						
						
							</td>
		</tr>
	</table>
</asp:placeholder>

</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 


