<%@ Control Language="c#" CodeBehind="EditRow.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.EditRow" %>
<%@ Register TagPrefix="uc1" TagName="AnswerOptionControl" Src="../UserControls/AnswerOptionControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="../UserControls/ConditionRulesDisplay.ascx" %>

<script type="text/javascript">

	function cancelUpdate() {
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}

	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onEndHandler);

	function onEndHandler(sender, args) {
		resizeContainer($find('<%=RowsTabs.ClientID%>'));
	}

	function initTab(sender, args) {
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args) {
		if (!sender)
			return;

		var panelBody = $get('<%=RowsTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250) {
			panelBody.style.height = "250px";
		}
		else {
			panelBody.style.height = scrollHeight + "px";
		}
	}

</script>

<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="RowsTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel runat="server" ID="PageUpdatePanel">
							<ContentTemplate>
								<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
								<table class="settingsTable">
									<tr>
										<td>
											<table>
												<tr id="EditionLanguageRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
														</asp:DropDownList>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="RowTextAliasLabel" EnableViewState="False" runat="server" Text="Column header text :"></asp:Literal>
													</td>
													<td width="99%">
														<asp:TextBox ID="RowTextTextbox" Columns="40" runat="server"></asp:TextBox><img id="RowPipeImage"
															onclick="" src="../images/pipetags.gif" runat="server">
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="RowReportingAliasLabel" EnableViewState="False" runat="server" Text="Reporting alias :"></asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="RowReportingAliasTextbox" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr id="PipingAliasRow" runat="server">
													<td class="labelStyle">
														<asp:Literal ID="RowPipingAliasLabel" EnableViewState="False" runat="server" Text="Piping alias :"></asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="PipingAliasTextbox" runat="server"></asp:TextBox>
													</td>
												</tr>
											</table>
								</table>
								<asp:DataList Width="100%" ID="QuestionGroupDataList" runat="server" OnItemDataBound="QuestionGroupDataList_ItemDataBound">
									<HeaderTemplate>
									</HeaderTemplate>
									<ItemTemplate>
										<table class="adminTitle">
											<tr>
												<td>
													&nbsp;
												</td>
												<td width="99%">
													<asp:Label ID="ParentQuestionText" runat="server"></asp:Label>
												</td>
											</tr>
										</table>
										<table class="settingsTable">
											<tr>
												<td>
													&nbsp;&nbsp;
												</td>
												<td width="99%">
													<table width="100%">
														<tr>
															<td nowrap class="labelStyle">
																<%#GetPageResource("RowReportingAliasLabel")%>
															</td>
															<td width="99%">
																<asp:TextBox ID="RowReportingAliasTextbox" MaxLength="3999" runat="server"></asp:TextBox>
															</td>
														</tr>
														<tr>
															<td class="labelStyle">
																<%#GetPageResource("QuestionPipeAliasLabel")%>
															</td>
															<td>
																<asp:TextBox ID="RowPipingAliasTextbox" MaxLength="3999" runat="server"></asp:TextBox>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</ItemTemplate>
									<FooterTemplate>
									</FooterTemplate>
								</asp:DataList>
							</ContentTemplate>
						</asp:UpdatePanel>
						<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
							TargetControlID="PageUpdatePanel">
							<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
							</Animations>
						</ajaxToolkit:UpdatePanelAnimationExtender>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="SkipLogicTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="SkipLogicUpdatePanel" runat="server">
							<ContentTemplate>
								<asp:LinkButton ID="AddSkipLogicConditionLinkButton" runat="server" CssClass="smallText" OnClick="AddSkipLogicConditionLinkButton_Click"></asp:LinkButton>
								<asp:Repeater ID="ConditionRepeater" OnItemDataBound="ConditionRepeater_ItemDataBound"
									OnItemCommand="ConditionRepeater_ItemCommand" runat="server">
									<ItemTemplate>
										<table class="conditionBuilder">
											<tr>
												<td>
													<table width="100%">
														<tr>
															<td>
																<table class="skipQuestionConditionList" cellpadding="2">
																	<tr>
																		<td colspan="2">
																			<table width="100%" class="skipQuestionConditionOptions">
																				<tr>
																					<td>
																						<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																							ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																							CommandName="MoveUp" runat="server"></asp:ImageButton>
																						<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != SkipQuestionConditionsCount%>'
																							ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																							CommandName="MoveDown" runat="server"></asp:ImageButton>
																					</td>
																					<td valign="top">
																						<%#GetPageResource("IfSkipConditionsMetLabel")%>
																						<td align="right">
																							<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																								<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																									runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																								</asp:LinkButton>&nbsp;|&nbsp;
																								<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																									runat="server">
																											<%#GetPageResource("DeleteConditionsHyperLink")%>
																								</asp:LinkButton>&nbsp;|&nbsp;
																								<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																									runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																								</asp:LinkButton>
																							</asp:PlaceHolder>
																							<asp:PlaceHolder ID="EditRulesPlaceholder" runat="server" Visible="false">
																								<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																									runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																								</asp:LinkButton>
																							</asp:PlaceHolder>
																						</td>
																				</tr>
																			</table>
																		</td>
																	</tr>
																	<tr>
																		<td>
																			&nbsp;&nbsp;
																		</td>
																		<td width="99%">
																			<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																			<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
																			<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server"
																				Visible="false"></uc1:ConditionRulesEditor>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
										<br>
									</ItemTemplate>
								</asp:Repeater>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>
<asp:UpdatePanel runat="server">
	<ContentTemplate>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Button ID="UpdateRowButton" runat="server" Text="Update" OnClick="UpdateRowButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteButton" runat="server" Text="Delete" OnClick="DeleteRowButton_Click">
					</asp:Button>
					<asp:Button ID="CancelButton" runat="server" OnClick="CancelButton_Click"></asp:Button>
					<asp:Button ID="QuickTranslateButton" runat="server" Text="Quick Translate" OnClick="QuickTranslateButton_Click">
					</asp:Button>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
