<%@ Register TagPrefix="uc1" TagName="FormEditor" Src="../UserControls/FormEditor.ascx" %>
<%@ Control Language="c#" Codebehind="FormBuilder.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FormBuilder" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" %>
<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls" Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
<%@ Register Src="../UserControls/DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>

<script type="text/javascript">

	var pageType = 1;

	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		var panelBody = $get('<%=DesignerTabs.ClientID%>_body');	
		panelBody.style.height = document.getElementById('surveyform_builder').offsetHeight + "px";
		
		if ($find('<%=DesignerTabs.ClientID%>') != null && $find('<%=DesignerTabs.ClientID%>').get_activeTabIndex() == 1)
		{
			switchPreviewPage();
		}
		else
		{
			document.getElementById('FSPreview').style.display = "none";
		}
	}
	
	function switchPreviewPage()
	{
		document.getElementById('loadingImage').style.display = "block";
		document.getElementById('FSPreview').style.display = "none";
		document.getElementById('FSPreview').src = 'fspreview.aspx?surveyid=<%=SurveyId%>&pageindex=' + PageIndex + '&language='+LanguageCode;
	}
</script>
<script type="text/javascript" src="scripts/fslang.aspx" ></script>

<style type="text/css">

.DesignerStyle .ajax__tab_header {font-family:arial,tahoma,helvetica;font-size:0.7em;background:url("images/resources/tab/tab-line.gif") repeat-x bottom;}
.DesignerStyle .ajax__tab_outer {padding-right:4px;background:url("images/resources/tab/tab-right.gif") no-repeat right;height:21px;}
.DesignerStyle .ajax__tab_inner {padding-left:3px;background:url("images/resources/tab/tab-left.gif") no-repeat;}

.DesignerStyle .ajax__tab_tab {height:13px;padding:4px;margin:0;background:url("images/resources/tab/tab.gif") repeat-x;}
.DesignerStyle .ajax__tab_active .ajax__tab_outer {background:url("images/resources/tab/tab-active-right.gif") no-repeat right;}
.DesignerStyle .ajax__tab_active .ajax__tab_inner {background:url("images/resources/tab/tab-active-left.gif") no-repeat;}
.DesignerStyle .ajax__tab_active .ajax__tab_tab {background:url("images/resources/tab/tab-active.gif") repeat-x;}
.DesignerStyle .ajax__tab_body {border-top:0;padding:2px;background-color:#ffffff;}

.feedbackserver .rankingcontainer { width: 200px; border: 1px solid #cfd3d6;list-style: none;margin:0;padding:0; }
.feedbackserver .rankingitem {padding:4px;background-color: #f7f7f7;border:1px solid #cfd3d6;margin: 4px;cursor: pointer;zoom: 1; }

</style>

<ajaxToolkit:TabContainer runat="server" ID="DesignerTabs" CssClass="DesignerStyle" TabStripPlacement="Bottom" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab" ActiveTabIndex="0" Height="250px"
	Width="100%">
	<ajaxToolkit:TabPanel CssClass="CustomTabStyle" runat="server" ID="DesignerTab" HeaderText="">
		<ContentTemplate>
			<uc1:FormEditor ID="FormEditorControl" runat="server"></uc1:FormEditor>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PreviewTab" HeaderText="">
		<ContentTemplate>
			<table width="100%" id="PreviewTable"><tr id="PreviewOptionsRow" runat="server"><td>
			<asp:Label ID="PreviewLanguageLabel" Font-Size="XX-SMALL" runat="server"></asp:Label>
			<asp:DropDownList Font-Size="XX-SMALL" ID="LanguagesDropdownlist" runat="server"></asp:DropDownList>			
			</td></tr><tr><td><iframe id="FSPreview" border="0" marginwidth="0" frameborder="0" scrolling="no" marginheight="0" src="fspreview.aspx?surveyid=<%=SurveyId %>" height="200" width="100%"></iframe>
			<p id="loadingImage" align="center"><img src="images/loading.gif" /></p>
		</td></tr></table>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
</ajaxToolkit:TabContainer>

<script type="text/javascript">
		
		function toggleBlock(pstrID)
		{
			var myDiv = document.getElementById('d' + pstrID);
			if (myDiv)
			{
				if (myDiv.style.display == 'none')
				{
					showBlock(pstrID);
				} 
				else
				{
					hideBlock(pstrID);
				}
			}
		}

		function showBlock(pstrID)
		{
			var myDiv = document.getElementById('d' + pstrID);
			if (myDiv)
			{
				myDiv.style.display = 'block';
			}
		}

		function hideBlock(pstrID)
		{
			var myDiv = document.getElementById('d' + pstrID);
			if (myDiv)
			{
				myDiv.style.display = 'none';
			}
		}

		getSurveyForm(<%=Request["page"] != null && Request["page"].Length>0 ? DataIllusion.FeedbackServer.Helpers.XSSHelper.HtmlEncode(Request["page"]) : "1"%>);
		<%if (Request["page"] == null || Request["page"].Length == 0) Response.Write("parent.loadTreeMenu(2, 1, true, "+SurveyId+", -1);");%>

</script>


