<%@ Control Language="c#" Codebehind="PanelSettings.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelSettings" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server" UpdateMode="Conditional">
<Triggers><asp:PostBackTrigger ControlID="UpdatePanelButton"/></Triggers>
<ContentTemplate>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panel_settings.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="PanelSettingsTitle" runat="server"></asp:Literal></td>
	</tr>
</table>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<asp:ValidationSummary ID="ValidationSummary1" ShowMessageBox="true" ShowSummary="false" runat="server" />
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
					<tr>
						<td nowrap class="labelStyle">
								<asp:Literal ID="PanelNameLabel" EnableViewState="False" runat="server" Text="Panel name   :"></asp:Literal></td>
						<td width="99%">
							<asp:TextBox ID="PanelNameTextBox" Columns="40" runat="server"></asp:TextBox>
							<asp:RequiredFieldValidator ID="PanelNameValidator" runat="server" ControlToValidate="PanelNameTextBox"
								SetFocusOnError="True">*</asp:RequiredFieldValidator></td>
					</tr>
<asp:PlaceHolder ID="SyncSettingsPlaceHolder" runat="server">
	<tr>
		<td nowrap class="labelStyle">
			<asp:Literal ID="PanelSyncModeLabel" EnableViewState="False" runat="server" Text=""></asp:Literal>
		</td>
		<td>
			<asp:DropDownList ID="PanelSyncModeDropDownList" OnSelectedIndexChanged="PanelSyncModeDropDownListIndexChanged" AutoPostBack="true" runat="server">
			</asp:DropDownList>
		</td>
	</tr>
	<tr>
		<td nowrap class="labelStyle">
			<asp:Literal ID="PanelDataSyncTypeLabel" EnableViewState="False" runat="server" Text=""></asp:Literal>
		</td>
		<td>
			<asp:CheckBox ID="AddDataSyncCheckbox" runat="server" /><asp:CheckBox ID="UpdateDataSyncCheckbox" runat="server" /><asp:CheckBox ID="DeleteDataSyncCheckbox" runat="server" />
		</td>
	</tr>

	<tr id="PanelUpdateModeRow" runat="server">
		<td nowrap class="labelStyle">
			<asp:Literal ID="PanelUpdateModeLabel" EnableViewState="False" runat="server" Text=""></asp:Literal>
		</td>
		<td>
			<asp:DropDownList ID="PanelUpdateModeDropDownList" runat="server">
			</asp:DropDownList>
		</td>
	</tr>
	<tr id="SourceIntervalRow" runat="server">
		<td nowrap class="labelStyle">
			<asp:Literal ID="SourceSyncIntervalLabel" EnableViewState="False" runat="server"
				Text="Source Syncronization interval :"></asp:Literal>
		</td>
		<td>
			<asp:TextBox runat="server" ID="SyncMinutesIntervalTextBox" Columns="4" Text="1440"></asp:TextBox>&nbsp;
			<asp:Literal ID="SourceSyncMinutesLabel" EnableViewState="False" runat="server" Text="minutes"></asp:Literal>
			<asp:RequiredFieldValidator ID="SyncMinutesRequiredFieldValidator" runat="server"
				ControlToValidate="SyncMinutesIntervalTextBox" SetFocusOnError="True" ValidationGroup="PanelValidation">*</asp:RequiredFieldValidator>
		<asp:CompareValidator ControlToValidate="SyncMinutesIntervalTextBox" ID="SyncMinutesCompareValidator"
			runat="server" ValidationGroup="PanelValidation" Type="Integer" Display="None"
			Operator="DataTypeCheck"></asp:CompareValidator>
		</td>
	</tr>
	<tr id="SyncOnAppRestartRow" runat="server">
		<td nowrap class="labelStyle">
			<asp:Literal ID="SyncOnAppRestartLabel" EnableViewState="False" runat="server" Text=""></asp:Literal>
		</td>
		<td>
			<asp:CheckBox ID="ResyncOnAppRestartCheckBox" runat="server" />
		</td>
	</tr>

</asp:placeholder>

			</table>
</td>
	</tr>
</table>
<asp:PlaceHolder ID="ConnectorConfigPlaceHolder" runat="server">
<br />
<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Panels/Panel_settings.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="ConnetorSettingsTitle" runat="server"></asp:Literal></td>
		</tr>
	</table>
<table class="settingsTable">
		<tbody>
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:PlaceHolder ID="ConfigPlaceHolder" runat="server"></asp:PlaceHolder>

				</td>
			</tr>
		</tbody>
	</table>
</asp:PlaceHolder>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
		<asp:Button ID="UpdatePanelButton" runat="server" Text="Update panel" OnClick="UpdatePanelButton_Click" ValidationGroup="PanelValidation"></asp:Button></td>
	</tr>
</table>
</ContentTemplate></asp:UpdatePanel>

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
