<%@ Control Language="c#" AutoEventWireup="True" CodeBehind="ConditionRule.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.ConditionRule" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td colspan="5">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td valign="top">
                        <asp:ListBox ID="ConditionRuleDropdownlist" runat="server" Rows="6" AutoPostBack="True"
                            OnSelectedIndexChanged="ConditionRuleDropdownlist_SelectedIndexChanged"></asp:ListBox>
                    </td>
                    <td valign="top">
                        <asp:ListBox ID="LogicDropDownList" Rows="6" AutoPostBack="True" runat="server" OnSelectedIndexChanged="LogicDropDownList_SelectedIndexChanged">
                        </asp:ListBox>
                        <asp:ListBox ID="ContextConditionDropDownlist" Rows="6" runat="server"></asp:ListBox>
                        <asp:ListBox ID="LanguageConditionsDropDownList" Rows="6" runat="server"></asp:ListBox>
                    </td>
                    <td valign="top" nowrap>
                        <asp:ListBox ID="LanguagesDropDownlist" Rows="6" runat="server"></asp:ListBox>
                        <asp:ListBox ID="ConditionAddinDropDownList" Rows="6" runat="server"></asp:ListBox>
                        <asp:ListBox ID="ContextUserDropDownlist" Rows="6" runat="server"></asp:ListBox>
                        <asp:ListBox ID="ContextUserGroupDropdownlist" Rows="6" runat="server"></asp:ListBox>
                        <asp:ListBox ID="QuestionFilterDropdownlist" AutoPostBack="True" runat="server" OnSelectedIndexChanged="QuestionFilterDropdownlist_SelectedIndexChanged"
                            Rows="6"></asp:ListBox>
                        <asp:ListBox ID="PanelDropDownList" Rows="6" runat="server"></asp:ListBox>
                        <asp:ListBox ID="PanelViewDropDownList" Rows="6" runat="server"></asp:ListBox>
                        <asp:Label ID="VariableNameLabel" runat="server">Variable name :</asp:Label>&nbsp;<asp:TextBox
                            ID="VariableNameTextBox" runat="server"></asp:TextBox>&nbsp;<asp:DropDownList ID="VariableConditionsDropDownList"
                                runat="server">
                            </asp:DropDownList>
                        &nbsp;<asp:TextBox ID="VariableValueTextBox" Columns="40" runat="server"></asp:TextBox>
                    </td>
                </tr>
            </table>
			
		</td>
	</tr>
	<tr id="CoreLogicRow" runat="server"><td>
            <table cellpadding="0" cellspacing="0">
                <tr>
		<td valign="top" nowrap>
			<asp:ListBox ID="AnswerFilterDropdownlist" AutoPostBack="True" runat="server" Rows="6" OnSelectedIndexChanged="AnswerFilterDropdownlist_SelectedIndexChanged">
			</asp:ListBox>
			<asp:TextBox ID="ScoreTextbox" runat="server" Columns="2"></asp:TextBox><asp:Label
				ID="ScoreRangeLabel" runat="server">between</asp:Label><asp:TextBox ID="ScoreMaxTextbox"
					runat="server" Columns="2"></asp:TextBox>
		</td>
		<td valign="top" width="99%" nowrap>
			<table cellpadding="0" cellspacing="0"><tr><td valign="top">
			<asp:ListBox ID="ExpressionLogicDropdownlist" Rows="6" runat="server">
			</asp:ListBox>
			</td><td nowrap valign="top">
			<asp:TextBox ID="TextFilterTextbox" Columns="30" runat="server"></asp:TextBox><asp:DropDownList
				ID="DataTypeDropDownList" runat="server">
			</asp:DropDownList>
			</td></tr></table>
			
		</td>
		</tr></table></td>
	</tr>
	<tr id="DateRangeRow" runat="server">
		<td nowrap>
			<asp:Label ID="DateFromRangeLabel" runat="server"></asp:Label>
			<asp:TextBox ID="StartDateTextBox" Columns="8" runat="server"></asp:TextBox><asp:ImageButton
				ID="ShowStartDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
			</asp:ImageButton><ajaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server"
				PopupButtonID="ShowStartDateImageButton" TargetControlID="StartDateTextBox" />
			<asp:Label ID="DateToRangeLabel" runat="server"></asp:Label>
			<asp:TextBox ID="EndDateTextBox" Columns="8" runat="server"></asp:TextBox><asp:ImageButton
				ID="ShowEndDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
			</asp:ImageButton>
			<ajaxToolkit:CalendarExtender ID="CalendarExtender2" runat="server" PopupButtonID="ShowEndDateImageButton"
				TargetControlID="EndDateTextBox" />
		</td>
	</tr>
	<tr>
		<td colspan="5" nowrap>
			<asp:DropDownList ID="GroupConditionDropDownList" runat="server">
			</asp:DropDownList>
			<asp:Button ID="AddNewRuleButton" runat="server" Text="Add" OnClick="AddNewRuleButton_Click">
			</asp:Button><asp:Button ID="UpdateRuleButton" runat="server" Text="Update" OnClick="UpdateRuleButton_Click">
			</asp:Button><asp:Button ID="DeleteRuleButton" runat="server" Text="Delete" OnClick="DeleteRuleButton_Click">
			</asp:Button>
		</td>
	</tr>
</table>
