<%@ Control Language="c#" AutoEventWireup="True" Codebehind="MailingDispatcherStatus.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.MailingDispatcherStatus" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<script language="javascript">
	
	function getDispatcherStatus() 
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.
			CampaignsService.GetDispatcherStatus(getDispatcherStatus_callback);
	}

	function getDispatcherStatus_callback(res) 
	{
		var d = document.getElementById("dispatchStatus");

		if (res != null)
		{
			var splitArray = res.split('|');
			
			// Did an unrecoverable error occured ?
			if (splitArray[0] == '3')
			{
				showBlockDispatch('RestartDispatcher');
			}
			else
			{
				hideBlockDispatch('RestartDispatcher');
			}
			
			if(d.innerText)
				d.innerText = splitArray[1];
			else
				d.textContent = splitArray[1];
			d = null;
		}

		setTimeout(getDispatcherStatus, 5000);
	}
	
	function restartDispatcher()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.
			CampaignsService.RestartDispatcher(restartDispatcher_callback);
	}

	function restartDispatcher_callback(res) 
	{
		hideBlockDispatch('RestartDispatcher');
		getDispatcherStatus(); 
	}
	
	function showBlockDispatch(pstrID)
	{
		var myDiv = document.getElementById('d' + pstrID);
		if (myDiv)
		{
			myDiv.style.display = 'block';
		}
	}

	function hideBlockDispatch(pstrID)
	{
		var myDiv = document.getElementById('d' + pstrID);
		if (myDiv)
		{
			myDiv.style.display = 'none';
		}
	}
	
</script>
		<table>
				<tr>
					<td class="labelStyle" valign="top">
						<strong>
							<asp:Literal ID="MailDispatcherStatusLabel" runat="server" EnableViewState="False">Mail dispatcher status :</asp:Literal></strong>
						<div id="dRestartDispatcher" style="display: none"><a href="javascript:void(0);" onclick="restartDispatcher()"><%=GetPageResource("RestartMailingDispatcherHyperLink")%></a></div>
					</td>
					<td valign="top" width="99%"><span id="dispatchStatus">-----</span></td>
				</tr>
			</table>

<script language="javascript">
	getDispatcherStatus();
</script>