<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="../UserControls/ConditionRulesDisplay.ascx" %>
<%@ Control Language="c#" Codebehind="SkipQuestionConditions.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.SkipQuestionCondition" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>
<asp:UpdatePanel ID="UpdatePanel1" runat="server"><ContentTemplate>
						<asp:LinkButton ID="AddSkipLogicConditionLinkButton" CssClass="smallText"  runat="server" OnClick="AddSkipLogicConditionLinkButton_Click">Click here to add a new skip logic condition</asp:LinkButton>
<asp:Repeater ID="ConditionRepeater" OnItemDataBound="ConditionRepeater_ItemDataBound" OnItemCommand="ConditionRepeater_ItemCommand" runat="server">
								<ItemTemplate>
									<table class="conditionBuilder">
										<tr>
											<td>
												<table width="100%">
													<tr>
														<td>
															<table class="skipQuestionConditionList" cellpadding="2">
																<tr>
																	<td colspan="2">
																		<table width="100%" class="skipQuestionConditionOptions">
																				<tr>
																				<td style="width:16px">
																					<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																						ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																						CommandName="MoveUp" runat="server"></asp:ImageButton>
																				<td style="width:16px">
																					<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != SkipQuestionConditionsCount%>'
																						ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																						CommandName="MoveDown" runat="server"></asp:ImageButton>
																				</td>
																				<td valign="top">
																						<asp:DropDownList ID="DisplayModeDropDownList" OnSelectedIndexChanged="DisplayMode_SelectedIndexChanged" AutoPostBack="true" Font-Size="XX-Small" runat="server"></asp:DropDownList>&nbsp;&nbsp;<%#GetPageResource("QuestionIfConditionsAreMet")%>
																					<td align="right">
																						<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																						<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																							runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																						</asp:LinkButton>&nbsp;|&nbsp;
																						<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																							runat="server">
																											<%#GetPageResource("DeleteConditionsHyperLink")%>
																						</asp:LinkButton>&nbsp;|&nbsp;
																						<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																							runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																						</asp:LinkButton>
																						</asp:PlaceHolder>
																						<asp:PlaceHolder ID="EditRulesPlaceholder"  runat="server" Visible="false">
																							<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>' runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																							</asp:LinkButton>
																						</asp:PlaceHolder>
																				
																						
																						</td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																	<td>
																		&nbsp;&nbsp;</td>
																	<td width="99%">
																		<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																		<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
																		<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server" Visible="false">
																		</uc1:ConditionRulesEditor>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
									<br>
								</ItemTemplate>
							</asp:Repeater></ContentTemplate></asp:UpdatePanel>
